commit 18deaf47918e5baa655fabb9776d294571363608
Merge: fef3af7 494040d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Nov 29 19:11:11 2012 +0000

    Merge "Remove unnecessary casts in flavor create."

commit fef3af70725be74763d4ad95c624407dfde25b2a
Merge: 926b334 27d7ad9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Nov 29 19:10:38 2012 +0000

    Merge "Validate that rxtx_factor is a float."

commit 926b334613169d59f91d522218d3418a69952d98
Merge: c4f0f50 4f6419b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Nov 29 19:10:19 2012 +0000

    Merge "Adds nova client support for nova-manage vpn command"

commit c4f0f50a2a8f043f66cb010fbcf1e2ec5b7dcd23
Merge: b2338b9 3839d28
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Nov 29 18:51:08 2012 +0000

    Merge "Adds nova client support for nova-manage fixed command"

commit b2338b9a33547f600233b21bc64e74985327ce70
Merge: b9d60c1 ff69e4d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Nov 29 18:50:20 2012 +0000

    Merge "Implement fping calls in nova client"

commit 494040d7fe36ddd00c8813a6e894e53b1abf31be
Author: Dan Prince <dprince@redhat.com>
Date:   Tue Nov 27 11:05:53 2012 -0500

    Remove unnecessary casts in flavor create.
    
    We already cast and validate these variables above... no
    need to cast them again.
    
    Change-Id: I87b967925ae77c70eb07a42f3ae050703d44a427

commit 27d7ad9d8632bdc67e25757a42a91109e393fbf9
Author: Dan Prince <dprince@redhat.com>
Date:   Tue Nov 27 10:59:43 2012 -0500

    Validate that rxtx_factor is a float.
    
    Nova stores rxtx_factor as a float internally and as such
    novaclient should validate that a float is specified
    when creating a flavor.
    
    Fixes LP Bug #1083651.
    
    Change-Id: I75f9440d3fe2a0e72ea592f2259640623400ae73

commit 4f6419b5553e853f5720084ba01fc0b4cc1f6220
Author: Chris Yeoh <cyeoh@au1.ibm.com>
Date:   Mon Nov 26 14:21:35 2012 +1030

    Adds nova client support for nova-manage vpn command
    
    Adds "nova cloudpipe-configure" command
    Adds shell tests for cloudpipe-list and cloudpipe-create commands which
    already exist
    
    This patch depends on https://review.openstack.org/#/c/15854/
    
    Change-Id: I784f5bf0f25a2d8cae4b7c2c6ccf345842ffe352
    Implements: blueprint apis-for-nova-manage

commit b9d60c1fd2f887992fc1f6c2246b1f0f11efe1a9
Author: Joe Gordon <jogo@cloudscaling.com>
Date:   Mon Nov 26 14:26:53 2012 -0800

    Fix aggregate command help messages.
    
    Fixes bug 1083343
    
    Change-Id: I315a0629bb33480952f2280b053b8db8cb83a1ea

commit 3839d284da8bb269ca392727f0716ddc2238b880
Author: Chris Yeoh <cyeoh@au1.ibm.com>
Date:   Thu Nov 22 22:43:59 2012 +1030

    Adds nova client support for nova-manage fixed command
    
    Adds the following commands:
    - "fixed-ip-get <ip_addr>" - displays information about the fixed ip ip_addr
    - "fixed-ip-reserve <ip_addr>" - reserves the fixed ip ip_addr
    - "fixed-ip-unreserve <ip_addr>" - unreserves the fixed ip ip_addr
    
    Change-Id: I6a5c8b9f7ab359adeb57b86240279649cd421801
    Implements: blueprint apis-for-nova-manage

commit ff69e4d3830f463afa48ca432600224f29a2c238
Author: Alessio Ababilov <aababilov@griddynamics.com>
Date:   Mon Nov 19 11:33:50 2012 +0200

    Implement fping calls in nova client
    
    Implements blueprint novaclient-fping
    
    Provide fping API calls in nova client as well as unit tests. API is
    accessed by `fping` field of nova client.
    Methods:
    * list(all_tenants=False|True, include=[VM ids], exclude=[VM ids]) -
      perform fping for all VMs in current project (or all projects if
      all_tenants==True)
    * get(server object or id) - perform fping for single instance
    
    Change-Id: Ic3eda142781d1a14f2cfc83626672a579fc93a7d

commit dc6285c810b696949597dcde6717bb3f3a6c47c9
Author: Julie Pichon <jpichon@redhat.com>
Date:   Wed Nov 21 18:16:17 2012 +0000

    Expand help message for 'migrate' to explain how the new host is selected
    
    Fixes bug 1078247
    
    Change-Id: Iedfd6fc957fd1c2e53f7685b02bd33e16d9342e9

commit 572c8bbf8020c2bcd3d6e529574ee8866ba3cbea
Merge: 0173a3c 3fd0c77
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Nov 21 17:18:08 2012 +0000

    Merge "Boot from volume without image supplied"

commit 0173a3cd7085502ac1b9cd39858e5cc9de16bb02
Merge: 1558d5d e9b015c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Nov 21 17:18:01 2012 +0000

    Merge "Cleans up the flavor creation code. Fixes bug 1080891."

commit 1558d5d537d89852339a01a18bb8cbb4198bbb52
Merge: 92de98c 3ea4ba9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Nov 21 17:12:04 2012 +0000

    Merge "Added --extra-opts to the nova ssh command"

commit 92de98c8f68cc22b88dd164ca473eb86dbf1e45a
Merge: bc141de 5d5df17
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Nov 21 17:12:03 2012 +0000

    Merge "fix hypervisor-servers for hypervisors without servers"

commit bc141de141e5e9796f4b1c0891e90cda65d726f5
Merge: f790ccc aac4fff
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Nov 21 17:12:01 2012 +0000

    Merge "Make sure create_image returns result"

commit f790ccc6bc05a60b378bb7555083d8a8a228fb46
Merge: 89c46e6 c819c2f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Nov 21 17:10:15 2012 +0000

    Merge "make tenant id optional for quota-defaults and quota-show"

commit 89c46e6325f588069e951397fe2522e28d153c36
Merge: 47355b7 d037172
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Nov 21 17:09:23 2012 +0000

    Merge "Add nova client support for nova-manage service command"

commit 47355b741b50a63227fb38e6be6b485902efe3e5
Author: Nikola Dipanov <ndipanov@redhat.com>
Date:   Fri Nov 16 10:00:46 2012 +0100

    Improved quota output
    
    This patch makes the output of quota show a bit more informative
    by not setting a simple None to a non-existing quota, but not showing it
    all together.
    
    Kind of fixes bug #1078906
    and also bug #1078089
    
    Change-Id: Ic42837d218a80f37e0c6d56625c9804d076f444c

commit 3fd0c77d07419606a81f257b8876394ec5b374de
Author: Nikola Dipanov <ndipanov@redhat.com>
Date:   Wed Nov 7 18:58:58 2012 +0100

    Boot from volume without image supplied
    
    Allow for booting instances from volume without the image parameter
    supplied. This change is related to the change
    I530760cfaa5eb0cae590c7383e0840c6b3f896b9
    in opnestack/nova. It allows for boot to work with no image supplied
    to accommodate booting from volumes only.
    
    It also makes it possible to interpret show servers that were started
    without images, so from volumes only
    
    Change-Id: I5ba9b0f35a5084aa91eca260f46cac83b8b6591e

commit 3ea4ba9fc97b05ad93af8f9aa6f6bc2a638b9a36
Author: Nick Shobe <nickshobe@gmail.com>
Date:   Sat Nov 17 04:26:08 2012 -0600

    Added --extra-opts to the nova ssh command
    
    This will allow for remote command execution and advanced ssh options
    like portforwarding and connection sharing.
    The goal is to support ssh commands like
    nova ssh fe55adc9-cb1e-44a4-bd36-6a537b238172 --extra-opts='-NfnMS ~/.ssh/master-fe55adc9-cb1e-44a4-bd36-6a537b238172'
    and ssh fe55adc9-cb1e-44a4-bd36-6a537b238172 --extra-opts='-t "sudo puppet agent --test"'
    This will alow easier scripting of the cli... It is not intended
    however to replace using the nova python api. Therefore I kept it simple.
    
    Change-Id: Icce811caf637fc92c6d6374bfb846ea9525a7e05

commit e9b015c7e14843784debc0d68cfe070c9778f80d
Author: Gabriel Hurley <gabriel@strikeawe.com>
Date:   Sat Nov 17 18:18:48 2012 -0800

    Cleans up the flavor creation code. Fixes bug 1080891.
    
    Change-Id: Idc76cd01d1537ab87723a05ab8dd81015284e3c8

commit aa8d44c551643bb97e039624d602bd4ad07cbe9c
Author: Paul Voccio <paul.voccio@rackspace.com>
Date:   Fri Nov 16 11:34:12 2012 -0600

    Adding support to filter instances by tenant from the admin api
    
    Change-Id: I37a2c5ad7bbe3e005e96416ea974051a82879adc

commit aac4fff1532cc96302cd1566406c6d3b3fe60e47
Author: Stanislaw Pitucha <stanislaw.pitucha@hp.com>
Date:   Fri Nov 9 10:49:02 2012 +0000

    Make sure create_image returns result
    
    manager.servers.create_image() returned uuid of the snapshot, but
    Server.create_image() didn't. Make them work the same.
    
    Change-Id: I763197ac8ae542e7ce13569d8ce7e98ec92ccc63

commit c819c2fb50c63554d70f735a6463c911f2f6d8eb
Author: Christian Berendt <berendt@b1-systems.de>
Date:   Fri Nov 9 10:52:23 2012 +0100

    make tenant id optional for quota-defaults and quota-show
    
    When using quota-defaults or quota-show without specifing a tenant
    the currently used tenant should be used.
    
    Change-Id: I1ef71b68673dd4a95cbf8b5a8dc901fb6eb06865

commit 5d5df1763d83296464a3c4a9c5c82e9a5057edee
Author: Christian Berendt <berendt@b1-systems.de>
Date:   Thu Nov 8 17:06:24 2012 +0100

    fix hypervisor-servers for hypervisors without servers
    
    At the moment hypervisor-servers throws an AttributeError for
    hypervisors with no assigned instances. This patch checks first
    if there are assigned instances before looping through them to
    avoid the exception.
    
    fixes bug 1076435
    
    Change-Id: I504e3f234fd041325b63295fab77f9ed3f704db0

commit aa5622147faa0de137f67c6be45dbdb3e11320f6
Author: melwitt <melwitt@yahoo-inc.com>
Date:   Wed Nov 7 22:58:32 2012 +0000

    discover extensions via entry points
    
    Currently, nova client can only discover extensions in two ways:
    
    1. Installing the extension in the novaclient/v1_1/contrib/ directory.
    2. Installing the extension in the top-level python path or modifying
       the path to be picked up by pkgutils.iter_modules()
    
    This patch allows a third, more flexible option of discovering
    extensions via entry points. This means the extension can be
    installed anywhere and entry points can be registered with python
    to be picked up by pkg_resources.iter_entry_points().
    To register an entry point, simply add the extension module to
    the setup() call in setup.py like this:
    
    setuptools.setup(
        name='mydistribution',
        packages=setuptools.find_packages(),
        entry_points={
            'novaclient.extension' : [
                'foo = mydistribution.mynovaclientexts.foo'
            ]
        },
    )
    
    Change-Id: Ic1e223a9173546131e742506897f585f4ac65767

commit 4ad512b50e0c2190fbd4ef077256faf808496e2b
Author: Christian Berendt <berendt@b1-systems.de>
Date:   Thu Nov 8 21:03:13 2012 +0100

    show help when calling without arguments
    
    When calling nova without arguments you'll receive the following
    output:
    
    error: too few arguments
    Try 'nova help ' for more information.
    
    Changing 'and' to 'or' the help is also shown when calling nova
    without arguments. I think that's the expected behavior.
    
    Change-Id: Id14f0292ad00e6e45ad66dd010f449c3abbf3871

commit d037172b701afd66d1ac187a3c7e4a76130a8f4f
Author: ivan-zhu <bozhu@linux.vnet.ibm.com>
Date:   Thu Nov 8 17:56:18 2012 +0800

    Add nova client support for nova-manage service command
    
    Implements the one workitem of blueprint apis-for-nova-manage
    
    This add three CLI (service-list/sevice-enable/service-diabel) in
    nova-client.
    
    So we can use:
    "nova service-list" like "nova-manage service list" with two optional
    parameters. Show a list of all running services. Filter by host and
    service name.
    
    "nova service-enable hostname servicename" like "nova-manage service
    enable hostname servicename". It will enable the service specified by
    hostname and serviename.
    
    "nova service-disable hostname servicename" like "nova-manage service
    diable hostname servicename". It will disable the service specified by
    hostname and serviename.
    
    This patch depends on https://review.openstack.org/#/c/15206/
    
    Change-Id: I01d4cee4ef95c1783f6181f8b840244e748387e5

commit a84300f020e79adcaad313aff7f7ee11d9c18d1a
Merge: 40ef419 33b2830
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Nov 7 22:38:54 2012 +0000

    Merge "Allows deletion of multiple servers through CLI"

commit 40ef4197e982b840f9c3363bc83bf16600f763c5
Merge: a31d285 51faac4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Nov 6 17:45:56 2012 +0000

    Merge "Add ability of nova client to display availability zones when listing hosts"

commit a31d285f6e7d5516d69319424db06608050107f6
Merge: 887f831 e9c16ca
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Nov 6 17:13:56 2012 +0000

    Merge "Updated the help text for nova list command."

commit 887f8314689a71144d4f5c5365d2253e8c662921
Merge: 0dea78c 8be01b6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Nov 6 06:48:57 2012 +0000

    Merge "Fixes setup compatibility issue on Windows"

commit e9c16ca33ad035fda38d42ec3f7e9e40e56cbf6b
Author: Unmesh Gurjar <unmesh.gurjar@nttdata.com>
Date:   Sun Nov 4 23:20:37 2012 -0800

    Updated the help text for nova list command.
    
    Few options in the nova list command are admin specific. Updated the help text
    to specify the admin only options explitcitly.
    
    Fixes LP: #1055983
    
    Change-Id: Icf8a76e79b9d5399298dacce31b1cc0873f63d71

commit 8be01b650e4669132c0d27481781bdf5688079ec
Author: Alessandro Pilotti <ap@pilotti.it>
Date:   Mon Nov 5 17:47:05 2012 +0200

    Fixes setup compatibility issue on Windows
    
    Fixes Bug #1052161
    
    "python setup.py build" fails on Windows due to a hardcoded shell path:
    /bin/sh
    
    setup.py updated using openstack-common/update.py
    
    Change-Id: I9c8cf84ada189d8f27448ecda23f51c021d08818

commit 0dea78c851a7d43df5ffa9c00bbbc09e857560f0
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Sat Nov 3 16:18:53 2012 -0700

    include projectid in the cache key
    
    fixes bug #1074771
    
    Change-Id: I0fc1638405c2f4de61255d3efc1b6096ead0742b

commit 7ddc2fdfcdc0bfa6ada3d150a87ab3d930259538
Author: Nikola Dipanov <ndipanov@redhat.com>
Date:   Fri Nov 2 18:06:51 2012 +0100

    Fixes utils.findresource checking for integer
    
    Fixes the novaclient.utils.find_resource function to properly handle
    non integer values and not break with an AttributeError.
    
    Adds a test case to test a few more non valid inputs.
    
    Fixes bug #1065367
    
    Change-Id: Iaa2025f4eb580234f754596c3572e2f87872170e

commit 33b2830e9c81f87fb37e51eca65f6e98143d1e06
Author: Sulochan Acharya <sulochan@gmail.com>
Date:   Thu Nov 1 17:43:39 2012 -0500

    Allows deletion of multiple servers through CLI
    
    Adds nargs to argparse for delete command to allow
    multiple (optional) positional server argument. This
    allows users to delete multiple servers using nova delete.
    For example:
    nova delete xxx yyy aaa zzz will delete valid servers
    xxx, yyy and zzz and print exception msg for invalid
    delete of server aaa.
    
    Fixes bug892061
    
    Change-Id: I2abe6329e489bfbd3e5ae699e97ef098b38c4537

commit 51faac4a0902ced715c3022985ca4ba7e4aeeaba
Author: ivan-zhu <bozhu@linux.vnet.ibm.com>
Date:   Wed Oct 24 17:31:56 2012 +0800

    Add ability of nova client to display availability zones when listing hosts
    
    Implements the one workitem of blueprint apis-for-nova-manage
    
    Add an optional parameter for nova host-list
    Now, we can use the command: nova host-list --zone nova
    It will return the hosts that availability_zone=nova.
    This patch depends on https://review.openstack.org/#/c/14741/
    
    Change-Id: Ide41e75e7d1471e23d19f51e63a8d9951337a411

commit f04a24c6ad397439c7f38e381eac1f3b272eba88
Merge: 7bf93a5 67d4d7e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Oct 31 18:07:44 2012 +0000

    Merge "Auto-Assign Flavor ID"

commit 7bf93a52f8828822c8949fe66bc79e8c035d1330
Author: Russell Cloran <russell@nimbula.com>
Date:   Mon Oct 29 23:09:26 2012 -0700

    Validate that boolean parameters are boolean
    
    Ensure that values which are supposed to be boolean look like correct
    user input, instead of assuming that any non true-looking input is
    False.
    
    Also, update the flavor manager to raise a CommandError if is_public is
    not a boolean value.
    
    Fixes bug 1059414
    
    Change-Id: I3275e4bba103b14081becf91f723f1be060391e5

commit 67d4d7e0fdc6a990484340299a7920b8d64d6a13
Author: sathish-nagappan <sathish.nagappan@nebula.com>
Date:   Mon Oct 29 14:26:32 2012 -0700

    Auto-Assign Flavor ID
    
    Auto-assign a flavor ID if the user enters "auto" for the ID.
    
    Change-Id: I745744b9ca44668477635c20df5e2ece6cbf1c27

commit 05bbe0fa0efc9abe5461e7e2d3fef7b72d625955
Merge: 8617a88 2f7b032
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Oct 26 17:04:24 2012 +0000

    Merge "Pull in latest openstack-common changes and fix a minor PEP8 issue."

commit 2f7b032910cce500f09a5d2a257595d573bdb116
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Oct 25 11:43:56 2012 -0500

    Pull in latest openstack-common changes and fix a minor PEP8 issue.
    
    Latest openstack-common commit: d887090b5a31672e4a12f302b3818e2b0933bef0
    
    Change-Id: I5a4ffb043ab24f8618a8285112c0c5992ea129e7

commit 8617a88765968341c6dc6e8e44b3d2e6038106a7
Merge: f100953 805ba8f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Oct 24 00:33:46 2012 +0000

    Merge "Exception handling for 'nova flavor-create' arguments"

commit f1009534953ed9662e5fe15f71987263c63d6678
Merge: 4d3f33d 3463559
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Oct 23 15:57:57 2012 +0000

    Merge "Add support for backup instance."

commit 4d3f33d141dfc10c553bfc649dbfebf4fe7dec15
Author: Doug Hellmann <doug.hellmann@dreamhost.com>
Date:   Mon Oct 22 18:46:41 2012 -0400

    Add OpenStack trove classifier for PyPI
    
    Add trove classifier to have the client listed among the
    other OpenStack-related projets on PyPI.
    
    Change-Id: If9e10b065d0c54825fb9138893c78cda3ef79ca2
    Signed-off-by: Doug Hellmann <doug.hellmann@dreamhost.com>

commit 805ba8fdc1763306f4a6dbdc3de274b5c2597485
Author: Sathish Nagappan <sathish.nagappan@nebula.com>
Date:   Wed Oct 17 21:31:34 2012 -0700

    Exception handling for 'nova flavor-create' arguments
    
    Fixes client side Bug #1056935
    
    Throws an exception if the user does not input integers for the
    corresponding parameters.
    
    Change-Id: I4c4b8148f6565bc5a3b348dbde8c2cf0da00234a

commit 34635597a68d0626f9806c9b1220600a955e0ea4
Author: TianTian Gao <gtt116@126.com>
Date:   Mon Oct 15 14:33:52 2012 +0800

    Add support for backup instance.
    
    fix bug: 1066665
    
    Change-Id: I1e2c3b2cd9d9e50073b87762973147795059f067

commit e8c22cd130759fc6ab89c027cf34df19333878b9
Merge: ccabbe7 81c01e5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Oct 10 16:57:11 2012 +0000

    Merge "Encode user data to utf-8 when creating a server"

commit ccabbe77de4a411f8728236969e9a5a50ec79a65
Merge: c8696a5 ccc4291
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Oct 10 04:00:52 2012 +0000

    Merge "Add simple os-api extension cli extension"

commit ccc4291c52eb4f68e37691bbe7df34450e89df7a
Author: Joshua Harlow <harlowja@yahoo-inc.com>
Date:   Tue Sep 18 16:36:17 2012 -0700

    Add simple os-api extension cli extension
    
    Add a useful extension that will show you what
    openstack api extensions are available for usage
    and print out the result into a nice little table.
    
    Useful as a example for others to base contrib/
    extensions off of.
    
    Example @ http://paste.openstack.org/show/20989/
    
    Change-Id: I5b72f5ea73c00f1c1a0f09f670d744c820e05837

commit c8696a59e32ccd0d20dafa86a85379dd7e214a77
Merge: 6a86308 a9a66ae
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Oct 4 22:52:20 2012 +0000

    Merge "Raises Exception on improper Auth Configuration"

commit 6a8630867f0563e2699caf35d3669f8e83256c5f
Merge: aa171ca f391591
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Oct 4 21:47:10 2012 +0000

    Merge "Add missing port-id usage info."

commit a9a66ae7a750e507a0dda4bc9b2f9f62b9cd98a2
Author: Stef T <stelford@internap.com>
Date:   Thu Oct 4 16:20:23 2012 -0400

    Raises Exception on improper Auth Configuration
    
    Addresses bug 1061848.
    
    Basically, this bug comes about from not properly
    setting up the auth_system for novaclient. In this
    case, an exception of EndPointNotFound is flung.
    
    Change-Id: I12533aefd9d0425dd83e2e4c63f4dd5ff6faae71

commit aa171ca12b336f9a927dbdec0d598f30386b6501
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Sep 28 12:42:37 2012 +0200

    Do not prefer ALL_TENANTS environment variable to command line arguments
    
    As pointed out in https://review.openstack.org/#/c/13708/ command line
    arguments should have higher priority.
    
    Also, do not fail if the environment variable is not representing an
    int.
    
    Change-Id: Ie6cd5b2d6aae47236ba0fe6d594d0c8095e9e422

commit 81c01e535cecc54c2e6e847000638b52fec506af
Author: Vincent Untz <vuntz@suse.com>
Date:   Fri Sep 28 11:48:38 2012 +0200

    Encode user data to utf-8 when creating a server
    
    This is needed for data that we don't read from IO directly, since we're
    base64-encoding the user data, and this requires ther user data to not
    be of the unicode type.
    
    We're being tolerant, as we'll accept user data that is already in a str
    object.
    
    Fixes: bug 1049161
    Change-Id: I4320670de564c8029c7aef14da2492c6f8752efe

commit c01fae73700047072a1a27add416eb61ee5cb1b0
Author: Vincent Untz <vuntz@suse.com>
Date:   Wed Sep 26 14:54:57 2012 +0200

    Add --all-tenants option to volume-list
    
    The list and secgroup-list commands have this option, and
    nova-volume/cinder respect this search option too nowadays.
    
    Change-Id: Ie95432727dec9702e09a0ce314bf418f6a36b799

commit cdebf729b06d9465ab080fd5b15e433f70f8fe45
Merge: e01c25b 02d3aad
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Sep 21 21:56:06 2012 +0000

    Merge "Show volume and snapshot data on create"

commit 02d3aaddf2e3dac92418455a5f4639d6f6e0764c
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Thu Sep 20 14:31:52 2012 +0000

    Show volume and snapshot data on create
    
    nova volume-create and nova volume-snapshot-create do not display
    the data returned from the api.  This makes it difficult to find
    the id of of the newly created object.
    
    Fixes bug 1053432
    
    Change-Id: Ie25566f4e7d05d98421a5ea9e75521d40282a40d

commit e01c25bdb18fdc6f5f16db6b3df8865bf569af51
Merge: fb7c3ad df542ab
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Sep 20 05:07:48 2012 +0000

    Merge "expose os-networks extension to CLI"

commit fb7c3ad9e7c6ab717f2e357b6c66446438255fd2
Merge: 99f1da1 aaa38ce
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 19 16:05:53 2012 +0000

    Merge "Work around httplib2 tunnelling bug"

commit 99f1da1201b7261f4df182d375cb1333eeb423ee
Merge: 746ea00 03a5650
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 19 15:48:04 2012 +0000

    Merge "Show POST in debug with curl."

commit 746ea00f1553de9754f33ba807efef92184740c2
Merge: bfb0f70 0e7df4c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 19 15:46:00 2012 +0000

    Merge "Make region case insensitive."

commit bfb0f70f40fdea6ee7b75dc2fb44baeadceb646d
Author: Alessandro Pilotti <ap@pilotti.it>
Date:   Tue Sep 18 00:05:27 2012 +0300

    Fixes setup compatibility issue on Windows
    
    Fixes Bug #1052161
    
    "python setup.py build" fails on Windows due to a hardcoded shell path:
    /bib/sh
    
    Change-Id: I34f58ea09317c0be6ac23c5d9591bc83bc78782b

commit 55dd9aeb63831ffaf06e14fb84c977a6e25ccbc5
Author: Trey Morris <treyemorris@gmail.com>
Date:   Fri Sep 14 17:35:33 2012 -0500

    allow empty network list to be requested
    
    Change-Id: I776a429fb62e335e458f45466f0c362e1270e319

commit aaa38ce0e54d97d744826e0b353ec79329cbaf91
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Fri Sep 14 18:31:24 2012 +0100

    Work around httplib2 tunnelling bug
    
    Fixes bug #1051007
    
    httplib2 defaults to using HTTP CONNECT tunnelling even for plain HTTP
    connections. This is problematic with proxies configured to only allow
    tunnelling to port 443. This is the default configuration for squid.
    
    Hack around the problem by forcing httplib2 to use the HTTP_NO_TUNNEL
    proxy type which disables tunnelling except for port 443.
    
    Change-Id: I59cd95ed74a9bb795779fc38fbc0935266cc8b22

commit eb20c5ad6e8499ce137b20713166e854a70367f8
Merge: 5cdc584 fc2d622
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Sep 14 16:41:53 2012 +0000

    Merge "Add support for all-tenants search opt to secgroup-list"

commit fc2d622bac7928302273a374d7cdd3547f609ec6
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Fri Sep 14 11:31:30 2012 +0000

    Add support for all-tenants search opt to secgroup-list
    
    Related to bug 1046054.
    
    Once I6157e408 lands, we will be respecting the all-tenants search option
    in the security groups retrieval API. Hence the CLI should be capable of
    adding this option when appropriate.
    
    Change-Id: If1217a5ffc7316e4661326c38da9b2956424ab05

commit df542ab43e4502a153ca88ee10c36dd4ef0694a2
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Mon Sep 10 23:31:52 2012 +0000

    expose os-networks extension to CLI
    
    Change-Id: Ia62a9333ec6f0d8b9178fae0313e94cae043f84b

commit 5cdc584efd30467aaac6b859eb51d6749127194c
Author: Eric Harney <eharney@redhat.com>
Date:   Thu Sep 13 15:01:50 2012 -0400

    Add support for Unicode secgroup names
    
    Fixes bug 934081.
    
    Previously, manipulating secgroups with Unicode names would fail
    in _get_secgroup, due to the command-line argument being a raw
    byte string, and the secgroup name from cs.security_groups.list()
    being a Unicode string.  This causes a UnicodeWarning and the
    "if secgroup == s.name" test to fail for the desired secgroup, so
    secgroup-add-rule and secgroup-delete would fail.
    
    This change converts them to byte strings for comparison, fixing
    these commands.
    
    Likewise, error messages containing Unicode secgroup names would
    fail to print. (i.e. "Security group <x> already exists")
    
    Change-Id: Ie90cb49b8f11e3283fe509e95a8e9fd468cc9892

commit 40cb8ef8337eaff3704ccacae3131ca908620897
Merge: 3dd0393 59a9578
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 12 22:01:05 2012 +0000

    Merge "Makes handling of nic args more robust"

commit 3dd0393fbba7af225f9cc2262ba0ebdeea214456
Author: Yunhong, Jiang <yunhong.jiang@intel.com>
Date:   Tue Sep 11 19:58:32 2012 +0800

    Support flavor extra specs in nova client
    
    Add flavor extra specs so that user can list/set/unset
    extra specs in nova client
    
    blueprint extra-specs-in-nova-client
    
    Change-Id: I6ad7293e29764648c79943c4d05f3a09931af411
    Signed-off-by: Yunhong, Jiang <yunhong.jiang@intel.com>

commit 247b53022bced6d831e9ad10fb64fe520d00660b
Author: Major Hayden <major.hayden@rackspace.com>
Date:   Tue Sep 11 15:04:53 2012 -0500

    Optionally faster 'nova show'
    
    Running show against an instance UUID calls for the
    instance/flavor/image data. This patch allows --minimal
    to be passed and the extra lookups will be skipped.
    
    Change-Id: I76e9ac58a67b7cb595ca08c173ec9758119b46ae

commit 59a9578c3c28b50c6f3c465ba100e33335af4568
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Tue Sep 11 05:46:28 2012 +0000

    Makes handling of nic args more robust
    
    Legacy users of novaclient may not pass all of the new nic args,
    so this patch only passes them on if they are set.
    
    Fixes bug 1044231
    
    Change-Id: I1c8323a3a09613ad4e8dfcc1dfe379dbda50f125

commit aa9d97350333e3ab5d14d5d4bca5baa957701570
Merge: 8cff1a2 5611025
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Sep 10 18:24:34 2012 +0000

    Merge "Show instances built from deleted snapshots"

commit 56110251908fc4feead8de6e4b40b34381c9a509
Author: Major Hayden <major.hayden@rackspace.com>
Date:   Mon Sep 10 10:36:17 2012 -0500

    Show instances built from deleted snapshots
    
    novaclient current throws an image not found error when you use the 'show'
    command against an instance that was built from a snapshot which was
    subsequently deleted.
    
    Change-Id: If950b4582d0af9947c30fb24eea78a0829edecf3

commit 8cff1a20bc3962ec147f5f7c6807bc4c863eae36
Author: Andrew Laski <andrew.laski@rackspace.com>
Date:   Fri Sep 7 15:59:42 2012 -0400

    Add ConnectionRefused exception.
    
    When novaclient gets a Connection Refused it now presents that as a
    ConnectionRefused exception with appropriate information rather than as
    an HTTP exception.  Addresses bug 1047078.
    
    vagrant@precise64:/opt/stack/python-novaclient$ nova image-list
    ERROR: ConnectionRefused: '[Errno 111] Connection refused'
    
    Change-Id: Iebf4d78a524004d5e79d2219b35f90fbd38ee690

commit d6f767f8a3239aa314a9322720d0e543f2e07065
Merge: 671afc3 e8b6aae
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Sep 7 12:47:48 2012 +0000

    Merge "    Add the image_id arg to volume create"

commit 671afc344c6830e5c97ec3905a7fb1d998c43d8c
Merge: dfa1c71 ee2405d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Sep 6 22:35:02 2012 +0000

    Merge "Add -X to DELETE and PUT in debug mode"

commit dfa1c71e910e624c3983e6db1aab0ec9b085a3cd
Merge: 66ea8f9 9754f1d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Sep 6 20:22:50 2012 +0000

    Merge "Fix PEP8 issues."

commit 66ea8f9bfb0cf404e2e26954fb576e176d92cf5e
Merge: 46a87dc f2d2e4c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 5 21:58:31 2012 +0000

    Merge "Fix usage-list date range to use UTC time"

commit f2d2e4cb0621b27b2b3f864c4352a94174174240
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Mon Sep 3 20:06:09 2012 +0100

    Fix usage-list date range to use UTC time
    
    Fixes bug #1045456
    
    The date range in Nova's os-simple-tenant-usage is expected to be in UTC
    time since launch/termination dates are stored in the DB in UTC time and
    we use the client supplied parameters to query DB without conversion.
    
    Switch from using datetime.today() to datetime.utcnow() to fix the issue.
    
    Add a test for the default date range.
    
    Import timeutils from openstack-common so we can control the return value
    of utcnow() in the tests.
    
    Change-Id: Iac77e3a4cc9561714d1492c54cef931f9764531e

commit 03a5650cb2435be2e7a3817d89409513bf381a0e
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Aug 30 19:52:16 2012 +0200

    Show POST in debug with curl.
    
    - When debugging with switch --debug display show the POST request directly
      in the curl command line making easy to copy and paste.
    
    Change-Id: Id62ef2c32a3e9d492dd2d34c4bd7575bda10eb0f

commit 46a87dc8758aaf666800b37f3d5a3bd3999063a6
Author: Sulochan Acharya <sulochan@gmail.com>
Date:   Thu Aug 30 10:49:40 2012 -0500

    Fixes doc string and string formatting
    
    A small change to fix a doc sting mistake and a string formatting
    error on floatingIP. Fixes bug 1043906.
    
    Change-Id: I212e317efb81afdb450fd79f16552fd393e86bd9

commit e8b6aae14a3164ec321c79a614e7ba6367bef192
Author: Ollie Leahy <oliver.leahy@hp.com>
Date:   Wed Aug 29 13:14:21 2012 +0100

        Add the image_id arg to volume create
    
        This fixes bug 1042158 and is a port of
        Josh Durgin's fix to python-cinderclient
    
        Patch set 2, remove unnecessary secondary option for
        image_id
    
    Change-Id: If028f784f1c6de9b47705cb580711849d1c00060

commit 0e7df4c9fcb0cea9af9b46e0eb6ee7a91ea8059e
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Wed Aug 29 13:13:09 2012 +0200

    Make region case insensitive.
    
    - Match region in case insensitive way.
    
    Change-Id: I4d97372e7804acd6b735275ed279b78332ba4eef

commit 9754f1daa8cd9ed8dbe22c436d8449aabb99f2b0
Author: lrqrun <lrqrun@gmail.com>
Date:   Wed Aug 29 13:36:55 2012 +0800

    Fix PEP8 issues.
    
    Fix some pep8 issues in doc/source/conf.py make the code looks pretty.
    
    Change-Id: I7cc284a0155d531d3890941f8c62c04f54d1a2d6

commit ee2405d642ff777ecd11cf516efcfe3b54a6d3bf
Author: Joe Gordon <jogo@cloudscaling.com>
Date:   Tue Aug 28 12:26:39 2012 -0700

    Add -X to DELETE and PUT in debug mode
    
    Fix bug 1042914
    
    Change-Id: I3cded071c12dce0f7eb93b39d5942f0602bd77ba

commit 3a8942562d31661c254372fba95ce0fd211048a1
Merge: 6de710f f160a20
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 27 20:23:39 2012 +0000

    Merge "Implement project specific flavors API, client bindings"

commit 6de710fa18fb32509ad7987355fc04cd0fa7b221
Merge: 6e6e806 9101741
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 27 20:22:56 2012 +0000

    Merge "Change '_' to '-' in options"

commit 6e6e8060d4e9e73eae4b003c9757169c98aec576
Merge: 2a7dd86 b54330b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 27 20:12:17 2012 +0000

    Merge "Adding --version option"

commit 2a7dd867fa291dcc33add04dc80f8fb5199fa731
Merge: b52e3be bad092f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 27 20:11:52 2012 +0000

    Merge "Add nosehtmloutput as a test dependency."

commit b52e3bef72ce31c90bdd300735828ae48581b769
Merge: f0929b0 d9dc91b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 27 20:10:20 2012 +0000

    Merge "split req and response logging this allows capture of timestamps prior to and after request for timing also did some pep8 1.3 cleanup while I was in there"

commit f0929b0ebb3ce1e3dbb4d48b1326cd6746cafe20
Merge: ae431ab 845c97b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 27 20:05:18 2012 +0000

    Merge "Implement network calls in nova client"

commit f160a20fd942422f3e2e203d37556d502de6632b
Author: unicell <unicell@gmail.com>
Date:   Mon Aug 13 20:25:05 2012 +0800

    Implement project specific flavors API, client bindings
    
    blueprint project-specific-flavors
    
    This change implements client bindings for the project specific flavor API in following change
    https://review.openstack.org/#/c/11270/
    
    Change-Id: Id8d559985f9369f53926e63ee5f5ce23a051e25b

commit f391591713a3bd16c521a68063a2c529c5f62ccb
Author: Yaguang Tang <heut2008@gmail.com>
Date:   Mon Aug 27 16:03:46 2012 +0800

    Add missing port-id usage info.
    
    Change-Id: I3e5de32265512c0f692bda6d322c95be0d1b8851

commit ae431aba0d3829728d7e7fda6053f8eb4c417759
Merge: 8ccd905 52d24b1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Aug 25 02:06:07 2012 +0000

    Merge "Added -nic port-id=<port_uuid_in_qunatum> support"

commit 9101741960ac4bc9b81539bf6bfb2dedeb7e68d9
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Wed Aug 22 13:01:17 2012 -0500

    Change '_' to '-' in options
    
    This changes every command-line option with a '_' in its name
    and changes them to '-'.  The old option names are maintained
    for backward compatibility but are no longer in the help text.
    
    BP command-options
    
    Note: there is a dodgy hack in novaclient/shell.py to handle
    usage-list's --end option that conflicts with --endpoint-type
    if --endpoint_type is also present for backward compatibility.
    If --endpoint_type is not added to the parser it works.  Go figure.
    Better solutions that do not break backward compatibility are welcome.
    
    Rebased due to https://review.openstack.org/11072 merging.
    Note: --availability_zone changed to --availability-zone with no
    backward compatability since this s a new option.
    
    Change-Id: I09ab546659be0a0d3f0eadb22ab5e13fac2f059d

commit b54330bfd255faaec6edae8b99053269a13607d3
Author: Rick Harris <rconradharris@gmail.com>
Date:   Fri Aug 24 18:01:30 2012 +0000

    Adding --version option
    
    Change-Id: I7d37af1ddee186af22457baea9af71a955720053

commit 8ccd9059d62a96815c25f6a5ea3510322bc599e6
Merge: bab694e 1a47ac1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 24 19:13:55 2012 +0000

    Merge "Add availability_zone support for volume creation."

commit 52d24b19f9bb520c65b4dd937c5997592fa273ab
Author: Nachi Ueno <nachi@nttmcl.com>
Date:   Wed Aug 15 17:52:27 2012 +0000

    Added -nic port-id=<port_uuid_in_qunatum> support
    
    Fixes bug 1037202
    
    Change-Id: I72d252edb7ce5fda61b88a9f9548d59d59a56156

commit 845c97b7e99ec71c9aed2230fac990096ec0ea88
Author: Alessio Ababilov <aababilov@griddynamics.com>
Date:   Wed Aug 22 15:41:50 2012 +0300

    Implement network calls in nova client
    
    Implements blueprint novaclient-networks
    
    Provide network API calls in nova client as well
    as unit tests. API is accessed by `networks` field
    of nova client.
    Methods:
    * list() - return network list
    * get(network object or id) - return requested network
    * delete(network object or id) - delete requested network
    * create(network properties) - create a new network with requested
      properties
    * disassociate(network object or id) - disassociate the network
      from its project
    * add(network object or id[optional]) - associate the current
      project with a network
    
    Change-Id: Ie6ab11cd2ad6e1625ead4b08c6beab5b845291a1

commit bad092f3506ad05769d658efc9d22a5e32a9aed7
Author: Clark Boylan <clark.boylan@gmail.com>
Date:   Tue Aug 21 14:36:36 2012 -0700

    Add nosehtmloutput as a test dependency.
    
    Adding nosehtmloutput as a test dependency allows nose to output its
    results to an html file. This will be used by Jenkins to save logs on
    a different server.
    
    Change-Id: Iab55c018b0f41d9ffabd931329ab487df8ab9cae

commit d9dc91be610f7ab5cc0119c11008105a50269260
Author: Joe Heck <heckj@mac.com>
Date:   Thu Aug 16 17:57:09 2012 -0700

    split req and response logging
    this allows capture of timestamps prior to and after request for timing
    also did some pep8 1.3 cleanup while I was in there
    
    Change-Id: I7fdc3f812d22c9e903279541219c53b35f510706

commit bab694ef1d579aca453996e3e9729d96a26e570a
Merge: 2819b2a 41ce1b8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Aug 15 18:05:35 2012 +0000

    Merge "Relex prettytable depend to match glanceclient."

commit 2819b2aa30cd11ba9a79da520a966b7c9d1936d3
Merge: b97262d 3a521ee
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Aug 15 18:05:31 2012 +0000

    Merge "Adds support for autogenerated device on attach"

commit b97262d3573a97bfa6228dc3cb8127f2bf643ef2
Merge: 5204689 576a64f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Aug 15 18:05:24 2012 +0000

    Merge "Allow resources to use any field as 'name'"

commit 52046892e5417c41ab74739712d5b9eb02c3a2fc
Merge: 8305708 86c713b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Aug 15 17:58:54 2012 +0000

    Merge "Allow different auth providers via plugin system."

commit 8305708d28d93cf6a9957aac649130fea7f5c6c5
Merge: 077cc0b cdae4e1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Aug 15 17:58:51 2012 +0000

    Merge "set admin password during instance creation"

commit 1a47ac1dfb286a27de3afa313e7df2d385d553f8
Author: Zhiteng Huang <zhiteng.huang@intel.com>
Date:   Thu Aug 9 16:43:14 2012 +0800

    Add availability_zone support for volume creation.
    
    Add '--availability_zone' flag to 'create' sub command in order to allow
    user to speicify target availability zone for volume.
    
    Change-Id: Ie20760cdbf6a8fa5869ed5e79dc0ac56d2741cb2

commit 3a521eef75b3387b4e1548a712081b288049d315
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Mon Aug 6 22:24:58 2012 +0000

    Adds support for autogenerated device on attach
    
    In order to keep backwards compatibility, use 'auto' as a positional
    parameter to allow nova to automatically generate the device name
    for the attached volume.
    
    Also, prints the result of the attach so that the user can see which
    device was selected.
    
    Change-Id: I25ad8eac48b9a085268627435b68ad20d1fb3c4c

commit 576a64fbb5820d306bafdd334a01f853de07d462
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Wed Aug 8 11:18:13 2012 -0700

    Allow resources to use any field as 'name'
    
    The 'name' field for some resources is called something different,
    for example 'display_name' for volumes. There was a hack in our
    find method to search for display_name as well.
    
    This change adds a new class variable to a Resource to tell it
    which attribute to use for searching by name. Volumes and snapshots
    were switched to use 'display_name' and hypervisors were switched
    to use 'hypervisor_hostname'.
    
    Tests fixed and added.
    
    Fixes bug 1034536
    
    Change-Id: I1b4fb969d42c59d1ab8e3e275a563bbe158e9264

commit 077cc0bf22e378c4c4b970f2331a695e440a939f
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Mon Aug 6 09:11:18 2012 +0200

    gitignore ChangeLog and add to MANIFEST.in.
    
    Change-Id: I6dde5a0411f3e814bb34c0936010f1b46a4248a3

commit 86c713b17ac8984b54ff767d83ab41037e7a7833
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Aug 2 16:41:47 2012 +0200

    Allow different auth providers via plugin system.
    
    - Remove the NOVA_RAX_AUTH hack and provide (temporary) compatibility
      with the new system.
    - Example plugin for RAX and HP provided here :
        RAX - https://github.com/emonty/rackspace-auth-openstack
        HP - https://github.com/emonty/hpcloud-auth-openstack
    - Plugin are allowed to specify their own auth_url directly.
    - Thanks to mtaylor for helping on this.
    
    Change-Id: Ie96835be617c6a20d9c3fc3bd1536083aecfdc0b

commit f15974b80dba9da1dee9433c8a44547fd5efd940
Author: SandyWalsh <sandy.walsh@rackspace.com>
Date:   Wed Aug 1 13:23:07 2012 -0500

    Better handling of stale tokens (no more 401's)
    
    There was a problem with stale tokens generating 401's. The
    headers for the request where not replacing the stale token
    with the freshly obtained one. This patch remedies that.
    
    Change-Id: I8e7c7e01fddeec17ad9ff4254b1223820bb8e2b7

commit cefd0fc80e2c52f86b5196bf202b9ac0f94d5866
Author: James Meredith <james.meredith@rackspace.com>
Date:   Wed Jul 25 10:55:32 2012 -0500

    change image list and network list data
    to be sorted by name rather than UUID
    
    Change-Id: I3a0faa56dbb85c916c93b5065bda90f99bb3937c

commit 41ce1b839a4f0fc36372db7e9855c8f7689f9fda
Author: Monty Taylor <mordred@inaugust.com>
Date:   Thu Jul 26 12:08:04 2012 -0500

    Relex prettytable depend to match glanceclient.
    
    Change-Id: Ic820a3cef791455a78e2aaa9e20c7ee42bed33a8

commit c41f5f643af136ccb9cdc40902a6cebfdebaa518
Merge: 85d591b 7ef0786
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 24 15:23:21 2012 +0000

    Merge "Fix image-create --poll race-condition."

commit 85d591b1d88b7e6d174c8eabd41dda14162a8bbc
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Mon Jul 23 17:10:27 2012 -0500

    Add call to get hypervisor statistics
    
    Adds an admin API call to retrieve the compute node statistics for an
    entire nova instance.  Counts up all hypervisors and sums all their
    values (vcpus, vcpus_used, etc.).
    
    Change-Id: I0a3df235282089f1313d08ae5b89dadbd1db9840

commit 7ef0786d9e6172a9df0d33a1113f27569bd7f522
Author: Rick Harris <rconradharris@gmail.com>
Date:   Mon Jul 23 22:05:22 2012 +0000

    Fix image-create --poll race-condition.
    
    This fixes a race-condition caused by `do_image_create` with polling
    enabled returning after the image has finished uploading but before the
    instance `task_state` was cleared out.
    
    This would cause a snapshot taken immediately afterwards to fail because
    the `task_state` would still be in the `image_snapshot` state.
    
    The (short-term) fix is to add an addition poll-loop that ensures the
    `task_state` field is cleared-out as well.
    
    Change-Id: I3adeed24ecea127c8bdd12143634a6ce5da64330

commit cdae4e152f1b56df89766102c9d004188232fe3c
Author: Alessio Ababilov <aababilov@griddynamics.com>
Date:   Thu Jul 19 18:25:41 2012 +0300

    set admin password during instance creation
    
    Fix bug #1026650
    
    Change-Id: Ie52751021275d1c7f718b84e7a2e66420131ce4d

commit 186a38cbc67cec061b524701f3a6ffac476399ec
Author: Sascha Peilicke <saschpe@suse.de>
Date:   Fri Jul 20 10:20:32 2012 +0200

    Clarify usage of --insecure flag
    
    Change-Id: Iad52212ea2ba7bfc93c597c23cc6314f9916edb9

commit b9e1d618724c5d2570850c9203786eea897ac363
Merge: d50cf70 33cc7b1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 17 15:24:09 2012 +0000

    Merge "Add support for modification of instance Security Group"

commit d50cf705d3e0d81710c7e47bd43ddf17d67a3af8
Merge: 667dcc3 dde84eb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 17 15:22:36 2012 +0000

    Merge "Flavor-list sort by ID numerically"

commit 667dcc313ce0e1ddb1c240c1769f88954da1158a
Merge: 77206eb c3f2957
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jul 13 18:13:14 2012 +0000

    Merge "Install test-requires in development venv."

commit 77206eb6d7a2978209896ce902a896b2858419a6
Author: Rick Harris <rconradharris@gmail.com>
Date:   Thu Jul 5 17:08:12 2012 +0000

    Fix resize polling.
    
    The `--poll` option for resize is not working because it is looking for
    `verify-resize` instead of `verify_resize`.
    
    Change-Id: I824ee019047121d49789a8311a1b315aa36fa295

commit 33cc7b1826dd1b72b93ba45931270a80e20f5477
Author: TianTian Gao <gtt116@126.com>
Date:   Sun Jul 8 13:28:12 2012 +0800

    Add support for modification of instance Security Group
    
    Change-Id: Ie4196281a34a83316425eada871865e4a33fab5d

commit dff56d84ccd1f235be5a4611b65189599444a9be
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Fri Jun 29 17:17:05 2012 -0500

    Add support for hypervisor-uptime.
    
    Adds support for the new uptime call to the hypervisors extension to
    nova.  This allows the results of "uptime" on the hypervisor to be
    returned to the caller.  Note that currently, only XenAPI implements
    the underlying method; if the version of nova uses another virt
    driver, the result will be a 501 error.
    
    Change-Id: I34cc92557e6d22705a5591e54404b32245dbe16a

commit c3f295729ee1cf3b9aad928d7c296603e2a13cfc
Author: Sascha Peilicke <saschpe@suse.de>
Date:   Mon Jul 9 17:31:34 2012 +0200

    Install test-requires in development venv.
    
    Otherwise ./run_tests.sh may fail
    
    Change-Id: Id37117a2dfd53144b8f062767afcf17825fd5d6e

commit 5a98ed711222f91c02bc10bc79463d27b921342c
Merge: db50e76 99d97b9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 5 15:46:51 2012 +0000

    Merge "'endpoints' and 'credentials' work with token caching."

commit 99d97b9d4e6a4af1ecb72cab2a793f5b5b87f490
Author: SandyWalsh <sandy.walsh@rackspace.com>
Date:   Thu Jul 5 09:45:46 2012 -0300

    'endpoints' and 'credentials' work with token caching.
    
    The recently introduced token caching busted these two commands
    since there was no longer a ServiceCatalog to access. This patch
    disables token caching for these commands.
    
    LP1020669
    
    Change-Id: I198acea44fca99b4c907c11198813412df5559bd

commit db50e76e0ccd405bb96e462ef2cb8fbd63783564
Author: Sandy Walsh <sandy.walsh@rackspace.com>
Date:   Tue Jul 3 11:40:18 2012 -0300

    This should fix a problem with overly aggressive token caching.
    
    Previously I was only using the service name and auth url as the
    token cache key. This was posing problems with services that have
    multiple endpoints and/or are needing different service types
    (like volume). Now we take all endpoint selection criteria
    into account.
    
    See LP1019054
    
    Change-Id: Ideecca805bb0d0754bcc74e536821f32170b9857

commit dde84ebdb88c2e97bf42fa7e2107a5dcb5bb357b
Author: John Tran <jhtran@att.com>
Date:   Fri Jun 29 12:57:10 2012 -0700

    Flavor-list sort by ID numerically
    
    Fixes bug 1016680 - the flavors list created has
    ID field value as a unicode string therefore sort
    on it not the same as numerical.
    
    Change-Id: I71f2c8583cca33d2f1be2a2daa856ecec524267e

commit 6483ad10a7062677a834167d2f228da1a0120954
Author: Major Hayden <major.hayden@rackspace.com>
Date:   Mon Jul 2 15:22:59 2012 -0500

    Bring back the output from client.http_log()
    
    Change-Id: If7c583751abe9ae60f299515a5f7778db72fa70c

commit bd833c80967590682097a0f61a14c6202add9802
Merge: 0b55c53 cd1e7b9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 2 17:19:49 2012 +0000

    Merge "Update for blueprint general-host-aggregates"

commit 0b55c534a3ce3e6d9b5d9e853fd89a19dcb0b69c
Merge: be09db7 44038f3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 2 17:19:47 2012 +0000

    Merge "don't bash-complete the '-h' option"

commit be09db71b88baee3cec6275d9a69b2a2cc2b3357
Merge: 20aa3ab 888cfeb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 2 17:11:26 2012 +0000

    Merge "Add host-list command"

commit 20aa3ab779c300285e6dadbaf184091e3037255b
Merge: a117885 2a97d61
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 2 17:10:59 2012 +0000

    Merge "Small doc cleanup round."

commit a11788515e800a95d5b83448c2a9403eed509bdf
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Wed Jun 27 18:45:28 2012 -0500

    Add hypervisor information extension.
    
    Adds support for a new nova extension for getting information about
    hypervisors (as opposed to compute hosts), including a list of
    hypervisors matching a regular expression (database regular
    expression, i.e., %'s) and a list of hypervisors with the list of
    instances living on those hypervisors.
    
    Change-Id: I7353991ffbf484da175a0912ee46e80f623e230f

commit 08cf0bf95ef99a0e39122ef99eb559e2d739716d
Merge: f785532 d4c9b12
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jun 29 16:48:19 2012 +0000

    Merge "Indicate unused variables and other misc. house cleaning."

commit f78553211c064fddedb2461f03327282f7aa5433
Author: Sandy Walsh <sandy.walsh@rackspace.com>
Date:   Thu Jun 28 17:00:47 2012 -0300

    More friendly keyring support when token caching is off.
    
    The token caching would always try to save the token even
    if --no_cache was specified. The downside of this is
    environments where there is no keyring agent it would prompt
    for a password. Now, if --no_cache is specified it won't try
    to save the token.
    
    Also ability to reset timings (--timings) which is handy for
    client-driven profiling efforts. Yes, this should be a separate
    branch, but it's so tiny it's hardly worth the effort.
    
    I'd also like to take this time to express my admiration for
    Brian Waldon. A stalwart young fellow and a fine coder.
    
    Change-Id: I97c2c5f6864fe156a3e204927b2831b74fb1c893

commit 0248ae78ecf5b7e9cddf74b9e25714b0bf02d60b
Author: Sandy Walsh <sandy.walsh@rackspace.com>
Date:   Thu Jun 28 13:00:56 2012 -0300

    Whoops, the last changes to keyring introduced some problems with v1.1
    auth tests.
    
    Change-Id: I09605be563da5f026a45549d59bc0a6a1dd1d8a2

commit 0c5b97725401097aafaabba784beb8e9d35690ad
Merge: 1c6e044 632a8ec
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 27 22:10:55 2012 +0000

    Merge "Add read_versioninfo method"

commit 1c6e044bdcd8d61d7ba4e9f24afef4d5bfe24fdb
Author: Sandy Walsh <sandy.walsh@rackspace.com>
Date:   Mon Jun 18 17:37:45 2012 -0300

    Auth token caching on by default. --no_cache to disable. Better bypass support too.
    
    Will use and/or store your Openstack Auth token in the operating
    system's keyring if available. Cuts about a 1/2 second off operations.
    
    Change-Id: Ibe2dc0c49baefd23afe3844a78c1df884a4fb7c7

commit 34915a0ea917cb158b654dd2a91a9bfe63057039
Merge: e8609c9 bb117a2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 27 19:08:54 2012 +0000

    Merge "Update Contributing blurb in the docs."

commit e8609c990e28f45c153d597e870f69bb81658e4a
Merge: b7c5184 ac43f63
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 27 19:08:08 2012 +0000

    Merge "Filter out v1.0 endpoints"

commit 888cfeb2c3c6a0fb38c6573708b611f73d4664b2
Author: Joe Gordon <jogo@cloudscaling.com>
Date:   Tue Jun 19 02:35:39 2012 +0000

    Add host-list command
    
    Rename describe_resource => host-describe
    
    Change-Id: Ic3548c3404ccbb1abd2ea9f096e3df8950d43e89

commit d4c9b12f39501186e812fba31c314bf813a4cfc0
Author: Josh Kearney <josh@jk0.org>
Date:   Tue Jun 26 11:34:31 2012 -0500

    Indicate unused variables and other misc. house cleaning.
    
    Change-Id: I4529d8b6b27dddb1b79ee2167a054b471eaf0dbc

commit b7c51840b93297f0902891a10e42145eaddd3f38
Merge: 24ad114 7546198
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 27 16:51:51 2012 +0000

    Merge "Turn multiple hints with the same key into a list"

commit 44038f33977402f8ce4e18e7d308a520ea17b780
Author: Dominik Heidler <dheidler@suse.de>
Date:   Wed Jun 27 11:53:57 2012 +0200

    don't bash-complete the '-h' option
    
    Change-Id: Iafd424355167883a10048a0fc0ed13515186a047

commit 632a8ec89e37d35bc501ea8c584de0fe472d3937
Author: Monty Taylor <mordred@inaugust.com>
Date:   Tue Jun 26 21:03:40 2012 -0500

    Add read_versioninfo method
    
    Change-Id: Ida728f07f253d15c9ce64da1be4ba4f3a7022ca7

commit 7546198cb042309ce89f5ddda3d783c41e76eca6
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Tue Jun 26 09:40:22 2012 -0700

    Turn multiple hints with the same key into a list
    
     * Related to bug 1017988
    
    Change-Id: I331191042d81fe857f0dac5421bf40b634cc23d5

commit 24ad114d3b29b46328b2544453606b6d69d1e045
Author: Monty Taylor <mordred@inaugust.com>
Date:   Tue Jun 26 11:04:48 2012 -0500

    Cleanup of setup.py usage of openstack-common.
    
    Change-Id: Id74cd3aec982b84851ce84bbb5207d86da04bc63

commit 65529cd9294fc5d9669dadd9cc372a35eee678ae
Author: Monty Taylor <mordred@inaugust.com>
Date:   Mon Jun 11 18:00:07 2012 -0400

    Implement post-tag versioning numbering.
    
    Change-Id: If886d1ee70420fe52776663ec9cf75bf31d54012

commit 2a97d614b4ec40d9c3816f04a5e2876e9a621ece
Author: annegentle <anne@openstack.org>
Date:   Mon Jun 25 18:53:09 2012 -0500

    Small doc cleanup round.
    
     - Changes theme to default instead of nature.
     - Explains in terms of Compute API instead of Rackspace
     - Remove outdated reference to nova-manage command
     - Remove unnecessary whitespace
    
    Change-Id: I43d16cd053af0b4be48450fd638f9d17f9e5c4e7

commit bb117a2d45a95ff88eabccd1bf42b14dbf00e76a
Author: Clark Boylan <clark.boylan@gmail.com>
Date:   Fri Jun 22 10:16:49 2012 -0700

    Update Contributing blurb in the docs.
    
    Contributing blurb previously mentioned using Github pull requests.
    Contributions should go to Gerrit instead.
    
    Change-Id: Id7b7f968fa5a3785c19704b4c1c2408f48b335ca

commit cd1e7b9d90afc57b979c729d928bb3f9a1cce260
Author: Joe Gordon <jogo@cloudscaling.com>
Date:   Wed Jun 20 21:34:37 2012 +0000

    Update for blueprint general-host-aggregates
    
    * Remove Operation state from aggregate results
    
    Change-Id: I884b7f4c527debadb3a22b574b5d2879d28dd0f9

commit 3dd0d3be63b4bf35aede852d096deff9be5b63e4
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Wed Jun 20 15:22:17 2012 -0500

    Admin action to reset states.
    
    Adds support for the new Nova Admin API action which resets the state
    of an instance.  This will at least allow easy clean-up from bugs
    which corrupt the state of an instance and inhibit the owner of the
    instance from deleting it.
    
    Change-Id: I47d1d75e3bd2a07b3b75302b512122b27d5d79d9

commit ac43f6389ff1f4f15b8778ab062edb10bbe9af6e
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Mon Jun 18 16:51:11 2012 -0500

    Filter out v1.0 endpoints
    
    - Addresses bug 1014860
    - v1.0 endpoints should not be considered valid endpoints
      by python-novaclient
    - also ignores other unkown versions (for when 3 comes out)
    - includes updated catalog tests
    
    Change-Id: I73bd9b0dbede74ee0d975caa86145219e30262fc

commit a2a62a5f71d9e24d3c2dbe91df38517141e7c577
Author: Sandy Walsh <sandy.walsh@rackspace.com>
Date:   Fri Jun 15 15:12:23 2012 -0300

    option to bypass managment endpoint and timings support
    
    --timings = show timings for each call made to nova (including auth)
    --bypass_url = api node endpoint to use instead of one from service catalog
    
    For example:
    nova --timings --bypass_url=http://10.24.31.37:8774/v1.1/nova-staging boot --image f304d266-0a49-4877-b34c-63aea8360297 --flavor 3 delete_me_2
    
    Change-Id: Ib2a258b7e969ad56ce4ee2bd64c61310278cb856

commit d94edf1469e65a993ca98b961463d87187e0440b
Merge: 032d02b 983b28d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jun 15 15:30:20 2012 +0000

    Merge "Fix spelling errors in aggregates section"

commit 032d02b189eb39f9c42f75a32f64943f7494c5e1
Merge: 8dce04a ebceca9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 14 21:00:51 2012 +0000

    Merge "Move docs to doc."

commit 8dce04a1cf4ed7f04b0677c451947283e20047e6
Author: Josh Kearney <josh@jk0.org>
Date:   Wed Jun 13 10:03:23 2012 -0500

    Removes NOVACLIENT_DEBUG from client code.
    
    It's OK to do this because only the shell uses the --debug arg. The code that
    uses the client code will set the log level appropriately.
    
    Fixes bug 922742.
    
    Change-Id: I9e925f53c17c73f4442121e52811d52603afab29

commit 983b28d05182e55031c997fd6ca5e30f5a699984
Author: Joe Gordon <jogo@cloudscaling.com>
Date:   Mon Jun 11 17:49:22 2012 -0700

    Fix spelling errors in aggregates section
    
    Change-Id: I7bd0533861168eef31dcd055ae79746f1a1a6dc7

commit ebceca94146b2ab004dfb88069ee3a6917b460ad
Author: Clark Boylan <clark.boylan@gmail.com>
Date:   Mon Jun 11 14:13:55 2012 -0700

    Move docs to doc.
    
    To better facilitate the building and publishing of sphinx
    documentation by Jenkins we are moving all openstack projects with
    sphinx documentation to a common doc tree structure. Documentation
    goes in project/doc/source and build results go in project/doc/build.
    
    Change-Id: I868df12e3c15cc30043e782ce0a609b9574295cd

commit d263f1f7b8220b482c5f912c4c1b240d260d93dc
Merge: f4c4527 7745b35
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jun 11 18:00:11 2012 +0000

    Merge "Lock prettytable dep at v0.6"

commit f4c4527bc1c633ed3bc5e5581bad3f79f53090ef
Merge: 051aa3d ff6162e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jun 11 17:02:25 2012 +0000

    Merge "Add .tox to .gitignore"

commit 7745b35b698df9cc08c681aa5a1d52d6346030cb
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jun 11 09:57:00 2012 -0700

    Lock prettytable dep at v0.6
    
    Specifically set the prettytable dependency so we can reliably
    align data in table cells.
    
    Change-Id: I1787c4100248b2a75405df690931110c76803413

commit 051aa3d7dd54a453165a839dee9e2bb6de203abf
Author: Josh Kearney <josh@jk0.org>
Date:   Mon Jun 11 11:44:38 2012 -0500

    Removed generate_authors.sh since it's no longer used.
    
    Change-Id: I2ad9b4c77323baa0f4aef444e84fb93781cf7886

commit eb9b17532fdf23d1969b5de888a8a3dae8bc1303
Author: John Tran <jhtran@att.com>
Date:   Wed May 16 11:03:32 2012 -0700

    nova show cmd displays unique flavor and image id
    
    Fixes bug 917855.  Added unique id of flavor and
    image objs to output of nova show vm
    
    Change-Id: I9c4c4db3d604b130a2629ce0c664ca106f08b869

commit 3f4591142fb3cb692877a2a814806e3bd574557b
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jun 11 08:09:12 2012 -0700

    Use openstack-common for AUTHORS generation
    
    Also add .mailmap entries for Jake Dahn and James E. Blair
    
    Change-Id: I1ec02aa5302922f3db6a3ad457f4f7c6a006ba00

commit ff6162ebba061451a0559ac3f16e7b777e61ed2d
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jun 11 08:29:48 2012 -0700

    Add .tox to .gitignore
    
    Change-Id: I1502a2ade9e1dadf20428de7fae0f16aa751696b

commit 855d1578fc28a49d57009d99915b0097d1a1e4e4
Merge: e41d8bd 9dcafe1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 7 15:14:45 2012 +0000

    Merge "doc: fix and clarify the --meta option help"

commit e41d8bd09e80863d39fe1fab4d45f65573eeb69c
Merge: 5c5b098 3ed72ba
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 7 15:14:43 2012 +0000

    Merge "Adds flavor-show support."

commit 5c5b098f7cbaef44152b1df7a771e71e932c0664
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Fri Jun 1 01:39:20 2012 +0000

    Add start and stop to server actions
    
    Change-Id: I7fc52a87519813e38090f05dd9646b800c5c1813

commit 3ed72ba246d565c21338a437f64ba0077c334a14
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Jun 1 13:00:02 2012 -0400

    Adds flavor-show support.
    
    Fixes LP Bug #1007516.
    
    Change-Id: I0c1c814968af416a796be1daec38290f6237d650

commit 9dcafe16b095dfe3ca76637ae5b3caed059ad7a2
Author: Pádraig Brady <pbrady@redhat.com>
Date:   Fri Jun 1 13:32:09 2012 +0100

    doc: fix and clarify the --meta option help
    
    Change-Id: Iba758a9014d43581a044131a7394738b0448cc18

commit 10a9cb22bd84181ccf773d3ea082868ff69a9070
Merge: 66fe385 af634ab
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 29 22:29:55 2012 +0000

    Merge "Lock pep8 at v1.1"

commit 66fe385a40fb118bb72098daa008faccc31ca649
Merge: d15f216 73bc2ed
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 25 13:35:42 2012 +0000

    Merge "Turn on verbose test output."

commit af634abb1ec535d4d1d505b88c8393e67a5585af
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 24 07:13:12 2012 -0700

    Lock pep8 at v1.1
    
    We can't depend on pep8 not to add new rules and break our tests.
    
    Change-Id: Iac5c79f7c00fcaeff3ef957d138754d63425a256

commit d15f216b2dced23e793a53aed3dde147fc134acc
Merge: cb8eea4 c949513
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed May 23 14:52:05 2012 +0000

    Merge "make nova bash-complete faster and more accurate"

commit 73bc2ed038256337540fcc80405a639ea4de0371
Author: Monty Taylor <mordred@inaugust.com>
Date:   Fri May 18 08:33:17 2012 -0400

    Turn on verbose test output.
    
    Change-Id: I811e8c2cbbdd107794af3fc8f70757e3b609a479

commit cb8eea487532720922a76ec246327ead4cb627ce
Author: Monty Taylor <mordred@inaugust.com>
Date:   Wed May 16 10:40:33 2012 -0400

    Align tox.ini with standards.
    
    Change-Id: Iab112bae0187d025b9b0b6c88208d6706093a184

commit c9495134690a1818fccfec0b8a5717dc31ea5633
Author: Dominik Heidler <dheidler@suse.de>
Date:   Tue May 15 11:25:11 2012 +0200

    make nova bash-complete faster and more accurate
    
    - cache output of "nova bash-complete"
    - distinguish between flags and commands (based on already typed text)
    
    Change-Id: I85bd1c2198eef222540cf12063a3b233b0d6db12

commit 66522fdc9c09a65b87fe412e7bea87e4761ec43d
Merge: 636f32b be5c63e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed May 9 20:21:40 2012 +0000

    Merge "removed int requirement for volume_id on snaps"

commit 636f32b00aef03202efc2c7fb16ee36c166f2bfc
Author: Chuck <cthier@gmail.com>
Date:   Thu Apr 12 15:41:35 2012 -0500

    refactored --service_name to only work with compute calls and added
    --volume_service_name for volume calls
    
    Change-Id: I2b1188fb57f9576daebfaceaddc6eea44a47b4ee

commit be5c63e678a248007796c9e49f05df75242be0b8
Author: Chuck <cthier@gmail.com>
Date:   Tue May 8 22:02:21 2012 -0500

    removed int requirement for volume_id on snaps
    
    Change-Id: Ibec28174bb438f86cc91561ee642d4da67c9d5d2

commit d743f92dc2cd25e7dd4bb7571e8542e53d9b7db1
Author: Ghe Rivero <ghe@debian.org>
Date:   Mon May 7 10:06:19 2012 +0200

    Updated to new prettytable api. Fixes bug 995818
    
    In 0.6, printt() (wrapper to get_string) has been removed.
    Updated to use get_string(), backward available since 0.2 release.
    
    Change-Id: Ica292757ec3de5004f27afbc5c8ee11d839421df

commit 997a472983d6883b694aa3d6d1ffed4160ea09ad
Merge: bea0bf9 f47f603
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 3 22:41:29 2012 +0000

    Merge "Limit hint/nic parsing to one split on '='"

commit bea0bf9d517175e2f9f019019fb268b766296752
Merge: 04c9d02 c135cf8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 3 19:14:03 2012 +0000

    Merge "Fix LP #990667 - Keypair __repr__ referencesuuid"

commit 04c9d02011efc8ea46cb48432d194fed878819bf
Merge: f1eda61 c36ac8b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 3 19:04:56 2012 +0000

    Merge "really output the description of an exception"

commit f1eda6144bd5f5d8d0fdfd533233e8938f649f69
Merge: d43f172 ade27e2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 3 18:44:39 2012 +0000

    Merge "Allow server name to be specified for actions and diagnostics."

commit ade27e211d7c7505e7d0b09750fd10de46932b71
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Wed May 2 15:28:23 2012 -0400

    Allow server name to be specified for actions and diagnostics.
    
    Fixes bug 963026
    
    Change-Id: I1662d229b4dcbc2e56d9701190191d94d603c63b

commit d43f1720715442631eb330f3609a63fd729a1640
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Wed May 2 00:35:52 2012 +0000

    Don't force volume id to int and allow search by name
    
     * required for change 6511 to merge
    
    Change-Id: Ia8d28ca7cce4c00aa0b3f1fe1da6719ec99d6fe4

commit 081c8e9824d25b2a4ff2b71c5336c739bb75fc1d
Merge: c00b47c 1602966
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 1 20:51:37 2012 +0000

    Merge "Display the request id on error response."

commit c00b47cdbc4a951e770400526b34f8154057b315
Merge: cdfd1da bdccfbc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Apr 30 21:00:38 2012 +0000

    Merge "Raise exception on all 4xx and 5xx responses."

commit c135cf8ef69cd704d709556d3ab108bf3562843f
Author: Jay Pipes <jaypipes@gmail.com>
Date:   Sat Apr 28 14:27:08 2012 -0400

    Fix LP #990667 - Keypair __repr__ referencesuuid
    
    Replaces reference to non-existant uuid property with
    existant id property in Keypair.__repr__
    
    Change-Id: I3aab0dce2c1f0f3cb5160e54a00a96b02f600854

commit cdfd1da4d0f6ed859e36cefc49e585f7c4b86e1a
Merge: 765f551 ed3a2bb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Apr 26 19:17:08 2012 +0000

    Merge "update README.rst,add args "service_type" when getting endpoints."

commit c36ac8b3d7361e24b3157c72622477227dd77248
Author: Christian Berendt <berendt@b1-systems.de>
Date:   Thu Apr 26 18:02:39 2012 +0200

    really output the description of an exception
    
    example without patch:
    
    nova [...] flavor-delete 123
    ERROR:
    
    example with this patch:
    
    nova [...] flavor-delete 123
    ERROR: Flavor 123 could not be found. (HTTP 404)
    
    fixes bug 981286
    
    Change-Id: I9c5cead521e48b4970850262fb9af279ec5a7753

commit f47f603c668f964631e5dce9641ac98ac33bc624
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Apr 20 09:54:15 2012 -0700

    Limit hint/nic parsing to one split on '='
    
    * Make sure we split a scheduler hint like 'a=b=c' into ('a', 'b=c') rather than ('a', 'b', 'c')
    * Also apply fix to --nic argument
    * Fixes bug 986213
    
    Change-Id: Icbc6938ea332bd70a82890bf4dc0744b2471bc24

commit ed3a2bb7222f2cb4bf40c57145b1e7b225d26040
Author: Your Name <heut2008@gmail.com>
Date:   Wed Apr 18 14:31:28 2012 +0800

    update README.rst,add args "service_type" when getting endpoints.
    
    Change-Id: Ib7e05f8eaff84e26869ec1a098ea98edd213018b

commit 765f551a267f07e43eb3acb92835ac7e5d6ca31b
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Apr 12 14:16:31 2012 -0500

    Rename NOVA_VERSION to OS_COMPUTE_API_VERSION.
    
    Fixes bug 940432.
    
    Change-Id: I18187eb68d936632b4ae78676a0a9f062afba8f2

commit bdccfbc88b7ca1cafe51ce39c58d18914a969dbb
Author: Yuriy Taraday <yorik.sar@gmail.com>
Date:   Fri Apr 13 18:56:44 2012 +0400

    Raise exception on all 4xx and 5xx responses.
    
    Fixes bug 965826.
    
    Change-Id: I44ce602176320b1e60e4c927e19a7eec232923b9

commit d6d7386fad20fe3165419b3ab2ee51bd90b46e2c
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Fri Apr 13 01:15:14 2012 -0400

    Update unittests to be Python 2.6 compatible.
    
    Fixes bug 980504 by introducing unittest2 module into novaclient.
    
    Change-Id: I613665eb174598a162795cec737078f960adc4cf

commit 16029661851221ab820489cfead4f8d2dd3b6f93
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Wed Apr 11 13:52:45 2012 -0400

    Display the request id on error response.
    
    This changes displays the request id when an error code is returned
    from the API.
    
    Change-Id: I70621fe7477a4612334af32e83f3ee8c5340371d

commit ad4a04a64e3a49c5613e766a9f93727cd6b8a678
Author: Adam Spiers <aspiers@suse.com>
Date:   Thu Apr 5 13:24:50 2012 +0100

    Make '--help' argument more useful.
    
    With no other arguments, '--help' now outputs the same as 'help', so
    that the list of subcommands are no longer omitted.  Additionally,
    '$subcommand --help' now yields the same output as 'help $subcommand'.
    
    Change-Id: Iabd926574e296ad14b622862b9fba038fdede66e

commit 565d144611710ed7591244892a936549f91e9473
Author: Andrew Bogott <abogott@wikimedia.org>
Date:   Mon Mar 26 12:07:21 2012 -0500

    Fixed the subcommand error message for nova shell.
    
    Previously we were giving advice like this:
    
    "Try 'nova volume-show help' for more information."
    
    Bad advice -- that doesn't work. Now when there's a subcommand
    specified we make a proper suggestion:
    
    "Try 'nova help volume-show' for more information."
    
    Change-Id: I6ef49f9e4e1b67074f51ab442abd4a196d437b00

commit 9485608cefe1ebfe301c057077fd0a7c8b7f5e0e
Merge: c8eaea3 f3709bc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 10 19:06:18 2012 +0000

    Merge "add packages using find_packages()"

commit c8eaea3be552984203f7666a34e320d59edba663
Merge: f220e8f 60c70e2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 10 18:49:02 2012 +0000

    Merge "set 'compute' as default endpoint bug fix for #970808"

commit f220e8f7011eafbc0a0de5c43bde90edc2065311
Merge: 0028eb4 5f51219
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 10 18:34:24 2012 +0000

    Merge "Add -i/--identity option to 'nova ssh'."

commit 0028eb4ac2bf9729247ad64d65469e4e572ac74a
Author: Rick Harris <rconradharris@gmail.com>
Date:   Mon Apr 9 20:32:37 2012 +0000

    Request ID when name is ambiguous.
    
    Fixes bug 931605
    
    Change-Id: If0778915d964995dbb6647d56ed21075aec08baa

commit ea448e24971c58e9edc7d837c6dfef3941a6c878
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Apr 3 19:16:05 2012 -0700

    Set resources as loaded on get
    
    * Setting a resource to loaded prevents future lazy-loading
    * Remove lookup by uuid in getid helper as it is no longer used
    * Fixes bug 971183
    
    Change-Id: Idd9d39ded41b94b08b03476c30e50277b477423d

commit f6014dd8c530e121ae96a53ae6664bc24eb85781
Author: Josh Kearney <josh@jk0.org>
Date:   Mon Apr 2 12:27:30 2012 -0500

    Miscellaneous code cleanup.
    
    Change-Id: I6028247466378327f03b71dc2063dd2777b9382a

commit f3709bc6b6288752aaee93ea051278841d7039de
Author: Peng Yong <ppyy@pubyun.com>
Date:   Sun Apr 1 18:33:56 2012 +0800

    add packages using find_packages()
    
    Change-Id: Ib745254276b67cc09f6a9e8d3ac8f5aea7741903

commit 60c70e2e0274e24f96ebf117c983843024a7172a
Author: Peng Yong <ppyy@pubyun.com>
Date:   Sun Apr 1 21:10:16 2012 +0800

    set 'compute' as default endpoint
    bug fix for #970808
    
    Change-Id: I44c33266370891bc99d08e5a3bf2d950cd9e36f1

commit 5f51219d97f682c00fb751e6644668fa4b9e53b9
Author: Russell Bryant <rbryant@redhat.com>
Date:   Fri Mar 30 16:26:08 2012 -0400

    Add -i/--identity option to 'nova ssh'.
    
    Add an option for specify a private key to use with 'nova ssh'.  '-i'
    was chosen to match the option this maps to in ssh.
    
    Change-Id: Iecb2a20a34816e8f1ea80c1f66fac476037a798f

commit 2db73cd5a1facb888d9c1cfb75d350b8b53f9a0e
Author: Russell Bryant <rbryant@redhat.com>
Date:   Fri Mar 30 14:34:57 2012 -0400

    Improve 'nova ssh' error message.
    
    Fix bug 969499.
    
    If you ran "nova ssh <name>" and the instance has no public IP
    addresses, the output you got was:
    
        ERROR: 'public'
    
    This patch makes it so you get a friendlier error in this case:
    
        ERROR: No public addresses found for '<name>'.
    
    Change-Id: I176decf90f472f9b0768e4d0c2bcabd55fe7198a

commit 8632032a6999cbb27b3a2064df8e8e8813692dd8
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Mar 30 10:48:06 2012 -0400

    Fix spelling of curent in list sec groups.
    
    Change-Id: I248b4c506fda155f74cc6231877c2e50bdc517fa

commit 262886b29734c480056c80a7f8d928487fee1f62
Merge: 6556686 8395b06
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 29 23:49:27 2012 +0000

    Merge "Remove serverId lookup in volume attachments"

commit 6556686508b7d54422832bc7f7f70602d954838b
Merge: d4f7ffc ee40c04
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 26 18:51:55 2012 +0000

    Merge "Set up the log handler only once."

commit d4f7ffc6684dc95d4fde079c13f5dd609400debf
Merge: e7d35bf 97953f5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 24 02:47:25 2012 +0000

    Merge "Improve the error message from the nova shell"

commit ee40c044162d3e62351ee6d8647beb06900d0c66
Author: James E. Blair <jeblair@hp.com>
Date:   Fri Mar 23 23:04:54 2012 +0000

    Set up the log handler only once.
    
    When the NOVACLIENT_DEBUG environment variable is set, each time
    python-novaclient outputs HTTP debugging information, it outputs
    n copies of the information, where n is the number of times it has
    output debugging information previously.
    
    This is because a logging handler is added each time the log output
    rather than only once on initialization.
    
    This patch moves the log handler setup into module level.
    
    Fixes bug 963547.
    
    Change-Id: Icf503e39723d591951810dea0118ffbb41107775

commit 8395b06175990476ff4c8820f864622c8c96340c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Mar 23 14:58:32 2012 -0700

    Remove serverId lookup in volume attachments
    
    We had to look for serverId and server_id to properly represent what
    server a volume was attached to. We can undo the fix to pass gating now
    that the necessary branches have landed.
    
    Change-Id: I97957749ea4dd8a7fb5763f7abc75237d795dd23

commit e7d35bf5c5ca6c80f4b86d55c8e760f9e87ffda2
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Mar 23 09:19:29 2012 -0700

    Handle server_id and serverId in volume list
    
    * This is a temporary patch to get past the devstack gate
    * Helps fix bug 943053
    
    Change-Id: Id40f0c9d7b603029b1b6de6742fe7bff2482fe05

commit 67b88b5fb8e8d1bf315d9a03c8416f40f7dcd8d9
Merge: 79e90e5 0191005
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 22 17:39:30 2012 +0000

    Merge "Added cloudpipe support. Fixes bug 962286"

commit 79e90e5ff74f01c88603e0a06e4ebd57dbc0a992
Merge: 204ffab 6b594c9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 22 17:33:38 2012 +0000

    Merge "Add missing tools and tox.ini to tarball"

commit 0191005de3610fd30372dba1282b0110a0382a3e
Author: Alvaro Lopez Garcia <aloga@ifca.unican.es>
Date:   Thu Mar 22 12:23:39 2012 +0100

    Added cloudpipe support. Fixes bug 962286
    
    Change-Id: Id1c580a085d0bf9699689c5d6d8c8103d7d4a3f8

commit 204ffabe38db7265331974fc346bcfafe6956fec
Author: Andrew Bogott <abogott@wikimedia.org>
Date:   Tue Mar 13 18:11:49 2012 -0500

    Proposed HACKING guidelines for string encoding.
    
    Change-Id: Ifc120e33f08868ead8b02320dc982f5528db4965

commit bfcd962d97d8a4151737c409ae0219e7dc07517f
Merge: d83af0a 39e252a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 21 18:16:58 2012 +0000

    Merge "Fixes bug #959262 - Prevent a failure to create the cache directory from causing an exception."

commit d83af0a1f4875b64885c25046eeb2d0bee02acde
Merge: 3d9a228 c444900
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 21 17:02:42 2012 +0000

    Merge "Implement quota classes."

commit 6b594c9f32088251a5848db2b427f7a76aeb17ee
Author: Thierry Carrez <thierry@openstack.org>
Date:   Wed Mar 21 15:41:12 2012 +0100

    Add missing tools and tox.ini to tarball
    
    Fix MANIFEST.in to include missing tools and tox.ini in
    generated tarballs. Fixes bug 960027
    
    Change-Id: I2e13aa89b7db4c98bb9c884c40d4858047c579f1

commit 39e252ad056ff65c7c326095938deb1eb50c4b40
Author: Kiall Mac Innes <kiall@managedit.ie>
Date:   Wed Mar 21 12:19:30 2012 +0000

    Fixes bug #959262 - Prevent a failure to create the cache directory from causing an exception.
    
    Change-Id: Ia80b50b32f5e3d0e76f4a1b251e23bbd3c70666e

commit 97953f52e135dc7cd2052092717c2a28003ed014
Author: Pádraig Brady <pbrady@redhat.com>
Date:   Tue Mar 6 17:28:23 2012 +0000

    Improve the error message from the nova shell
    
    Output 'nova help' on error rather than `nova'
    
    Change-Id: I71c3fb6786472c42b0bfd93a085168ba75d37590
    Old-Change-Id: I67360589a4af5697d3f90afa74b8504eefaf4976

commit 3d9a2284d38ba5f8bc1666cae37822b845b6aeb0
Author: Rick Harris <rconradharris@gmail.com>
Date:   Tue Mar 20 23:15:41 2012 +0000

    Adds NOVACLIENT_INSECURE option.
    
    Fixes bug 960704
    
    Change-Id: I885fddaac57c113b66b4b71120c2a537fa391b09

commit c444900d310e725fc0c225ca5e17765506198919
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Wed Mar 14 16:14:56 2012 -0500

    Implement quota classes.
    
    Nova's quota class support allows entire classes of quotas to be
    associated with projects, which makes it easier to set specific
    quotas across multiple projects.  This change adds client-side
    support for manipulating quota classes.
    
    Change-Id: I7ee14d16aa51957dcdc1ea5c7a9d5b6bd1656f33

commit bb2876b4d55051ef83b25685a62f752bf812d820
Author: Thierry Carrez <thierry@openstack.org>
Date:   Tue Mar 20 08:07:22 2012 +0100

    Open Folsom
    
    Switch version to 2012.2 to open Folsom cycle.
    
    Change-Id: I8bc51e436b09e68275424914c43f4f2717045956

commit 7615e513be35591a47fd59edb0df649fdd16ce9c
Author: jakedahn <jake@ansolabs.com>
Date:   Mon Mar 19 15:36:55 2012 -0700

    Adding Console Log to CLI
    
      * Fixes bug 957518
      * Command is as follows: nova console-log <serverid> --length=20
      * Also updated the readme with new cli output.
    
    Change-Id: I7874c7c9533b5389f7107ae375d4fa9f8fee7c49

commit cc72d6dfe2bcc8977932c6f76ce6d0de30ee04ee
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Tue Mar 13 22:30:52 2012 -0500

    Change CLIAuth arg names
    
    Change the argument names used for common Keystone authentication per the
    updated http://wiki.openstack.org/CLIAuth:
    
    --auth_url -> --os_auth_url
    --password -> --os_password
    --username -> --os_username
    --tenant_name -> os_tenant_name
    --region_name -> os_region_name
    
    All old args are depricated but available for backward compatibility.
    
    Fixes bug 954531
    
    Change-Id: Ic67c447e4e4b8d793f587c789cecd149446194f3

commit f90aa8c91ab94ceabed667bc080c07bb94c0ec2d
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Mar 13 23:18:41 2012 -0700

    Add suport for instance locking/unlocking.
    
     * Fixes bug 954746
    
    Change-Id: I055597014fd44313780b8a9f10cdbc94196f8efb

commit 24b9e8055c17fa11573c7e5db18d50279b6af169
Merge: 2d2eb3e 4ff001d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 10 05:02:09 2012 +0000

    Merge "Fixes lp#948685 proxy_token and proxy_tenant_id behavior"

commit 2d2eb3e90d3560abca94dc915326c18a7b87a6c5
Merge: b22ec22 2cc1a37
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 9 21:58:46 2012 +0000

    Merge "Add --poll for instance snapshots."

commit 2cc1a37e08c682ab9506fa34b77a521d6eabd087
Author: Rick Harris <rconradharris@gmail.com>
Date:   Thu Mar 8 06:32:51 2012 +0000

    Add --poll for instance snapshots.
    
    Change-Id: I8199a089250fe7b499c8693e3c1c999f52a842d9

commit b22ec22336def07a0678fd0c548fb87ea48c6eab
Author: Rick Harris <rconradharris@gmail.com>
Date:   Tue Mar 6 00:33:37 2012 +0000

    Add human-friendly ID support.
    
    Allows a user to interact with certain models (image, flavors, and
    servers currently) using a human-friendly identifier which is a
    slugified form of the model name.
    
    Example:
    
        nova boot --image debian-6-squeeze --flavor 256mb-instance myinst
    
    Change-Id: I43dbedac3493d010c1ec9ba8b8bb1007ff7ac499

commit 4ff001d2322cc5c3e14f8c9901b289c2a64fd172
Author: Michael Basnight <mbasnight@gmail.com>
Date:   Tue Mar 6 22:40:28 2012 -0600

    Fixes lp#948685 proxy_token and proxy_tenant_id behavior
    
    * renamed token to proxy_token because of its usage
    * added a proxy_tenant_id for new keystone tokens/id/?belongsTo
    
    Change-Id: Ic7e65612620e5a54f04eddb79bffed7e2df6fba2

commit 0528368fb9173eaa7d3e8bf41948b8cc73b11ae8
Merge: 632ef2f 332f96e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 7 06:32:10 2012 +0000

    Merge "Remove trailing whitespaces in regular file"

commit 632ef2f31dfc8873de0ff66b0c382d46f9b4c5fd
Merge: 3de2969 5d65693
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 6 19:08:21 2012 +0000

    Merge "Adds --ipv6 and --port to ssh convience command."

commit 3de29697c53ff4849a638e4749905825d3eeb232
Author: Rick Harris <rconradharris@gmail.com>
Date:   Mon Mar 5 22:16:40 2012 +0000

    Separate UUID caches for different endpoints.
    
    Change-Id: I06f127ac9ed522860bb929b789a158a4e4fac98f

commit 332f96e89bb1ccafcbeea8032017a66efdf9e6cc
Author: Hengqing Hu <hudayou@hotmail.com>
Date:   Sat Mar 3 12:34:58 2012 +0800

    Remove trailing whitespaces in regular file
    
    Change-Id: Iecc6fee3c8201541a42845db38874fd572fa2771

commit 5d6569378d35b1bc36028357274b33d8ef71b24d
Author: Rick Harris <rconradharris@gmail.com>
Date:   Thu Mar 1 18:59:02 2012 +0000

    Adds --ipv6 and --port to ssh convience command.
    
    Fixes bug 944245
    
    Change-Id: I680f145410ba3275efb81a1c464651ef0f6c49e7

commit 01873d08cc64d2fd11d3fcef54c86ce1109186a7
Author: Rick Harris <rconradharris@gmail.com>
Date:   Thu Feb 23 18:57:11 2012 +0000

    Add --poll for long running actions.
    
    This will block while the action completes, reporting progress if it
    makes sense.
    
    Change-Id: I93ae3d74bdd8bb1968263b24bb7c955ee5799216

commit 30e11332031c8b5c288f95747867855e29514c3e
Author: Scott Moser <smoser@ubuntu.com>
Date:   Fri Feb 17 16:29:59 2012 -0500

    Add support for volume types
    
     * Depends on https://review.openstack.org/4600
    
    Change-Id: I56eace59f774623a2cb878657b3b797420c48408

commit 6d8e445b794aa4611e75835ace905dd73d3a342f
Merge: 03f54c5 7373740
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 27 18:17:32 2012 +0000

    Merge "Fix for backward compatibility with stable/diablo flavors"

commit 03f54c57e13f27324f0ac5aa556bf4ca94e3ed0e
Author: Vishvananda Ishaya <vishvananda@gmail.com>
Date:   Fri Feb 24 02:30:48 2012 +0000

    Makes novaclient use the volumes endpoint
    
     * Depends on https://review.openstack.org/#change,4479
     * Adds support to change service type including tests
     * Adds decorator for methods that need to use another service type
     * Changes volume and snapshots to use the volume endpoint
     * These extensions will move into the volume client once it exists
     * Fixes bug 940017
    
    Change-Id: I683e4ca6c67e278d8aa8a9acec3dc0f1872f43f2

commit 73737407422cff4f99eccfa7649d757b8cd27dd9
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Thu Feb 23 14:11:29 2012 -0800

    Fix for backward compatibility with stable/diablo flavors
    
     * Gracefully handle missing ephemeral attribute
     * Fixes bug 939766
    
    Change-Id: Iaff7a684ac03386ce821ba0007923c0f5f5e39ce

commit 39bfd0585b8f1a08ebb62f429f7fb7fa57d6f982
Merge: 924c5cc 97eaa1f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 22 22:34:53 2012 +0000

    Merge "Add support for ephemeral_gb to novaclient."

commit 924c5cc2f827f3a61ef360dc012471c70b52ded8
Merge: cec7069 ddc1b2c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Feb 21 21:36:17 2012 +0000

    Merge "bug 932408: python-novaclient miss OSAPI host operations"

commit 97eaa1f56fd32c168f98d45e1d5464f9ca851a58
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Feb 21 13:21:31 2012 -0800

    Add support for ephemeral_gb to novaclient.
    
     * Fixes bug 932423
    
    Change-Id: I57620db469f34aaf1ae61c6ef116a21ac9787e40

commit cec7069aa386eb48d432511932b197f50cab7fb0
Author: Scott Moser <smoser@ubuntu.com>
Date:   Fri Feb 17 16:29:59 2012 -0500

    allow '=' inside value of --meta=key=value
    
    Previously, you could not specify '--meta=mykey=value=1', as the
    second '=' would cause an exception when creating a dictionary.
    
    The key name cannot contain a '=', but the value can, so we split only
    once on '='.
    
    Fixes bug 934515.
    
    Change-Id: Ia416c3df59283fa963eb80370457e6c481336915

commit ddc1b2c083323781334fdca7467b4914e823e0d6
Author: Armando Migliaccio <armando.migliaccio@eu.citrix.com>
Date:   Tue Feb 14 22:56:42 2012 +0000

    bug 932408: python-novaclient miss OSAPI host operations
    
    add client bindings for host-related actions.
    
    Change-Id: I98b3c11ec189029bafe73f499070ab132de640af

commit bca5acddafcf0cc7864022db92ae47ee1c61b29f
Author: Rick Harris <rconradharris@gmail.com>
Date:   Tue Feb 14 21:57:56 2012 +0000

    Add ssh convenience command
    
    Change-Id: I8fc7bc3f0d9f415e83aa333dc4d8d5663300ff87

commit 68662fbc4ff10be28c3d94edd76ad0c887675beb
Merge: b58f15a 6fe7797
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 16 18:55:20 2012 +0000

    Merge "Removes zones"

commit b58f15a3a03f6eb170a9f81fe5eeb9b861bb9d70
Merge: 1ee77c7 d991699
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 16 16:41:30 2012 +0000

    Merge "add support for --config-drive 'boot' command"

commit 1ee77c7fe314e015d14d9d5444fc21e84227bc47
Author: Dave Walker (Daviey) <Dave.Walker@canonical.com>
Date:   Wed Feb 15 11:22:05 2012 +0000

    Allow UUID_CACHE_DIR overriding via env variable.
    
    This is declared as NOVACLIENT_UUID_CACHE_DIR.
    Resolves bug 932468 , defaulting to previous behaviour.
    Added myself to AUTHORS
    
    Change-Id: I154500517d7c882a4a090588a95f4b3bfee70595

commit 6fe77972f5c28df813ee9ee788b8fcdc50f5953d
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Tue Feb 14 22:04:14 2012 +0000

    Removes zones
    
    As per the openstack meeting today, we will be removing zones from nova
    for the Essex release.  Therefore, we should remove it from
    python-novaclient.
    
    Change-Id: Iccb363e4d7f24f3e0808dd9cda3b7558be76bae2

commit 7601bef9ef70ce69f544e0ffda904a04552bc38c
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Mon Feb 6 11:28:46 2012 -0600

    Fixes bug 925644: move dotfiles into dir
    
    Moves ~/.novaclient_cached_*_uuids into ~/.novaclient/*-uuid-cache
    
    Change-Id: I7dcd3678118f6c59ce81f83862c20da94d90bb74

commit d99169909dc719c16634e09370b0216dd4a457eb
Author: Scott Moser <smoser@ubuntu.com>
Date:   Thu Feb 9 22:26:37 2012 -0500

    add support for --config-drive 'boot' command
    
    This just adds an optional '--config-drive' flag to the nova 'boot'
    command.  It allows the user to pass in a string.  If the string is
     1, or case insensitive 'true': turn on config drive
     0, "" or case insensitive 'false' : disable config drive
     anything else: pass directly through to let it be determined server side.
       This would allow the volume id to be passed through.
    
    Change-Id: I220e6d8d285243e708237cd9012093e62b67b6e5

commit 5f89c8487d9b0cfe27cafd30d6d2a134290dafd9
Author: Cole Robinson <crobinso@redhat.com>
Date:   Fri Jan 20 16:28:09 2012 -0500

    shell: Hook --debug up to more stuff
    
    Particularly to pythons logging infrastructure, and to always print
    a backtrace if the CLI throws an exception. Show --debug in the
    help output since end users may certainly have legitimate reasons for
    wanting debug output.
    
    Change-Id: Icfdaaf5511db8eecbf650e7ef4437b342b560141

commit 8873e35eee7acb90e803b7427430edc12774439d
Merge: 3f9c3a6 87dab38
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 13 20:44:49 2012 +0000

    Merge "Fix bug 904364: Consistiently handle trailing '/' on URLs"

commit 3f9c3a6f1a57b11c05e162df0d1be9500b41dae3
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Feb 9 14:34:12 2012 -0600

    Properly handle KeyErrors.
    
    Change-Id: I350d737950a64881ed01e87e3d8fb2b6011f0bcc

commit cb9a7a37a86688de59bf654e93266fcef96bd42b
Author: Paul Voccio <paul@substation9.com>
Date:   Mon Feb 6 11:14:12 2012 -0600

    adding credentials and endpoints output for debugging
    
    Change-Id: I74e12172d8c05df257c4b908e3278712a66f795a

commit e2d869d1daaca1047665fc47afe5f162e884035b
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Fri Feb 3 16:03:07 2012 -0600

    Fixes bug 924588: Remove proto-keystone client from novaclient
    
    Change-Id: Ib3f3b8bfdefe56a13889796948a0186309c9a313

commit 3b010683126944a4508c1ad042217603f16608cb
Merge: 55bb8d7 0847282
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 3 23:44:25 2012 +0000

    Merge "moves the "help" in the usage information of a wrong command to the correct position"

commit 55bb8d7f53caa92245b8ec75663b0f37b9f96d50
Merge: ce76160 d2be395
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 3 23:36:08 2012 +0000

    Merge "Add --all_tenants option to 'nova list'."

commit 87dab38b2b1ff7abaea9e456ca75286d0bba716c
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Fri Feb 3 14:48:51 2012 -0600

    Fix bug 904364: Consistiently handle trailing '/' on URLs
    
    novaclient used to require a trailing '/' on --auth-url and would
    mysteriously break if it was not present.  This is mostly due to
    urlparse.urljoin()'s behaviour; it was only used here for concatenation
    so it was eliminated and trailing '/' chars consistiently stripped.
    All url concatenation now requires the second element to begin
    with '/'.
    
    Change-Id: I99e95ea92682d917348201bc3190a1e77bbcbff0

commit ce761604a9a4f360a60966bb3b9dcc31d4a44aad
Merge: 19580ca 029f6fc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 3 22:00:04 2012 +0000

    Merge "Adding describe-resource subcommand"

commit 19580ca3f92230fe792c577bc6b96a52d459018c
Merge: 3a3f2b4 fe4fa9d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Feb 3 16:15:32 2012 +0000

    Merge "Add Accept: applicaton/json header to all service requests.  Fixes bug 904436"

commit 029f6fcbe5031a8d8cb0b9aead6e0a7cb37a8c44
Author: masumotok <masumotok@nttdata.co.jp>
Date:   Fri Feb 3 19:04:30 2012 +0900

    Adding describe-resource subcommand
    
    Change-Id: I1acabee03be6bae194788176271acd9ae0e74bb3

commit fe4fa9daef26508c1e614e0a570b32e03821ee88
Author: Matt Stephenson <mattstep@mattstep.net>
Date:   Thu Feb 2 16:37:55 2012 -0800

    Add Accept: applicaton/json header to all service requests.  Fixes bug 904436
    
    Change-Id: I5f7c78f0ea516a7a96c32b1f745686e130c2b9af

commit 3a3f2b4ff871e3ac61ca2a0b95903c54be9f7a22
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Thu Feb 2 10:32:30 2012 -0600

    Blueprint cli-auth: common cli args
    
    Depricate --apikey, --projectid, --url (though still present for
    compatibility).  Fully support OS_* env vars per
    http://wiki.openstack.org/CLIAuth Password Flow.
    
    Fixes lp897304
    
    Change-Id: I655631194ed62133c24f30c9114e6fdc0fa77636

commit ae10b4bf5885e309a4f6c02952e9c6ffc5e8cac0
Merge: 6dcdd21 9f216ab
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 2 22:14:51 2012 +0000

    Merge "Adding live migration subcommand"

commit d2be395649f3737c14ca34e4aacdcd8c8d985bc6
Author: Dan Prince <dan.prince@rackspace.com>
Date:   Sat Jan 28 23:00:56 2012 -0500

    Add --all_tenants option to 'nova list'.
    
    Fixes LP Bug #916219.
    
    Change-Id: Ibebabc2eb8ca77466085ed17b7a9805ccfebe484

commit 6dcdd2150dd9e02b86aa2cab006905bcf31cbd12
Merge: 8b046fd f512f54
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 2 15:37:07 2012 +0000

    Merge "Fix datetime issue with usage_data."

commit 9f216abb47c1ab1fffe33f87b0fe2dc61b14f0fa
Author: masumotok <masumotok@nttdata.co.jp>
Date:   Wed Feb 1 17:27:45 2012 +0900

    Adding live migration subcommand
    
    Change-Id: I01c22502e3d13bb56de0a49a05d68b4c443f7055

commit 8b046fdeeb6654b459c99239f9adaac0f19c7b77
Merge: 9d4b854 361d4d0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 1 22:29:26 2012 +0000

    Merge "Implementing Scheduling Hints."

commit 9d4b854ff1f1b3795d51c5439a59f24b7c284fbc
Merge: 38bc7ea 9c6a1ac
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 1 22:18:57 2012 +0000

    Merge "do not require NOVA_VERSION in env, default to 1.1"

commit 38bc7ea5707a1f6c84e55f3c684666db63cf21e9
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Tue Jan 31 18:08:22 2012 -0600

    Handle Ambiguous Endpoints Correctly
    
    - Added --service_name argument to allow selecting
      endpoints by service name
    - Renamed endpoint_name argument to endpoint_type (this breaks
      compatibility)
    - Return AmbiguousEndpoints error if more than one endpoint
      matches filter
    - Also addresses bug 924052
    
    Use case:
      $ nova --projectid xxx --version 1.1 --password xxx --username xxx --url https://identity.openstackcloud.com/ image-list
      Found more than one valid endpoint. Use a more restrictive filter
      AmbiguousEndpoints: [
        {'serviceName': 'New Cloud', 'region': 'Test', 'publicURL': 'https://test.openstackcloud.com/v1.1/tttt', 'tenantId': 'tttt'},
        {'serviceName': 'Old Cloud', 'publicURL': 'https://servers.openstackcloud.com/v1.0/tttt', 'tenantId': 'tttt'}]
    
      $ nova --projectid tttt --version 1.1 --password xxx --username xxx --url https://identity.openstackcloud.com/ --service_name 'New Cloud' image-list
      +--------------------------------------+-----------------------------+--------+--------+
      |                  ID                  |             Name            | Status | Server |
      +--------------------------------------+-----------------------------+--------+--------+
      | 346f4039-a81e-4444-9223-4a3d13592a07 | Debian Squeeze (6.0)        | ACTIVE |        |
      | ac8985ea-c09e-4544-82af-eb459a02a6b2 | Fedora 15                   | ACTIVE |        |
      | ddddc02e-92fa-4f44-b36f-55b39bf66a67 | CentOS 5.6                  | ACTIVE |        |
      +--------------------------------------+-----------------------------+--------+--------+
    
    Change-Id: I9a10b9ad5e5b9cf6e762659013496a93a79774db

commit 361d4d0b313db0ae302b358c6794f66158ef5242
Author: jakedahn <jake@ansolabs.com>
Date:   Thu Jan 26 14:57:06 2012 -0800

    Implementing Scheduling Hints.
    
      * Extends server create action.
      * adds --hint key=value to cli. User can use multiple --hint definitions.
    
    Change-Id: I4928dcbc3f321b8be7bd1f7461be1490666e2059

commit c3a0c702eee5454ddbd539f0af28f5f2dab8ee28
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sun Jan 29 11:52:43 2012 -0800

    Remove non-working --key_path argument on boot
    
    We can't inject an authorized_keys file since we can't control
    the permissions of the file. Fixes bug 897214.
    
    Change-Id: I3263f0818e78ef048fdb35e858a22687dc46c381

commit f512f54bcccfa78b6bb77b691987cdde3ee98f35
Author: Dan Prince <dan.prince@rackspace.com>
Date:   Sun Jan 29 15:34:20 2012 -0500

    Fix datetime issue with usage_data.
    
    Fixes LP Bug #923475.
    
    Change-Id: I663629142a8bd3ca8384ef8759d9138f8604db50

commit 0213eb4c0a364759e9de2fa25f46b43235db94bb
Author: John Garbutt <john.garbutt@citrix.com>
Date:   Fri Jan 13 13:36:01 2012 +0000

    blueprint host-aggregates: client bindings
    
    These are the client bindings for the new aggregate api added into nova in the following change:
    https://review.openstack.org/#change,3109
    
    Change-Id: I97e0223aa18d01450f82848c5be9bce78b83ef39

commit 0847282fd8d1f7d9a2cb985b492307a42d439a4f
Author: Christian Berendt <berendt@b1-systems.de>
Date:   Thu Jan 26 13:36:39 2012 +0100

    moves the "help" in the usage information of a wrong command to the correct position
    
    fixes bug 922047
    
    Change-Id: I9fdd76bd995a9bc4c469a8bcb47fe0e7f8a3d261

commit 36be4bf5759ae1f22c6eeeff5be01cf20e068bf3
Author: jakedahn <jake@ansolabs.com>
Date:   Fri Jan 20 15:08:53 2012 -0800

    Implementing client for new x509 support in nova.
    
    * This depends on the approval of vishy's changes here: https://review.openstack.org/#change,3199
    * Adds novaclient library code, and cli.
        CLI Use:
          nova x509-create-cert [private_key_filename] [cert_filename]
          nova x509-get-root-cert [cert_filename]
    
    Change-Id: If5b833b90bfb5bc16ea4636abb667717a67065d3

commit 25bb2a4125087ffe54aab41cdbce83a00bcb28e7
Merge: 2f293a4 55ec391
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 25 01:06:56 2012 +0000

    Merge "Catch novaclient up with renaming and other nova changes."

commit 2f293a414488519af72f133915e2f56dbd67c588
Merge: 632c608 65eb4a9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 24 23:49:37 2012 +0000

    Merge "Add flavor create/delete support"

commit 632c608c5d400d4eb64a97e80876962e5e6e99af
Merge: c3b043b 5907f8c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 24 23:39:26 2012 +0000

    Merge "Match create_image on server object and manager"

commit 65eb4a9fb28a637dcc6408916398d15d8fc6a3fd
Author: Cole Robinson <crobinso@redhat.com>
Date:   Thu Jan 19 19:57:04 2012 -0500

    Add flavor create/delete support
    
    Makes use of the new nova module for flavor creation/deletion (still
    under review at https://review.openstack.org/#change,3197
    
    tests and cli commands added.
    
    v2:
        Fix tests
        Fix pep8 violations
    
    v3:
        Drop unused import
    
    v4:
        Usage defaults to end date 'tomorrow'
    
    v5:
        Undo unintentional change
    
    v6:
        Drop useless comment
        Fix meta var name for flavor-delete command
    
    Change-Id: I14baa02d5cbe5eaf17875c285c993508b1671a13

commit c3b043be0e2309197776195ceb82d190aaa9046b
Author: Cole Robinson <crobinso@redhat.com>
Date:   Sun Jan 22 18:56:39 2012 -0500

    Add a 'usage' module and 'usage-list' cli command
    
    This module talks to the nova extenstion os-simple-tenant-usage,
    replacing the openstackx module currently used by horizon.
    
    v2:
        Fix some pep8 and style violations
    
    v4:
        Have usage-list default to including todays usage
    
    v5:
        Fix a HACKING violation
        Fix rebase conflicts
    
    Change-Id: Ica0b128c7b807b839abf23b4026e48bbee08b1be

commit de9813c6c596243d920a2b7552189a29fecb2fb2
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Jan 24 11:20:51 2012 -0800

    Implement virtual interfaces servers api
    
     * Needed for openstackx dep removal
     * No cli provided in this patch
    
    Change-Id: I873aed9e6887018db6169fffec79fc19ffc743be

commit 44cc8542bc3236917439a4d70fe07b37bf84dcd7
Author: Rick Harris <rconradharris@gmail.com>
Date:   Mon Jan 23 19:31:01 2012 +0000

    Print adminPass when rescuing an instance.
    
    Fixes bug 920600
    
    Change-Id: I8555545bbf9ce85809c4f32bcf652b20116fe8f3

commit 9c6a1ac205775e25c1e1ae3ac34a84849bf333a1
Author: Scott Moser <smoser@ubuntu.com>
Date:   Mon Jan 23 13:10:03 2012 -0500

    do not require NOVA_VERSION in env, default to 1.1
    
    fixes bug 920474.
    
    the nova client was not defaulting to version 1.1 unless NOVA_VERSION was
    set.  This makes version 1.1 the default if NOVA_VERSION is not set in the
    environment.
    
    It also makes shell.py usable from a git checkout as in:
      PYTHONPATH=$PWD python novaclient/shell.py image-list
    
    Change-Id: I02b7e060d1c0694639fcb146a7394b92014c140b

commit 5907f8ca9a2848aaffb9d2ab5faaf0ef5d4f3bc4
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Jan 19 22:55:13 2012 -0800

    Match create_image on server object and manager
    
    Fixing bug 910198
    
    Change-Id: I436418cb041a751314498dde9efb4b326549672a

commit 55ec3912e79766928115a590f3cd76cfd78f4589
Author: Andrew Bogott <abogott@wikimedia.org>
Date:   Sun Jan 15 20:05:10 2012 -0600

    Catch novaclient up with renaming and other nova changes.
    
    Added novaclient support for dns domain manipulation.
    
    This includes additions to the 'nova' commandline tool.
    
    For blueprint public-and-private-dns.
    
    Change-Id: I97b36d69f5f4abfbfa0ce416a347efa202fe3a0b

commit 94f18f953c9f2d10be439a1ba97f549d7435b12f
Merge: 2c6c34d 4b9621c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 18 06:29:01 2012 +0000

    Merge "Fix bad api call, 'migrate' is an action."

commit 2c6c34dd1171dc7d687e15a062598b338084864d
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Thu Dec 29 00:35:29 2011 +0000

    Add server.get_vnc_console functionality to python-novaclient
    
    Change-Id: I8784161ba0ff5adff10045097ed691246bee6e63

commit 4b9621cfae4da485d9f7be0b6b5ff61890461289
Author: François Charlier <francois.charlier@enovance.com>
Date:   Tue Jan 10 14:58:47 2012 +0100

    Fix bad api call, 'migrate' is an action.
    
    'migrate' was not called the way it is defined in the Nova api now.
    
    Fix bug 907547
    
    Change-Id: I6f304809281e676c22f83492f9d0bb85e9528314

commit 559949c9b0ffa2dd5fcb173498d1b6ea92a0ceca
Author: Rick Harris <rconradharris@gmail.com>
Date:   Tue Jan 17 08:25:30 2012 +0000

    Adding rebuild/resize hooks.
    
    References bug 917306
    
    Change-Id: I6a65221b3bf218e631d74616c37fcdaf9bc16976

commit a2508aa9202638580d86a5975c6d5e144db2f6c8
Merge: 317803d d175054
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 17 00:21:17 2012 +0000

    Merge "Fix Quota ant SecurityGroup resources refreshing."

commit 317803d245a8b914037408a12ddba25bebbe1939
Merge: 764421b ee4696a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 17 00:12:05 2012 +0000

    Merge "Clean FloatingIPDNS resource"

commit 764421b44b53748681ba29f4013f90d5d24ac837
Merge: d7fb1f3 149b248
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jan 16 21:25:13 2012 +0000

    Merge "Get ImpLoader from ImpImporter for Py2.6"

commit d7fb1f33cca07403944a4a4324dd19e28cc023a9
Author: jakedahn <jake@ansolabs.com>
Date:   Mon Jan 9 14:49:12 2012 -0800

    Implementing Floating Ip Pools.
    
    See vishy's nova branch: https://review.openstack.org/#change,2892
    
    Change-Id: I6a5bec55edd21f659674f478282e65fd6b1b0b1e

commit 149b248a27aa185f0d86efaf90d1479f1e82192e
Author: Rick Harris <rconradharris@gmail.com>
Date:   Tue Jan 10 21:33:07 2012 +0000

    Get ImpLoader from ImpImporter for Py2.6
    
    Fixes bug 914476
    
    Change-Id: I9fc8b89e66e8d8501262b3f93ce0b60470525426

commit c747f153ec103e52d3e743ba6257fba1c6796426
Merge: 8651e97 4ff2770
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jan 10 12:51:13 2012 +0000

    Merge "PEP8 python-novaclient cleanup"

commit 8651e97afa92557211aab52a1dfde62bda0cc81f
Merge: 269d43a e984072
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jan 9 21:49:53 2012 +0000

    Merge "Added command-line interfaces for the floating ip DNS api to nova."

commit 269d43a38de26e2d95043351ef3c216e7ff067ee
Author: Rick Harris <rconradharris@gmail.com>
Date:   Fri Jan 6 16:37:28 2012 -0600

    Discover extensions via Python's import paths
    
    Change-Id: I0f3b216737fad26157b20f0cf75c78108e4cfdbc

commit 4ff27703d077fc83bb715060a774faf4a15e9736
Author: lzyeval <lzyeval@gmail.com>
Date:   Wed Jan 4 09:54:39 2012 +0800

    PEP8 python-novaclient cleanup
    
    Fixes bug #911552
    
    The None, True, and False values are singletons.
    
    All variable *comparisons* to singletons should use 'is' or 'is not'.
    All variable *evaluations* to boolean should use 'if' or 'if not'.
    All Object type comparisons should use isinstance()
    instead of comparing types directly
    
    Change-Id: Ia5571e58e2662c652f0e996d8c1a1acb4531623d

commit 138dad3992f6b145768349cc854c2a79954b95e8
Merge: 20be4a0 b921f21
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jan 5 19:35:53 2012 +0000

    Merge "Add tox.ini file."

commit 20be4a0add7824c8c2066fb8f2d00cfc31556d27
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Wed Jan 4 16:03:04 2012 -0800

    show 409 responses
    
    409s are getting eaten... and nova uses this to return error when not in
    the correct state to do an operation.
    
    Change-Id: I76e9e98a89deb19e6b8aa32426fa31d6d66b8fdd

commit e98407272d01b2098a1490456cacd9c4298857d3
Author: Andrew Bogott <abogott@wikimedia.org>
Date:   Fri Dec 30 16:18:15 2011 -0600

    Added command-line interfaces for the floating ip DNS api to nova.
    
    For blueprint public-and-private-dns.
    
    Change-Id: Idf89d532559c32cbaf015d17203ee927f18e985b

commit 4c61a894570be736d0d102a7d6510b3984585247
Merge: c879ee8 e0174b5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jan 4 16:45:47 2012 +0000

    Merge "Abstract Client building into novaclient.client"

commit d17505462db3876a781016b16464e8ed967ae50d
Author: François Charlier <francois.charlier@enovance.com>
Date:   Tue Jan 3 17:00:29 2012 +0100

    Fix Quota ant SecurityGroup resources refreshing.
    
    The Quota and SecurityGroup resources were not refreshed correctly.
    
    Change-Id: I5b0a9efc07bc7ef05673256df5785aca931f64d8

commit ee4696aaa1d087045fff3ba0a8fc3eb03078f276
Author: François Charlier <francois.charlier@enovance.com>
Date:   Tue Jan 3 17:17:31 2012 +0100

    Clean FloatingIPDNS resource
    
    create() and get() are not needed here :
     - it's not the role of the resource to call 'create'.
     - 'get' is here to refresh the resource. There's no mean to retrieve
     for sure the resource (get by IP address *or* by name only).
    
    Change-Id: I97f4c26264b4abd0c1c8cdd91acc23ab6d6d008e

commit c879ee8cc51777ab26fcb4cc6dfc590d77d3598d
Author: Monty Taylor <mordred@inaugust.com>
Date:   Mon Jan 2 14:02:36 2012 -0800

    Install a good version of pip in the venv.
    
    Change-Id: Ie318fa032fb6e88f250b1e67dbd903648cf8ea5b

commit b99d66d3ade380f27a97007ec5d1ef28362ddaaa
Merge: 97d7b16 3758c26
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Dec 31 00:09:33 2011 +0000

    Merge changes I4c483825,Iba6ef2c1
    
    * changes:
      utils.find_resource fixes + fix for volumes
      Add list() method to ManagerWithFind

commit b921f21afe74c31e4957eef58abbf8d2484e5cc5
Author: Monty Taylor <mordred@inaugust.com>
Date:   Fri Dec 30 14:54:19 2011 -0800

    Add tox.ini file.
    
    Adds support for using tox to do multi-version unittesting.
    
    Change-Id: I4476c44dd99b22d6ef96696848363d994670bf7d

commit 97d7b16f03978e783adcb93ba2131c8fc552ebd8
Merge: d18954f af7c33e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Dec 30 18:38:25 2011 +0000

    Merge "Fix typo in endpoint_name help string"

commit d18954f4a8cf489d5e32766120f647c7a1057e92
Author: François Charlier <francois.charlier@enovance.com>
Date:   Fri Dec 30 17:40:02 2011 +0100

    Add missing returns and remove superfluous ones
    
    Some methods which should have returned  objects dit not return and some
    methods which don't  return anything used return ... Fixed  all that and
    added tests to detect two returns which were missing.
    
    Fixes bug 892058
    
    Change-Id: If59468cfe1c7b1ab74ed0bfc6f81590dfd5dd668

commit af7c33ec431c03ad76a060100aaa7261adc08dd9
Author: Julien Danjou <julien.danjou@enovance.com>
Date:   Fri Dec 30 17:22:08 2011 +0100

    Fix typo in endpoint_name help string
    
    Change-Id: Ibee3175b26af3eec033cdf2f35e49f268eef3796
    Signed-off-by: Julien Danjou <julien.danjou@enovance.com>

commit b8e6ec895e65f246b93b16692c4c58c89fb47c18
Merge: c9d87f9 61fb882
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Dec 29 22:43:04 2011 +0000

    Merge "python-novaclient missing pep8 in pip-requires"

commit c9d87f9bacae04443de1889533e91b18e0df8236
Author: Andrew Bogott <abogott@wikimedia.org>
Date:   Wed Dec 28 17:33:43 2011 -0600

    Add the python api for floating IP DNS.
    
    For blueprint public-and-private-dns.
    
    Change-Id: I73d64f9e0ea6a1c913f427d1fd07b76d19e9f6a3

commit e0174b51bd20ac39b998eca4afdb510916cc61e8
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Thu Dec 29 15:37:05 2011 -0500

    Abstract Client building into novaclient.client
    
    This prevents clients of the pythonic api from having to know the
    internal module structure.
    
    Change-Id: Idd5c522ac3ff6c2d7915f96ed327323ec83d54fc

commit 90212e9317581eace8c4329367f5645403a30989
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Thu Dec 29 11:10:04 2011 -0500

    Remove unused imports and fix NameError on exc
    
    Change-Id: Ie35ccd7abaada74acb298ace97ae88eb0e0cce1e

commit 24388696551f97d41195241ff1a3bb0087305039
Author: Andrew Bogott <abogott@wikimedia.org>
Date:   Wed Dec 28 17:28:56 2011 -0600

    Improve the test framework to handle urls with args.
    
    Now a url like 'os-foo-bar/blah?arg1=apple&arg2=orange' will
    invoke a fake function like 'os_foo_bar_blah' and receive
    the arguments (arg1=apple, arg2=orange) as part of its
    kwargs.
    
    Change-Id: If2905ed0f335128ccd4100997354dfe12e0017fd

commit f849419ab20b926caebf362b4e4df1985f847a7e
Merge: 01a2b6c d2e054f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Dec 28 23:24:20 2011 +0000

    Merge "Simplifying get_console_output client interface."

commit 01a2b6ca5fb4c5b1b2896ae5fdc7d9f1272f27e8
Merge: 4d5946a d7f04e1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Dec 28 23:20:11 2011 +0000

    Merge "Removing cache-busting query param (fresh)"

commit d2e054f07acd01de3fd00e5df260ee5ddae9dece
Author: jakedahn <jake@ansolabs.com>
Date:   Wed Dec 28 15:12:28 2011 -0800

    Simplifying get_console_output client interface.
    
    Now instead of doing server.get_console_output()[0]['output']
    You can do: server.get_console_output()
    
    Change-Id: Ic8a3f435fa0111feaa0d5cd42943dd2c7c243fb9

commit d7f04e19fea9c9d7ba28e3ca13adf413259e41d2
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Wed Dec 28 17:12:26 2011 -0500

    Removing cache-busting query param (fresh)
    
    Change-Id: I9154baef778fd2790f4933918f3a48ec94fc7214

commit 4d5946afab43a33dfa280afc479eaec0560f0a01
Author: jakedahn <jake@ansolabs.com>
Date:   Wed Dec 28 13:04:43 2011 -0800

    Adding return statement to get_console_output
    
    fixes bug 909483
    
    Change-Id: Ic5e425319f7fe97b6f04f324f085632147cf13d0

commit 61fb88280a302e429ecb5712ca994383ce1e913c
Author: lzyeval <lzyeval@gmail.com>
Date:   Wed Dec 28 10:38:16 2011 +0800

    python-novaclient missing pep8 in pip-requires
    
    Fixes bug #909210
    
    Change-Id: I5be35665aa057997c7911aa903c4a123b8329111

commit eee43516b84ff11087d7a73e92691298bbd7f4b2
Merge: 88bdfdd 6ba0c64
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Dec 27 20:09:25 2011 +0000

    Merge "Allow to not specify image if block_device_mapping is set"

commit 3758c260a0b432affbe511068384854e5f9684df
Author: Julien Danjou <julien.danjou@enovance.com>
Date:   Tue Dec 13 16:59:15 2011 +0100

    utils.find_resource fixes + fix for volumes
    
    Nova volumes do not have a name property but a displayName one, therefore we
    modify find_resource() so it looks for this. Then, we modify the test suite
    for utils.py so it uses the novaclient.base.ManagerWithFind class for its
    FakeManager rather than implementing its own find() method. This way we are
    sure that the utils.py functions work correctly with ManagerWithFind and its
    way to search in objects list.
    
    FakeResource class is now used, whereas it was not before.
    
    Change-Id: I4c4838250e6987e05022e1607e8d099eb8fb7fff
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 3fcf4a13740af5c82ef394fffe1bd3761a67757c
Author: Julien Danjou <julien.danjou@enovance.com>
Date:   Tue Dec 13 16:57:14 2011 +0100

    Add list() method to ManagerWithFind
    
    ManagerWithFind.find() method wants to use self.list() but Manager does not
    provides it. Therefore, it's better to implement it as an interface here,
    and raise a NotImplementedError.
    
    Change-Id: Iba6ef2c1f789c2eb12b210d42261d63796db3407
    Signed-off-by: Julien Danjou <julien.danjou@enovance.com>

commit 88bdfdd12f832c0bfbde6680828d86fa4e2f74e1
Author: Rick Harris <rconradharris@gmail.com>
Date:   Wed Dec 21 19:25:19 2011 +0000

    Extensions can now modify resources.
    
    Change-Id: I0d9c1050428d0ccf2e2b18053d75e0465463c08b

commit 68d0abb061abd8f20baf8bf5f2be4c7b80ce8069
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Wed Dec 21 09:59:01 2011 -0800

    more work towards standardize config
    
    Change-Id: I63ca85c56a61b8412bdc8bf30d6a179b134faff4
    blueprint: cli-auth

commit 6ba0c64cc27d147b42e5d6a919490c4bcdf2bd0f
Author: Julien Danjou <julien.danjou@enovance.com>
Date:   Tue Dec 13 18:19:43 2011 +0100

    Allow to not specify image if block_device_mapping is set
    
    Change-Id: Ibdd900264f2e80e9d9c04de6d3bcb60b546fa3f2
    Signed-off-by: Julien Danjou <julien.danjou@enovance.com>

commit 26ba43db9dae3b166acac407a84ba25aa3d766fa
Author: Jake Dahn <jake@ansolabs.com>
Date:   Tue Oct 25 16:55:33 2011 -0700

    Adding support for the os-getConsoleOutput server action.
    
    Change-Id: I8b4a82ba42e00e5b312d7cad79c2f9725c6b48a7

commit 450952b5987414769a74625540ed5565dece8ea7
Merge: 487032a 49284dc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Dec 20 18:54:57 2011 +0000

    Merge "Add 'discover' command for Keystone discovery and version listing"

commit 49284dc5cdbaeb70ebc5c56b9cdefbc40df9460d
Author: Ziad Sawalha <github@highbridgellc.com>
Date:   Thu Nov 17 05:12:46 2011 -0600

    Add 'discover' command for Keystone discovery and version listing
    
    Added @unauthenticated decorator to mark subcommands that do not
    need authentication. And checks to skip authentication for these
    commands.
    Added novaclient.keystone to setup.py
    
    Change-Id: Id2fd60af305c30a950bdbae8f897192bfae4d797

commit 487032ae07ea1ec703df4839fd9f251368b61ecf
Author: lzyeval <lzyeval@gmail.com>
Date:   Tue Dec 20 11:49:45 2011 +0800

    User friendly help message
    
    Fixes bug #892066
    
    Change-Id: Ibeb86c5a9ae0f1dcc313c77fdf923a2eb37de505

commit e20dcd8cd74fd5076a0aa669b076df82f9056c57
Merge: 1e8c0bf 95f277a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Dec 19 20:19:37 2011 +0000

    Merge "standardize environmental settings for cli auth"

commit 1e8c0bfa3f88362fc965e18cd5898a8578c5733f
Author: Julien Danjou <julien.danjou@enovance.com>
Date:   Mon Dec 19 17:25:48 2011 +0100

    Do no depends on argparse for Python >= 2.7
    
    Python >= 2.7 has argparse has a builtin module, so there's no need to add
    it to the this list of requirements.
    
    Change-Id: I647cec70a564b1d184f0cb2aca6caf4d6478c403
    Signed-off-by: Julien Danjou <julien.danjou@enovance.com>

commit 95f277a09ff5acda1535b76b9faefe05ffb28e50
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Fri Dec 16 00:10:47 2011 -0800

    standardize environmental settings for cli auth
    
    a first pass at common configuration between cli tools
    https://blueprints.launchpad.net/openstack-common/+spec/cli-auth
    
    Change-Id: Ie1354268ef647fb265ad9f30e730ddcac990e7f7

commit 3661be66730efd4bce32fd54e2443c42ad91edbd
Author: Rick Harris <rconradharris@gmail.com>
Date:   Thu Dec 15 23:10:59 2011 +0000

    Removed v1.0 support.
    
    Change-Id: I6850075a2ac0e1558aa94539e73f4fb939dfb318

commit b3f48f70647ebebe227dc03b1e0ae119010599d9
Author: Rick Harris <rconradharris@gmail.com>
Date:   Thu Dec 15 22:38:05 2011 +0000

    Making contrib a Python package
    
    Change-Id: Ibfde2e5cbececeec0b6a17f7d71da207f582a5c7

commit 82d3099a08c78754bbf21097b34bcdb0268717ab
Merge: 50169b9 bb879dd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Dec 15 21:12:38 2011 +0000

    Merge "Adding extension framework."

commit bb879dd10b37a884a7e724d7a7cbd204041061e0
Author: Rick Harris <rconradharris@gmail.com>
Date:   Thu Dec 15 19:39:33 2011 +0000

    Adding extension framework.
    
    Change-Id: If882f7a822ef6b1e58666b3af6f7166ab0a230fe

commit 50169b9017e8c65e14bf8b3c7e0d8ce1a1b28bad
Author: Julien Danjou <julien.danjou@enovance.com>
Date:   Thu Dec 15 11:59:06 2011 +0100

    Fix typo in README
    
    Change-Id: If165635e3cf73488b305d0b2c4fc9515b7a0849f
    Signed-off-by: Julien Danjou <julien.danjou@enovance.com>

commit a905e5fe0713a55c7b7ee7384b145fc3f4a18ba9
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Fri Dec 9 14:26:06 2011 -0500

    Accept 1 and 2 as version choices
    
    - removes all unused imports
    - update .gitignore with new venv path
    
    Change-Id: I3e8199b72dc83268115133d7c73335ffb6060f9a

commit 6509fe253f9e40f217d6c483941af6fa56bc23f7
Author: Josh Kearney <josh@jk0.org>
Date:   Tue Dec 13 15:54:09 2011 -0600

    Add support for RAX authentication.
    
    Change-Id: Ia9180a3919373d3ec2e794d4dffe21838b23fc95

commit 1acbbb0c2d1fc152102635f0b7f66910a945b479
Author: Monty Taylor <mordred@inaugust.com>
Date:   Wed Dec 14 10:14:08 2011 -0500

    Align run_tests.sh with nova.
    
    We need for run_tests.sh to accept the same inputs and outputs from a CI
    perspective. In this case, the easiest way was just to port in run_test.py.
    Additionally, we need with_venv.sh to exist.
    
    Change-Id: I25e659ed796c8a70239aab610f5b014b35443b67

commit ccb5f8f1b4227753a3a13f8a171321d796621c55
Author: Thierry Carrez <thierry@openstack.org>
Date:   Wed Dec 14 11:22:32 2011 +0100

    Switch versioning to common Nova versioning
    
    Use "2012.1" as the version for python-novaclient, to align with
    Nova common versioning (starting with Essex-2, python-novaclient
    is shipped as a Nova project deliverable. Fixes bug 904182.
    
    Change-Id: I85d742a346bbaae1dc92a476c140f7f862a0828c

commit b45ea3ac450a8e0a3b82b2f05d2340c33da8c53c
Author: Julien Danjou <julien.danjou@enovance.com>
Date:   Tue Dec 13 17:35:50 2011 +0100

    Fix PEP8 error
    
    Change-Id: Ib8f4027af6f0583c60ca937328cc84a34909b4a4
    Signed-off-by: Julien Danjou <julien.danjou@enovance.com>

commit f737a8c3bbbd30428cdecec500d2275a5f74ba89
Author: Monty Taylor <mordred@inaugust.com>
Date:   Fri Dec 9 13:37:03 2011 -0800

    Add MANIFEST.in and setup.cfg back.
    
    These files are actually needed - without MANIFEST.in, files are missing
    from the source tarball which is used in debian packaging. setup.cfg is
    needed for configuration of the sphinx doc build commands.
    
    Additionally, I added listings for the other files in the root to
    MANIFEST.in so that the source tarball would be complete.
    
    Change-Id: Ia0f281663b58baaf2ee23f627d4b1887d0eddfe9

commit 959c44ff5956b7e42134aef319f33f2b756bfcc7
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Tue Dec 6 12:11:50 2011 -0500

    Adding 'absolute-limits' and 'rate-limits'
    
    Change-Id: Ie1dff62f3a3dd74e96c8cad7c079b7378d25ae46

commit 11a4ecfe44dafad17105e585c35fbf27d1b3ae0a
Merge: 578fc1c 596eb3c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Dec 7 20:07:27 2011 +0000

    Merge "Fixing all remaining pep8 errors"

commit 596eb3c0a5fdde14fb1d0ddafd7f9262285f6735
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Wed Dec 7 14:37:17 2011 -0500

    Fixing all remaining pep8 errors
    
    Change-Id: Iaf50bce4a6d458b37bc5e790b7d3ee56085c3e36

commit 578fc1cb72264ed54270daf956eb867bd5829520
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Wed Dec 7 11:12:35 2011 -0500

    Clean up image-list cli command
    
    - properly determine what server an image was created from
    - remove mapping of server id to name in image-list
    - remove an extra image list query in imgae-list
    
    Change-Id: Ib7c8fd784d21e658cb57dd9f9f2cd39e1cb11121

commit f866c6ec3fd1f54d5d80cd5a59bf33932fe83d65
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Wed Dec 7 11:40:45 2011 -0500

    Clean up image-show
    
    - parse server entity to just an id
    - parse metadata out into separate rows
    
    Change-Id: I8927b148714a7f5ed64bbb74bd79193e258cb34d

commit 9067f2607716706796b9ef25e627c99092712d76
Author: Lorin Hochstein <lorin@isi.edu>
Date:   Thu Dec 1 22:13:07 2011 -0500

    Updated README.rst
    
    - Changed link from Rackspace API docs to OpenStack API docs
    - Fixed Github link
    - Added Launchpad link
    - Added Gerrit link
    
    Change-Id: I0494e4c4a8722c182c63515cb6079d2c1557b52f

commit b61a8d8c2483847ab34ed41b473c833cbc4df4a6
Author: Aaron Lee <aaron.lee@rackspace.com>
Date:   Thu Dec 1 11:09:38 2011 -0600

    Converting rxtx_cap and rxtx_quota to rxtx_factor
    
    And adding myself to AUTHORS
    
    Change-Id: I88d3d4c290ab883cf52945edeec62acbee3761d0

commit 2f49282bd0260953cc4de85a62189c237a699b67
Author: Kiall Mac Innes <kiall@managedit.ie>
Date:   Tue Nov 29 21:54:09 2011 +0000

    Gracefully handle failure to cache UUID's. Bug #897885.
    
    Change-Id: I2ef58a218277b2a62c0e24c907250421dccffe9a

commit 674c63e99d1f99d4238dff3329faeb8f19235d2e
Merge: f48d8cb 72c5ca3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Nov 28 20:00:17 2011 +0000

    Merge "Change 'zone_blob' key to 'blob' in create server. bug 893183"

commit f48d8cb5e69dd09826114803e8018fc00809137d
Merge: 69f7e87 58af45c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Nov 28 00:24:57 2011 +0000

    Merge "Adding UUID cache for bash autocompletion."

commit 72c5ca3aeca8782def98d9254b73a44be80c8b07
Author: Édouard Thuleau <edouard1.thuleau@orange.com>
Date:   Tue Nov 22 10:20:49 2011 +0100

    Change 'zone_blob' key to 'blob' in create server.
    bug 893183
    
    The OSAPI looks for key 'blob' to check if a build plan
    is associated to a create request server. But the
    novaclient uses the key 'zone_blob'.
    
    Change-Id: I85fd3629e1b3a2f142ac9296418e361aff5c5e4b

commit 69f7e87b16ca5413a4270967c7e325c2f1a227ea
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Mon Nov 21 16:05:54 2011 -0600

    Fix spacing errors in authentication exceptions.
    
    Change-Id: I44c7aaac3c6f7ad01b4580bc3ffcf3ce798936d8

commit 58af45c9471107ce54cea5fe5d4ca7cc0bff56fa
Author: Rick Harris <rconradharris@gmail.com>
Date:   Sat Nov 19 18:14:10 2011 -0600

    Adding UUID cache for bash autocompletion.
    
    Change-Id: I3d8abea8d99c406f237b8e500e1decf8d24f22d9

commit 0e1e38d2e43fddb90b8010bd3e43b3da641cf643
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Thu Nov 17 12:48:58 2011 -0800

    Revert api_key change in novaclient Client argument
    
    Fixes bug 891442
    
    Also, still need to support NOVA_API_KEY environment variable for now.
    Bump version to 2.6.8 so we can get this into pypi
    Updated setup.py to build properly
    
    Change-Id: I16233ac559bf44b78666118d68975509da6bfb0d

commit 7a179e6577f176bedfe7a1faa39081c416dbd2e7
Merge: 149e00b 49efa22
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Nov 17 18:42:15 2011 +0000

    Merge "Rewriting admin-only calls as server actions"

commit 149e00bcf5eeb16e4e5cc13840cdb6d0fe2897e3
Author: Josh Kearney <josh@jk0.org>
Date:   Wed Nov 16 15:21:25 2011 -0600

    Adds bash completion support and cleans up setup.py.
    
    Also removes some unnecessary files and updates the AUTHORS file.
    
    Change-Id: Iefa502ce08cbf34038d2e04d0460ae43468a4255

commit 49efa22054818db3bd68f06dd1ace17e65c70345
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Wed Nov 16 15:06:57 2011 -0800

    Rewriting admin-only calls as server actions
    
    Change-Id: I3345dac84675aa8e7eb6cd72180ca53296937082

commit d14e421ade04ecac86d0bd7bb56ded1c66f88ad9
Author: James E. Blair <james.blair@rackspace.com>
Date:   Wed Nov 16 09:27:59 2011 -0800

    Add rfc.sh.
    
    This is a tool to help with submitting changes to gerrit.
    
    Change-Id: I962c8e79bf10d881548a9c258065fb83a5d89cb4

commit 2229163a7a4f47e2b8306bcdf7d42183fd6967de
Author: James E. Blair <james.blair@rackspace.com>
Date:   Wed Nov 16 09:22:28 2011 -0800

    Add .gitreview config file for gerrit.
    
    The CI team is developing a new tool, git-review:
    
    https://github.com/openstack-ci/git-review
    
    which is intendend to replace rfc.sh. This adds a .gitreview file
    so that it can automatically determine the canonical gerrit location
    for the repository when first run.
    
    Change-Id: I4d71e9a8b5463e29449a3da2739a15f40970354b

commit 464fbbcb603eb9c61aa52a86b4e2b6e6b0b8e7e9
Merge: 007c795 36f34d9
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Nov 16 08:51:01 2011 -0800

    Merge pull request #144 from jstraw/master
    
    Add parent server information to the shell output of image-list
    
    Rushed through for gerrit move

commit 007c795a9322ca0596d863a7c514cf296bf83d41
Merge: 1f4971a 69c5327
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Nov 16 08:49:12 2011 -0800

    Merge pull request #149 from SandyWalsh/endpoint_name
    
    added --endpoint_name support
    
    Rushed through for gerrit move

commit 69c5327363a27466efae19436348c7ec44e98263
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Nov 16 08:47:37 2011 -0800

    pep8

commit 4f107d7463c03ff8e3f0b04f2c38797432060cda
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Nov 16 08:45:33 2011 -0800

    fix tests

commit f53675a4dd632506c7f474d386917cbd7e5aef61
Merge: 13b7edf 1f4971a
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Nov 16 08:44:31 2011 -0800

    trunk merge

commit 1f4971a1360b27ce25d05a1d6d518ca53856a649
Merge: 897592d 00f0531
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Nov 16 08:38:52 2011 -0800

    Merge pull request #150 from SandyWalsh/remove_api_key
    
    Remove api key

commit 897592d8e3bfd94a9f27cd2e91f284671d5416f2
Merge: 50a2f62 528b3e4
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Nov 15 18:40:38 2011 -0800

    Merge pull request #137 from danwent/master
    
    novaclient changes to use os-create-server API extensions for v1.1
    
    (pushing through to prepare for gerrit move)

commit 528b3e4d4446cdfffcb3ba4c6e02a8b1db9abf04
Author: Dan Wendlandt <dan@nicira.com>
Date:   Tue Nov 15 18:32:16 2011 -0800

    Add support for specifying VIF networks while booting.
    
    Specifying VIF network while booting uses a subset of the
    os-create-server-ext.  Goal is that the CLI syntax
    is sufficiently general that we can expand it to incorporate other
    parameters once the API supports them (e.g., v6_fixed_ip, specifying
    IP by melange subnet, etc.).  The syntax is supposed to slightly mirror
    creating server NICs with KVM.

commit 50a2f62f1cb286bf571cf7e62827aaeb86a72e32
Merge: 216be72 ff48a3e
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Nov 15 12:14:08 2011 -0800

    Merge pull request #136 from gagupta/master
    
    Enabled creating a volume from a snapshot

commit 216be725977bdef38611b03bbe3cdffa421ef0e0
Merge: f513bdc 7adecf7
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Nov 14 09:24:29 2011 -0800

    Merge pull request #151 from klmitch/keystone-redirect
    
    Follow redirects when calling out to Keystone.

commit 7adecf7c3bef46e133e7145d4e7e0ed1b7453ee5
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Mon Nov 14 10:39:16 2011 -0600

    Use a try/finally to ensure state restoration

commit 5bc980105bdf7b5423d15b81f8d7f29763f82b3b
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Wed Nov 9 16:54:58 2011 -0600

    Follow redirects when calling out to Keystone.

commit ff48a3e1ec95cc12688b1b72189a114d2b4fadda
Merge: 3d03a25 f513bdc
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Wed Nov 9 10:49:51 2011 -0800

    Merge branch 'master' of git://github.com/rackspace/python-novaclient
    
    Conflicts:
    	novaclient/v1_1/shell.py

commit 3d03a25363b49adf5e298ef53e6d6116a20b1194
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Wed Nov 9 10:36:16 2011 -0800

    Modified as per code-review comments:
        - Renaned snapshot to volume-snapshot
        - Created a new file for volume snapshots
    
    Review:
    https://github.com/rackspace/python-novaclient/pull/136#issuecomment-2623509

commit 00f05317efb8bab78d487a7c36571082269d3139
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Nov 9 07:18:22 2011 -0800

    few missing references to api_key

commit cdde0d22cd4b9be02fd2080687ebd02fda80b7f3
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Nov 9 07:10:46 2011 -0800

    tests working

commit c386221bd8f757fe98abd076d21f3a1fdd9712e2
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Nov 9 04:35:39 2011 -0800

    started

commit 13b7edfc420d3cf537cbb43f66f73356aa891eb8
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Nov 8 10:27:41 2011 -0800

    added --endpoint_name support

commit f513bdccc5dd92c0959ea4d061fb08ca00c62b87
Merge: beb40d3 e4d6ec7
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Fri Nov 4 13:10:22 2011 -0700

    Merge pull request #148 from rconradharris/add_back_admin_pass
    
    Add back display of adminPass to boot

commit e4d6ec757a79e8ce5183f1ee67d372541d7e411b
Author: Rick Harris <rconradharris@gmail.com>
Date:   Fri Nov 4 19:57:52 2011 +0000

    Add back display of adminPass to boot

commit beb40d3adcc15e57d72678be1c1a5aa522b9520f
Merge: fcfa928 05a1ef7
Author: comstud <cbehrens+github@codestud.com>
Date:   Fri Nov 4 11:53:07 2011 -0700

    Merge pull request #147 from SandyWalsh/flavors_are_strings
    
    Boot now works with limited info returned from server

commit 05a1ef7e95adcdcb907b2c980866abf790b465d0
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Nov 4 11:41:40 2011 -0700

    Boot now works with limited info returned from server

commit 36f34d998365bfdfb20dc26c890238127e1fd24d
Author: Jason Straw <jason.straw@rackspace.com>
Date:   Thu Nov 3 23:46:08 2011 -0500

    fixed missing line continuation characters in shell.py
    
    updated tests to use serverId 1234 instead of 12 to
    allow the tests to function on new image list

commit 690f3d386600d6c55607bd41b920d458da7f75ac
Author: Jason Straw <jason.straw@rackspace.com>
Date:   Thu Nov 3 22:44:22 2011 -0500

    PEP8 cleanups of utils, and the v1_?/shell.py files

commit 4443a069acfa3ddadeaee4c3ee45e0e865bbd6f3
Merge: 66d8bc4 fcfa928
Author: Jason Straw <jason.straw@rackspace.com>
Date:   Thu Nov 3 22:29:25 2011 -0500

    Merge branch 'master' of git://github.com/rackspace/python-novaclient

commit fcfa9288e081631d350d97deb318d0ebe5e6dd10
Merge: 4397298 1f8c6f8
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Nov 3 10:29:21 2011 -0700

    Merge pull request #145 from nmistry/master
    
    Command line arg to disable ssl certificate validation

commit 1f8c6f8ee2cf173e682f678a4311d3a0829979c3
Author: Nicholas Mistry <nmistry@gmail.com>
Date:   Thu Nov 3 11:52:42 2011 -0500

    minor pep8 tweaks

commit 507231fa7af285b183fc0a37011b89b2c35859af
Author: Nicholas Mistry <nmistry@gmail.com>
Date:   Thu Nov 3 11:34:44 2011 -0500

    corrected argument order and replaced tabs with spaces.

commit 1015cab9fdeee4ada5fe5fe6da8bddf77bc2cdd8
Merge: f68120f 4397298
Author: Nicholas Mistry <nmistry@gmail.com>
Date:   Thu Nov 3 11:06:24 2011 -0500

    resolved merge conflict.

commit f68120f9d22b7d50ca18a89bbb845ebd4ca61ac2
Author: Nicholas Mistry <nmistry@gmail.com>
Date:   Thu Nov 3 11:00:58 2011 -0500

    added a space after url

commit 4397298b36fb838d926e9d708499fb3a0e8f8106
Merge: 2b0d82c 557b4ee
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Nov 3 08:16:05 2011 -0700

    Merge pull request #141 from SandyWalsh/new_keystone_admin_port
    
    New keystone admin port

commit 84076fed6c569219cb431da66fc9e16de1782b0b
Author: Nicholas Mistry <nmistry@gmail.com>
Date:   Thu Nov 3 02:13:36 2011 -0500

    Added the option --insecure.   This disables SSL certificate validation.

commit 66d8bc49b70be382b2699d2b883ce265ff915e02
Author: Jason Straw <jason.straw@rackspace.com>
Date:   Sun Oct 30 17:20:47 2011 -0500

    Updated the novaclient shell to display the parent server id that the image came from.

commit 98cbe4620e3f5eb73abf530521957e9d5fd7fc6c
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Wed Oct 26 10:57:08 2011 -0700

    Fixed description for block_device_mapping parameter

commit 557b4eee470b3ee403eddce65eeb28cb55476561
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Oct 25 16:49:22 2011 -0700

    minor fixes

commit c37a8b33714c0ad6f6697a81770d48b2726d1e18
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Tue Oct 25 13:45:59 2011 -0700

    Added support for boot from volume (or snapshot)

commit 440e03ec4899b7b2e73bc047c8983ac5a8a6a651
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Oct 25 09:38:37 2011 -0700

    version update

commit 0a3eda6cdd5e6d2141b04c1ddff1296f1be0b0b7
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Oct 25 09:34:23 2011 -0700

    minor tweaks and long overdue pep8

commit 881427de9d6cdf70df25d072b7a601c0d42e5293
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Oct 25 06:28:30 2011 -0700

    new service catalog semantics

commit 5c38baf65a39800b48a2d7b696b3090ea775176a
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Wed Oct 19 10:54:27 2011 -0700

    Added support for listing/creating/deleting snapshots of nova volumes. Also
    implemented the supporting CLI commands.
        Requires the OS API extension, 'os-snapshots'

commit 2a0b3b5311d4294d6f0505d137b7e5da9b00e81c
Merge: 66f2432 2b0d82c
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Wed Oct 19 08:33:56 2011 -0700

    Merge branch 'master' of git://github.com/rackspace/python-novaclient

commit 66f2432f659f9b4a2fc6c5b322c98ec2545d5b0e
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Wed Oct 19 08:31:16 2011 -0700

    Updated volume-create command to accept an optional attribute, snapshot_id.
    This enables the user to create a volume from a snapshot.

commit 2b0d82c05cf9f19c01752a75804cdcadf80e82ee
Merge: b2d3d21 aba2ced
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Oct 17 15:44:42 2011 -0700

    Merge pull request #135 from gabrielhurley/keystone_client_url_for
    
    Fixes #133 -- Keystone Client fetches correct service type and endpoint.

commit aba2ced0fb42489a6a7d03574a2111112f2e8a56
Author: Gabriel Hurley <gabriel@strikeawe.com>
Date:   Mon Oct 17 14:42:23 2011 -0700

    Fixes #133 -- Keystone Client fetches correct service type and endpoint.
    
    Made ServiceCatalog.url_for more configurable by allowing keyword arguments to control which service type is fetched and which endpoint is returned instead of having those values hard-coded to "compute" and "publicURL" respectively. The fix to keystone.client.Client allows the openstackx Account API to be deprecated in openstack-dashboard.

commit b2d3d2104934ea2044790b658888256c006df0c5
Merge: e4a0e24 10c1f4b
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Mon Oct 17 14:26:09 2011 -0700

    Merge pull request #134 from cloudbuilders/keypair
    
    Implementing work with keypairs and add feature for boot command

commit 10c1f4b11b59a43edddac690db763b93cde521fe
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Mon Oct 17 14:23:04 2011 -0700

    fix tests

commit 4a168d5460b7ff42588d22239b665bd691abb0e2
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Mon Oct 17 14:18:38 2011 -0700

    typo

commit 6955852694a266f881447261d0079a50dbba78cc
Merge: e4a0e24 d6e6e04
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Mon Oct 17 14:09:25 2011 -0700

    merged and fixed pshkitin's keypair work

commit d6e6e044eab38a81c0ddd228cdc7825efec61bd8
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Mon Oct 17 13:57:56 2011 -0700

    doc improvements

commit e4a0e2411bcce39aa254423d39b09e53bb5877da
Merge: a76c9a3 0b0abff
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Mon Oct 17 13:34:49 2011 -0700

    Merge pull request #128 from UnmeshG/master
    
    Added support to specify few more boot options.

commit a76c9a321822ba89260011ca72fa6715fa95c33e
Merge: 13a2077 32510bd
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Mon Oct 17 13:33:06 2011 -0700

    Merge pull request #125 from gagupta/master
    
    Added CLI commands to access nova volume

commit 0b0abff45226645c73c29f57a8ab595f17bdf194
Author: Unmesh Gurjar <unmesh.gurjar@vertex.co.in>
Date:   Mon Oct 17 12:46:05 2011 +0530

    Added support to specify more boot options.
    
    User data can be a file name only, removed support for user data string.

commit 32510bdee9a3030f3ecdc0ddb87ee06318ced15e
Merge: cd9f3cb 13a2077
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Sun Oct 16 15:27:25 2011 -0700

    Merge branch 'master' of git://github.com/rackspace/python-novaclient
    
    Conflicts:
    	novaclient/v1_1/shell.py

commit cd9f3cb47e7fc02e843867cac7bd8c309ebb24f5
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Sun Oct 16 15:21:53 2011 -0700

    Updated volume attach/detach commands to accept server name (in addition to
    server id).
        Code review comments:
        https://github.com/rackspace/python-novaclient/pull/125/files#r169829

commit 13a2077b7a60319ff72382100f801f157e6e6203
Merge: 960cfbe ac163b4
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Fri Oct 14 10:55:37 2011 -0700

    Merge pull request #130 from cloudbuilders/security_groups_cli
    
    Security groups cli

commit ac163b43479bd8ca2c2761ef4cdf962853fe38f1
Merge: 16809a1 960cfbe
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Fri Oct 14 17:43:57 2011 +0000

    Merge remote-tracking branch 'rackspace/master' into security_groups_cli
    
    Conflicts:
    	novaclient/v1_1/shell.py

commit 960cfbe32803b7bb97840f41c22a7c103dbf3757
Merge: 16b083d 48e1064
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Fri Oct 14 10:38:35 2011 -0700

    Merge pull request #129 from cloudbuilders/floating_ip_cli
    
    Add cli for floating ips

commit 4df5a2f363c28ce33805f21e54bb43a6f8edce3e
Author: Pavel Shkitin <pshkitin@griddynamics.com>
Date:   Wed Oct 12 13:57:26 2011 +0400

    Booting server with specific key is implemented

commit 0ce3f979102b074e79ab18d5449132fc6b010135
Author: Pavel Shkitin <pshkitin@griddynamics.com>
Date:   Wed Oct 5 16:25:31 2011 +0400

    Added commands to work with keypairs

commit 16809a16fa82f102391abe4c02001a6cd96e172e
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Oct 11 22:30:48 2011 +0000

    make description consistent

commit 6498d41c4246e219f6ae678a35217efa256182f4
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Oct 11 22:28:22 2011 +0000

    remove extra space

commit 356a92ee1463e0db0cb9c93c6a2dd7c1ecf8bf7f
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Oct 11 22:10:23 2011 +0000

    add ability to create source group rules

commit 6a20ed5e3b3fcd45762072495047778416ba2b75
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Oct 11 20:40:01 2011 +0000

    don't expose ids to end user

commit bad314991e31cd625367faa2c9ca00220e3e68b2
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Oct 11 08:24:14 2011 +0000

    work on formatting for secgroup rules

commit 48e10643b39276af194b947e7bb295fc2e688dd5
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Oct 11 07:54:33 2011 +0000

    display floating ip on create

commit 8cb15843d1da0a608750c3037121241f08d14453
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Oct 11 07:48:55 2011 +0000

    Add CLI for security groups and rules

commit 9a5a7c9253c500bbaa9ad52fe9a9f31aee7b01e8
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Oct 11 04:18:30 2011 +0000

    raise exception if floating_ip is not found in floating-ip-delete

commit 4154b903646c9b52efbd956fb74479a3dff00df2
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Oct 11 04:07:08 2011 +0000

    Add cli for floating ips

commit 772609aa45253fa616d9c70c97587397068b9370
Author: Unmesh Gurjar <unmesh.gurjar@vertex.co.in>
Date:   Mon Oct 10 19:40:05 2011 +0530

    Added support to specify more boot options.
    
    Added Parameters: availability zone, security groups and user data.

commit 16b083ddca71d60ec1745e9961441667b16204be
Merge: 2e2172c 8ef6268
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Oct 7 13:30:41 2011 -0700

    Merge pull request #127 from rconradharris/issue126
    
    Don't filter endpoints when filter_value is non-truthy.

commit 8ef626811519b633296eac28941d95f85fc27bad
Author: Rick Harris <rconradharris@gmail.com>
Date:   Fri Oct 7 17:12:05 2011 +0000

    Don't filter endpoints when filter_value is non-truthy.
    
    Fixes #126

commit 2e2172c5f5add4cc8b38c5be19cd86c18f285eee
Merge: 19d11e3 42e726f
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Sep 30 08:01:58 2011 -0700

    Merge pull request #124 from SandyWalsh/new_keystone_auth
    
    now uses tenantName vs. tenantId to auth

commit bfefddada1fbf14571e8b20d7ece7243c2de7290
Merge: 234205b 19d11e3
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Thu Sep 29 08:14:39 2011 -0700

    Merge remote-tracking branch 'upstream/master'

commit 234205bf538489dfc9c42858b104224170259278
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Thu Sep 29 08:09:50 2011 -0700

    Added the following CLI commands to access nova volumes:
        volume-attach       Attach a volume to a server.
        volume-create       Add a new volume.
        volume-delete       Remove a volume.
        volume-detach       Detach a volume from a server.
        volume-list         List all the volumes.
        volume-show         Show details about a volume.

commit 42e726ffedab909f49a0f216ca7091b41b68fd35
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Sep 28 11:00:15 2011 -0700

    now uses tenantName vs. tenantId to auth

commit 19d11e39ae4a5ac660c7ba25b9f360c844a65deb
Merge: 4b6345e acf8a27
Author: Josh Kearney <josh@jk0.org>
Date:   Tue Sep 27 14:03:59 2011 -0700

    Merge pull request #121 from gagupta/master
    
    Added support for nova-volume extension

commit 4b6345e3545f6fd78e5905c8da51e86b4d1091f6
Merge: a3d7bb0 96e04e6
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Sep 26 15:25:21 2011 -0700

    Merge pull request #123 from SandyWalsh/new_keystone_auth
    
    New keystone auth

commit 96e04e64e9305cf71955cd7b311a17cbf83f8bff
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Sep 26 12:59:04 2011 -0700

    version bump

commit 9cd9635c42dfb46b8e0b8a95e3becc357def0cdf
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Sep 26 12:58:03 2011 -0700

    removed unicode casts

commit 4a53b06e0e2af5db407aa03bd4f4791332287008
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Sep 26 12:53:29 2011 -0700

    cleaned up exception handling

commit 8491c7602707ce8b36e7a76a35c407ef269a0452
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Sep 26 12:28:43 2011 -0700

    new service catalog implementation.

commit 2d5f6b2df6887c2a3f849cbcca7da85fd3094823
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Sep 26 07:41:42 2011 -0700

    change auth cred format for keystone

commit acf8a2783a90df5fd613db6cc0298dd9e2888387
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Thu Sep 22 06:45:04 2011 -0700

    Added methods to get, attach and detach volumes to/from running instances

commit 74e92a6914bcc2add9992b7db037669b1c195382
Author: Gaurav Gupta <gaurav@denali-systems.com>
Date:   Wed Sep 21 12:31:53 2011 -0700

    Added support to access nova-volume api (v1.1 extension)
        - Only the basic functionality (create, delete, list) is implemented

commit a3d7bb0014cc985f1c4c3f766f42bf577ecb9c8c
Merge: e993af6 f932961
Author: Jason Kölker <jason@koelker.net>
Date:   Wed Sep 21 07:42:28 2011 -0700

    Merge pull request #118 from SandyWalsh/service_catalog_regions
    
    Service Catalog region & reusing user token support

commit e993af6b50085e3d00af24b0c9a9a006c71f6589
Merge: dcd0e9a c032cc9
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue Sep 20 14:47:39 2011 -0700

    Merge pull request #119 from chmouel/fix-booting-1_0
    
    Make sure flavor is a type of int.

commit dcd0e9aaa21dda45d490b771c6e7a7c6ab2ab13c
Merge: 1ed1f5e 791432c
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Sep 20 07:10:52 2011 -0700

    Merge pull request #120 from cloudbuilders/key_name_in_servers_create
    
    add key_name to servers.create

commit 791432cf7309229c10dd75cf0939c59ec5d28f75
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Sep 20 00:51:00 2011 -0700

    add todo to update doc strings so that they reflect extension/optional-ness

commit ad6d3ca60ea72dd440eaae3d47bc1a72599f806f
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Sep 20 00:48:00 2011 -0700

    update doc strings

commit 4aaa47705b29be6695a80402eee9041027287d6f
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Sep 20 00:20:52 2011 -0700

    add key_name to servers.create

commit c032cc9cd44b7c8ae353b3bc39ff028b4136664c
Author: Chmouel Boudjnah <chmouel.boudjnah@rackspace.co.uk>
Date:   Tue Sep 20 00:20:09 2011 +0200

    Make sure flavor is a type of int.
    
    This shell.py is getting very very confusing.

commit f93296125261a0d4e0b6a43be9241b3f4b4b94e2
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Sep 15 18:15:59 2011 -0700

    removed debugging

commit acd1e0370fb31d3ed7cc33f7bb37ebdbc5162b1d
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Sep 15 18:12:16 2011 -0700

    token support

commit b047f3cf051b3e2e881156eadca56c1a019debb5
Merge: cfab90b 1ed1f5e
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Sep 15 18:11:34 2011 -0700

    Merge branch 'master' of github.com:rackspace/python-novaclient into service_catalog_regions

commit cfab90bddf2325915fb93af63e9efd31793cd55d
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Sep 13 19:43:57 2011 -0700

    fixed unknown service

commit 9b767784d83b52f3e001dcfa3b5964284030bfec
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Sep 12 06:39:11 2011 -0700

    properly uses keystone admin endpoint for token lookup

commit 1ed1f5e863d3013c453cc31c61699216fbc6912e
Merge: 9a5c20d 186b468
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Sun Sep 11 20:14:18 2011 -0700

    Merge pull request #108 from chmouel/userdata
    
    Add userdata support.

commit 2c3a865f6b408d85aaeaafafd9ff9cdcee5d8cb4
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Sep 9 06:33:38 2011 -0700

    proxy token support - no tests

commit f7d38c2568d55c10f70397562f08a6d4266a527a
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Sep 7 13:30:20 2011 -0700

    readme fix

commit 55a09cd93524706bcaff04c12c631abafec25aa7
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Sep 7 13:02:50 2011 -0700

    service catalog with multiple endpoints per service

commit 159dbd8076b17a180fc6ec90b8f141d1f746999b
Merge: 9deb35f 9a5c20d
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Sep 6 08:52:03 2011 -0700

    Merge branch 'master' of github.com:rackspace/python-novaclient into zone-add-optional-creds

commit 9a5c20d2d48d9d1b14a439c2defc3954277d4a5d
Merge: 6b56f3b 0acc0cc
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Sep 2 13:13:22 2011 -0700

    Merge pull request #112 from chmouel/debugging-by-environement-variable
    
    Add ability to force debugging via os environ.

commit 0acc0cce69a9b58695087ffaa1dee6d26046d3ff
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Sep 2 14:25:12 2011 -0500

    Add ability to force debugging via os environ.
    
    Currently we can do debug from the command line or integratng to an
    application which has already logging configured. But if we want to do
    it to experiment via ipython the process is quite cumbersome. This allow
    to have an environement variable called NOVACLIENT_DEBUG which enable
    debugging when set and defined.

commit 9deb35f36ee726bcfa4d335405ea50997a1d52e1
Merge: 2acc75b 6b56f3b
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Sep 2 12:13:22 2011 -0700

    merge fixup

commit 2acc75b96ea8192238ab7d2ebe508190d0291d29
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Sep 2 12:09:33 2011 -0700

    version bump

commit 909b9118c2df7a1bcc2ae19dfdefad2be6dee554
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Sep 2 12:07:18 2011 -0700

    readme

commit 0cd6ed62fd127e893eb05272b4541719fee82c0f
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Sep 2 11:44:25 2011 -0700

    service catalog as auth parameter

commit 11f31651acd7db3035353aca342fcdbf020c8777
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Sep 2 10:34:51 2011 -0700

    service name support

commit 6b56f3be13956f2e6158f860fbfa9215e1bd6b30
Merge: ba96890 07795ce
Author: Josh Kearney <josh@jk0.org>
Date:   Fri Sep 2 09:01:49 2011 -0700

    Merge pull request #111 from klmitch/loaded-zones
    
    Extend lazy loading support to Weighting

commit 07795ce412dee54a0d3f5646c611926a79333545
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Fri Sep 2 10:56:46 2011 -0500

    Extend lazy loading support to Weighting

commit ba96890aaec328d785c6afb428b28c5b22680cb0
Merge: 89a5976 10e6ae8
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Sep 2 07:44:39 2011 -0700

    Merge pull request #107 from chmouel/master
    
    Fix unit-tests

commit 10e6ae8c3f6e89559ffc0d1f8264cc336c6cd404
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Sep 2 09:40:00 2011 -0500

    Fix unittests breakage in test_shell
    
    For some method like test_image_meta_bad_action we are testing a
    SystemExit to be thrown and object self.shell has no time to get
    instantatiated which is OK in this case, so we make sure the method is
    there before launching it.

commit 89a59761b6535fdcc8062517e42ca626da6f5106
Merge: be53d30 1776cbf
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Sep 2 07:12:12 2011 -0700

    Merge pull request #110 from chmouel/fix-get-information-by-name
    
    Fix #109 (nova show name not working).

commit 1776cbfbd85538ff572a5571171478374ab55a0e
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Sep 1 20:15:53 2011 -0500

    Fix #109 (nova show name not working).
    
    By default when searching via name we will do a findall(name=blah) and
    due a REST /details which is not the same as a .get() and doesn't get
    the information about flavors and images. This fix it as we redo the
    call with the id which does a .get() to get all informations.

commit 186b4689b5619d98f643bd84d2aba76eb8af196e
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Sep 1 16:37:30 2011 -0500

    Add userdata support.
    
    Based on Jesse first shot at it. Make it accept file like object as well
    like we do for file injection on server creation.

commit be53d30569f62e4018a58ef7662fbd88d041f905
Merge: fe3dbf0 6b4791b
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Sep 1 13:50:12 2011 -0700

    Merge pull request #104 from throughnothing/instance_metadata
    
    Instance metadata set/delete

commit fe3dbf056521a3ccaf6c3b90eb495fae7a281437
Merge: 51610e9 25977cd
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Sep 1 13:46:25 2011 -0700

    Merge pull request #106 from chmouel/fix-unittest-breakage
    
    Remove extra NOVA_PROJECT_ID

commit 25977cd47cbe6b2f13e5491942e670cfaa377cc0
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Sep 1 15:38:28 2011 -0500

    Remove extra NOVA_PROJECT_ID

commit 51610e9949fbd1baa39899046f89378eeac58014
Merge: 2b1b109 7c8ae25
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Sep 1 13:38:31 2011 -0700

    Merge pull request #105 from chmouel/fix-unittest-breakage
    
    Fix unittests breakage from merge 3507905

commit 7c8ae25a89aefa768443f465ce30ead7eb30cd12
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Sep 1 15:35:44 2011 -0500

    Fix unittests breakage from merge 3507905
    
    PEP8 the file along the way.

commit 2b1b109aab24ab639bf8a5c16588bde75a8ca8d1
Merge: 230c4f4 c31aeb1
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Sep 1 13:07:37 2011 -0700

    Merge pull request #101 from basak/master
    
    Fix test installation exclude

commit 230c4f4bea57ae27641a1287fc6897da9a1d7368
Merge: 3507905 14c2bd2
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Sep 1 13:04:17 2011 -0700

    Merge pull request #100 from throughnothing/image_metadata
    
    Add support for adding/updating/deleting image metadata

commit 3507905a7aa0e9463535d5de8aa56c753c7e6ccc
Merge: 3f22be9 40333f0
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Sep 1 13:02:54 2011 -0700

    Merge pull request #99 from chmouel/no-auth-url-error
    
    ensure we have auth_url and project_id fo the CLI when using API greater 1.0

commit 3f22be9b2659333560b6e972c05dcfcf7f459322
Merge: 85b281b 2afd70d
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Sep 1 13:01:25 2011 -0700

    Merge pull request #97 from chmouel/dont-assume-defaults
    
    Do not assume default for image and flavor.

commit 85b281bd03ee19df7df16455f46e8caa42d1f0dc
Merge: c35bd29 441536d
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Sep 1 12:56:21 2011 -0700

    Merge pull request #102 from chmouel/more-debugging
    
    Add body in debugging.

commit 6b4791bf48675753633ca21687adfa3cf5f18788
Author: William Wolf <throughnothing@gmail.com>
Date:   Thu Sep 1 11:40:16 2011 -0400

    Add 'meta' command to allow set/delete of metadata items on servers.
    Added ability to run multiple assert_called tests from one test function.

commit 44bf2079ca4bbefcc8e93f27b702a8928827622c
Author: William Wolf <throughnothing@gmail.com>
Date:   Thu Sep 1 11:40:33 2011 -0400

    add build, dist, python-novaclient.egg-info to .gitignore

commit c35bd291e399c2bfb8ba80889153f476bb3171a3
Merge: 597ef2f 526c5ce
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Sep 1 10:33:30 2011 -0700

    Merge pull request #103 from SandyWalsh/fix_2_6_5_tests
    
    Fix 2 6 5 tests

commit 526c5ce733b6ad153f510cf278b14907cc73e939
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Sep 1 10:28:56 2011 -0700

    fixes odd __get_attr__ behavior in 2.6.5

commit 88d67be08d77599748d438fa107d4d721fcbdc35
Merge: 48fe330 597ef2f
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Sep 1 10:21:36 2011 -0700

    conflict fixed

commit 48fe330daba3a96258836e12eeea42c49d31c9fb
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Sep 1 10:20:38 2011 -0700

    catch misssing id

commit 441536daf16493c025838a989472065fb33e2e2b
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Thu Sep 1 11:50:13 2011 -0500

    Add body in debugging.

commit c31aeb19be1b0a09ace8b03727385041d610188f
Author: Robie Basak <robie.basak@canonical.com>
Date:   Thu Sep 1 10:27:39 2011 +0100

    Fix test installation exclude
    
    With exclude=['tests'], tests.v1_0 and tests.v1_1 do not get excluded,
    causing "python setup.py install" to pollute dist-packages with "tests"
    rather than going under novaclient/
    
    exclude=['tests', 'tests.*'] fixes this.
    
    LP: #838298
    Also see LP: #825127 comment #3

commit 14c2bd2d763d3aa366b551f879bfd551abed88ef
Author: William Wolf <throughnothing@gmail.com>
Date:   Wed Aug 31 12:59:21 2011 -0400

    Add support for image metadata to be viewed, added, updated, and deleted.

commit d2905832fa98c41ba80ea934b97f9cf65e50b6fb
Author: William Wolf <throughnothing@gmail.com>
Date:   Wed Aug 31 15:58:12 2011 -0400

    Bump the release version

commit 1b64a3823f27dc0e52a61f2fd736c4716b15a4eb
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Aug 31 11:55:01 2011 -0700

    fixed up zone-add

commit 597ef2f5b6bd51da02cc4c83c6295a5e3cb3f3c9
Merge: 857ee8f db38b4c
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Aug 31 07:37:32 2011 -0700

    Merge pull request #96 from bcwaldon/lazyload-limit
    
    Limit resource lazyloading

commit db38b4c830f01819105bebcca969950a701b6253
Merge: e05ae5d 857ee8f
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Wed Aug 31 09:30:09 2011 -0400

    Merge branch 'master' of http://github.com/rackspace/python-novaclient into lazyload-limit
    
    Conflicts:
    	novaclient/base.py

commit e05ae5ded302cb3baae5610fcc17a674b4eda770
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Wed Aug 31 09:24:31 2011 -0400

    Reducing v1_1.base to just booting manager

commit 7f3237e143e5527083e15c25c7638c6702edff9a
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Aug 30 07:27:37 2011 -0700

    tests working

commit d191177bd5c8514b00da8fe97ff6df3ff2df6034
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Aug 30 07:13:44 2011 -0700

    in progress - adding zone name

commit 40333f008c9086c7152c1928b8fe2da76854fcef
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue Aug 30 08:57:49 2011 -0500

    ensure we have auth_url and project_id for !1.0
    
    Make sure we have an auth_url or project_id when API version is not 1.0

commit 2afd70d268689d64701970b64c85d270971dbbc5
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue Aug 30 08:39:17 2011 -0500

    Updated error message as suggested by bcwaldon
    
    Remove the "see nova {image,flavor}-list" as this should go to help as
    suggested by bcwaldon.

commit 667fb76e07361512d79e0744328acf79e0558fd9
Merge: b96b4d0 857ee8f
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Aug 30 05:50:30 2011 -0700

    Merge branch 'master' of github.com:rackspace/python-novaclient into zone-add-optional-creds

commit b96b4d039aa2d66db8bcd90bb1fdfcd1d6834b87
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Aug 30 05:50:12 2011 -0700

    take auth token param

commit 8ac20e7447f2bf107e0477d588ece41f6b1fb1ba
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Mon Aug 29 23:18:47 2011 -0500

    Do not assume default for image and flavor.
    
    Not every cloud as a flavor name 256M and a image name called Ubuntu*
    make it compulsory to pass a name/image for 1.1 OpenStack (1.0 is
    usually Rackspace Cloud which has that by default).

commit 857ee8f6a2f4ad1765996d259223affe0419529a
Merge: 32e34b6 e485919
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Aug 29 20:29:49 2011 -0700

    Merge pull request #93 from Cerberus98/no_user_pass
    
    Client changes for username and password in zone add

commit 32e34b60493f37c4a0c1a5a41daa60b3e6ec5c56
Merge: ced66c7 530e0b0
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Mon Aug 29 14:22:00 2011 -0700

    Merge pull request #94 from chmouel/fix-loop-on-class-without-get
    
    Fix unittests

commit ced66c735b0bd4f96f2f70064a8d3838bce9e118
Merge: 5969022 9fe5498
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Mon Aug 29 14:16:59 2011 -0700

    Merge pull request #91 from chmouel/keystone
    
    Update #74 to master.

commit 4e456d6bbc37f4694aafb8e35a435656b52c5a25
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Mon Aug 29 17:00:13 2011 -0400

    expanding on concept of 'loaded'

commit 39068edfb785fcbd0d210928b9cf76ef9fe1a81e
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Mon Aug 29 16:33:22 2011 -0400

    limiting resource lazyloading to a single query

commit 9fe54984ed3a3dd89e0983625312d875a5c2de52
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Aug 26 16:06:51 2011 -0700

    Fix extra # char as noticed by jk0

commit bf2ef4d9ac3c8ed28a14fa7417e4d4ce1417ffd0
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Aug 26 16:02:08 2011 -0700

    Add piston service_catalog.

commit 3d2ccb0b60e80fce468c1e03a073d564f45da459
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Aug 26 16:00:38 2011 -0700

    Add anotherjesse keystone here.

commit 530e0b0f8e4388ab51253c3514c5e26f9d31c7e1
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Aug 26 15:29:50 2011 -0700

    Fix loop properly.

commit 713133ed8e98369332ec71a8cbeaebbbfc7a2eae
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Aug 26 15:28:55 2011 -0700

    Make sure we can do a get on the base class.
    
    or this will loop forever and sometime (like keypairs) there is classes
    that don't have a get method.

commit e4859196ad207376c619b2fb942c202f4b2a4993
Author: Matt Dietz <matt.dietz@rackspace.com>
Date:   Fri Aug 26 15:20:02 2011 -0500

    Client changes for username and password in zone add

commit 5969022401e41a7794c89ef0d2695fb2dacd3ef3
Merge: fe02df3 5a5cfc6
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Fri Aug 26 10:29:04 2011 -0700

    Merge pull request #92 from cloudbuilders/floating_ips_redux
    
    Support for Floating Ips

commit fe02df36ba0da4f366139f2f7282e92a82b1bb9d
Merge: 72d41b1 38da8b4
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Fri Aug 26 10:28:39 2011 -0700

    Merge pull request #71 from cloudbuilders/security_groups
    
    Security groups implementation

commit 5a5cfc65712be607d90d85967140956fc6b01aa2
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Thu Aug 25 14:10:59 2011 -0700

    fix for chmouel's comment, and tweaks to tests

commit 8ec0ae6ab0ed69c5acd1101b19d8971d06be4a7c
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Wed Aug 24 22:51:53 2011 -0700

    support for floating_ips + D4

commit 38da8b4e8549307d79fd76734ed5993451ce7b49
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Wed Aug 24 20:29:35 2011 -0700

    make __repr__ more useful with default behavior, rather than juse displaying id

commit 7357d3326d83a085e88936c4856fa477d1942b8a
Merge: 43d52b1 541d578
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Wed Aug 24 20:17:47 2011 -0700

    Merge remote branch 'rackspace/master' into security_groups
    
    Conflicts:
    	tests/v1_1/fakes.py

commit 43d52b1f3d693270b1fbb0068e6f921e02b9c010
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Wed Aug 24 18:21:42 2011 -0700

    a few tweaks to get the client talking to nova

commit 72d41b1e38034f5d7aedc849d85e7f670aca529a
Merge: 3c254c0 dd37389
Author: Josh Kearney <josh@jk0.org>
Date:   Wed Aug 24 10:38:58 2011 -0700

    Merge pull request #88 from bcwaldon/rebuild-adminPass
    
    Updating for new rebuild format

commit fd7fe5206c485640cc816c2835ad36ca2efdb6e9
Merge: 1879131 3c254c0
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Aug 24 06:52:30 2011 -0700

    Merge remote branch 'rackspace/master' into zone-add-optional-creds

commit 3c254c002ae01f09b431a49fb4c1800e98182ae6
Merge: 541d578 d648231
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Aug 24 06:24:18 2011 -0700

    Merge pull request #86 from bcwaldon/integer_instance_name
    
    Support Integer-like Resource Names

commit 1879131403157197ee09c9630d589e1f0e7944ca
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Aug 24 05:32:40 2011 -0700

    more cleanup

commit 7cb2f3e527a881805ead25fab1cbd7f3f1125f22
Merge: a8dc5e4 541d578
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Aug 24 05:30:15 2011 -0700

    Merge remote branch 'rackspace/master'
    
    Conflicts:
    	novaclient/client.py

commit 0756829b435bb134c431d7fec441661b947c32e6
Author: Anthony Young <sleepsonthefloor@gmail.com>
Date:   Tue Aug 23 20:59:25 2011 -0700

    progress on security groups

commit dd37389108f0c7dd29e97dd59d09e017e46bd3ef
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Tue Aug 23 23:22:57 2011 -0400

    updating version

commit 25911f94b2ab87ecd7c9e0730cf1dee5b291e9be
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Tue Aug 23 23:17:25 2011 -0400

    updating for new rebuild format

commit d648231425e522f4a37b4c07ddee6680ce6eb404
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Mon Aug 22 15:17:06 2011 -0400

    adding tests

commit 79a532b9106d0aa2b3b70073974d06abfc447f87
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Mon Aug 22 15:13:26 2011 -0400

    cleaning up find_resource method to support str/int ids, uuids, and integer-like names

commit 541d578b90a640afd3f90214a4ebad7f7872d5b2
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Mon Aug 22 11:56:01 2011 -0700

    Fix #85
    
    Use internal dictionary self._info to get the keypair uuid (which equal
    to name in this case).

commit 79a34e9dbba3e87e63832084c02f114d25a7a8ef
Merge: f361298 0d997e0
Author: Josh Kearney <josh@jk0.org>
Date:   Mon Aug 22 10:04:10 2011 -0700

    Merge pull request #79 from cloudbuilders/quota-fixes
    
    Quota fixes

commit f361298676e14068e4495e04199e2aba42d6c2cd
Merge: c42b374 328a425
Author: Josh Kearney <josh@jk0.org>
Date:   Mon Aug 22 10:01:28 2011 -0700

    Merge pull request #84 from cloudbuilders/shell-test-fixes
    
    Fixed Shell Tests

commit 328a4255541acdfba85d1ecd8b360b62ec0f3e76
Author: Jake Dahn <admin@jakedahn.com>
Date:   Sat Aug 20 22:22:22 2011 -0700

    fixing the shell tests

commit c42b374ed8b6ea4b7fb43125c6100c40214f6247
Merge: 66ecf7c b8f5c91
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Aug 18 15:17:46 2011 -0700

    Merge pull request #83 from jk0/master
    
    Fixed 1.0 and unit tests.

commit b8f5c91f864e50ea3e94aa23be37a7b8171eeae2
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Aug 18 17:16:38 2011 -0500

    Fixed 1.0 and unit tests.

commit 66ecf7c768d2a032c301250227843b883be77d1f
Merge: c844c89 fb72dff
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Aug 18 10:17:18 2011 -0700

    Merge pull request #82 from jk0/master
    
    Updated rescue in 1.0 and added unit tests.

commit fb72dff889b05cbcd12694b771cdef8ccfd7bb4f
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Aug 18 12:04:55 2011 -0500

    Added support for 1.0 and added unit tests.

commit c844c89ac4cf0065af1add102e8de6dcd60f15d9
Merge: 1a9a149 b9d194e
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Aug 18 09:53:35 2011 -0700

    Merge pull request #81 from jk0/master
    
    Update rescue/unrescue calls to use public API

commit b9d194e99dede7686df1a7f8ee96908ace0ab0f2
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Aug 18 11:51:26 2011 -0500

    Updated rescue/unrescue to use public API.

commit 0d997e01fbdb8d58aa462b0b49220137156e2d7e
Author: Jake Dahn <admin@jakedahn.com>
Date:   Tue Aug 16 14:27:01 2011 -0700

    removing extra space

commit 0476cb6b75f774e514d0ec18e8917bcc016f35bb
Author: Jake Dahn <admin@jakedahn.com>
Date:   Tue Aug 16 13:36:45 2011 -0700

    updating quotas and tests with the format which recently landed in nova

commit 5a5352069886b2e9ea2aeabfa6d14ae380e21a88
Author: Jake Dahn <admin@jakedahn.com>
Date:   Mon Aug 15 13:38:40 2011 -0700

    fixing up a few pep8 issues, and pointing client to the new endpoint

commit 1a9a14951e04a221219e117282737c319b95bb5c
Merge: 4b2899d 5f241d9
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Aug 16 07:04:53 2011 -0700

    Merge pull request #62 from chemikadze/redirect-support
    
    Redirection handling.

commit 4b2899da2f90f9dcc114d852e80e9f30cd654831
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue Aug 16 10:13:52 2011 +0200

    Properly make image_id a requirement to be int.
    
    Fix #69

commit e530110c9103f61d4e809f2eb77ef3c758514b13
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue Aug 16 10:08:51 2011 +0200

    Make sure the image id is an integer.
    
    Fix #69

commit 5f241d9b8c0115f04eef9a6445bd1a5ab74f6ef7
Merge: 0ec2cbb a97722d
Author: Nikolay Sokolov <nsokolov@griddynamics.com>
Date:   Mon Aug 15 10:36:55 2011 +0400

    Merge with trunk

commit 128608f0865726ad4b45be3fdbf68cbd19bc4be5
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Sat Aug 13 16:37:55 2011 -0700

    really fixed

commit d302f2089a31c3bea09ec667ec033a17eb5ea999
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Sat Aug 13 16:36:47 2011 -0700

    accidentally deleted a comment when fixing conflict

commit d1b9732aecf6db17e187a8b37a167abd7f84b17e
Merge: 2cb86c5 a97722d
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Sat Aug 13 16:17:21 2011 -0700

    Merge remote-tracking branch 'rax/master' into security_groups

commit 2cb86c56d1ba8cdc5d054988a7dc6a302efe2271
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Sat Aug 13 16:06:50 2011 -0700

    pep8 issues

commit a97722dedf490c7546b99e10f68be406e9f9468a
Merge: 4294327 2b70b75
Author: Josh Kearney <josh@jk0.org>
Date:   Sat Aug 13 08:59:15 2011 -0700

    Merge pull request #73 from cloudbuilders/more_keystonization
    
    update readme to talk about keystone with CLI and use 1.1 api

commit 2b70b75537302838d70dd0c032b857eb2e76f774
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Fri Aug 12 23:47:25 2011 -0700

    update readme to talk about keystone with CLI and use 1.1 api

commit 9c17fad86d8dcde86a0acc84313f1f16b496abe7
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Fri Aug 12 10:38:10 2011 -0500

    Switch API path to match http://bazaar.launchpad.net/~tpatil/nova/os-security-groups/revision/1369

commit a6f08974a110f1c1a6a7c9096bd25e36c839fff9
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Fri Aug 12 10:02:54 2011 -0500

    Fix API path

commit 42943277a05d22c9ee4047aaf369440d23102631
Merge: d14d2b0 fc8e5e3
Author: Josh Kearney <josh@jk0.org>
Date:   Fri Aug 12 07:24:33 2011 -0700

    Merge pull request #72 from comstud/search-fixups
    
    Search fixups

commit fc8e5e3fe3a1164eb2e923ed599e63a2af1a4f3c
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Thu Aug 11 21:45:26 2011 -0700

    fix display_name references that should have been instance_name

commit 37f1958eeb56d5443c3e88976f72e69b0eb2e703
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Thu Aug 11 21:41:50 2011 -0700

    removed fixed_ip from v1.1 shell.  Use --ip instead.  Fixed up rest of other search options from last commit

commit dcd5544133f1cc1171f8078b2ed54143b52fb064
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Thu Aug 11 21:38:41 2011 -0700

    start add of --image, --flavor, --status, and --host options to 'list' command.  also fix up differences with --name and --display_name compared to how nova implementation turned out

commit 9070f3231f8ffbee1d5da4ce39d3a3e49096afd2
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Thu Aug 11 16:07:20 2011 -0500

    Security groups cleanups

commit 0ec2cbbe8277f271df3735d85197c9e5978df3c4
Author: Nikolay Sokolov <nsokolov@griddynamics.com>
Date:   Thu Aug 11 13:48:12 2011 +0400

    Added redirect tests, changed wrong status in test_authenticate_success.

commit ee9655c218b0374864b3af631bed2e4165624601
Author: Nikolay Sokolov <nsokolov@griddynamics.com>
Date:   Thu Aug 11 13:43:51 2011 +0400

    Added self.auth_url updating, WrongResponse exception.

commit d14d2b05ec231c1d818a35edb9cf5cabd29b2a11
Merge: 064a98b 016dca2
Author: Matt Dietz <matthew.dietz@gmail.com>
Date:   Wed Aug 10 19:37:38 2011 -0700

    Merge pull request #68 from cloudbuilders/doc_keystone
    
    add note about keystone / auth 2.0

commit 016dca2a824850b933cbc3d3589583f020f7f7d9
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Wed Aug 10 16:16:38 2011 -0700

    add note about keystone / auth 2.0

commit e7fdf8c98f0c16a67477a409563b7700f45bf00f
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Wed Aug 10 17:20:21 2011 -0500

    Clean up id handling and pass basic tests

commit ecdd2fcef66b293ff794527224f31c6c1c9a779a
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Wed Aug 10 14:55:50 2011 -0500

    Add security group rules

commit c487b9fac107e397ab5472cb3d4ea1b1c9bcef72
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Wed Aug 10 14:21:09 2011 -0500

    Eradicate TABs, make tests run

commit 064a98bb724f8153e06c247eb534c0b6c206bd80
Merge: 5ece6de 5f64a85
Author: Josh Kearney <josh@jk0.org>
Date:   Wed Aug 10 12:00:27 2011 -0700

    Merge pull request #56 from cloudbuilders/keypairs
    
    keypair extension

commit 5f64a85114233da984faf2ca8f2d862353e5ed9e
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Wed Aug 10 11:56:50 2011 -0700

    missed a conflict

commit 2e59567f975fe2b1624e1e65cf3c13266b5c7629
Merge: 6c15f6f 5ece6de
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Wed Aug 10 11:55:39 2011 -0700

    merge master

commit 97674358da1f71a92d08be2f3b89bab1b1e46a32
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Wed Aug 10 13:53:58 2011 -0500

    Initial security groups code

commit 5ece6de8ed87e5760552733dcee5e6e20b54c463
Merge: 406181f 461d3e7
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Aug 10 11:48:38 2011 -0700

    Merge pull request #65 from cloudbuilders/quotas
    
    add support for quotas

commit 406181f53f6a9e4014779f8ddeabd97170bba0d2
Merge: c8b3b13 4b5b0b6
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Aug 10 10:50:20 2011 -0700

    Merge pull request #67 from bcwaldon/auth_failure
    
    KeyError: 'x-server-management-url'

commit 4b5b0b6edf809dbca0069f00c4cdbd04f532c772
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Wed Aug 10 13:46:34 2011 -0400

    adding unittest

commit f6273ba08d6ccf87c3e6c8e8c54ef3c934b41646
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Wed Aug 10 13:30:33 2011 -0400

    removing extra newline

commit 36f26a566422278b911a1ba5df74b331f2c02800
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Wed Aug 10 13:27:28 2011 -0400

    adding email to .mailmap

commit 1f7605cb7e5d5f427f8efabe4907b65320b7d967
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Wed Aug 10 13:25:17 2011 -0400

    catching authorization failure (x-server-management-url KeyError)

commit 6c15f6f98c61d3f9ee0882524953639364d82160
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Tue Aug 9 16:39:29 2011 -0700

    bring up-to-date with lp:~cloudbuilders/nova/os-keypairs

commit 6761406d830b4450f2fcd53d7e09329e07dba609
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Sat Aug 6 13:08:53 2011 -0700

    keypair api

commit 461d3e7e2f000619a6113c340e39cbcbb95e58e9
Author: termie <github@anarkystic.com>
Date:   Tue Aug 9 13:12:09 2011 -0700

    add license headers

commit 17208cec6a77f939c68e393c7d3c23695bb35dbb
Author: termie <github@anarkystic.com>
Date:   Mon Aug 8 14:48:07 2011 -0700

    add support for quotas

commit dfa2c86087554c59b08fc035624f8afa31534c4b
Author: Nokolay Sokolov <chemikadze@gmail.com>
Date:   Tue Aug 9 01:44:01 2011 +0400

    pep8, again

commit eff34ef4013912426be511c3235adab1eac305c5
Author: Nokolay Sokolov <chemikadze@gmail.com>
Date:   Tue Aug 9 01:41:51 2011 +0400

    Recursion handling.

commit c8b3b13615d4b3874c792549a8467e88575138b9
Author: Josh Kearney <josh@jk0.org>
Date:   Mon Aug 8 16:06:31 2011 -0500

    Added .mailmap file for AUTHORS.

commit 360ee0a34b37edd71525708127f5bed6e43f5e9b
Merge: 811ba10 f39ca09
Author: Josh Kearney <josh@jk0.org>
Date:   Mon Aug 8 13:58:13 2011 -0700

    Merge pull request #64 from piston/conform_to_openstack_standards
    
    Fixes copyright notice and adds script to gen AUTHORS

commit f39ca09c0d614cc8db68957084ff628e1b07c171
Author: Christopher MacGown <ignoti+github@gmail.com>
Date:   Mon Aug 8 13:55:56 2011 -0700

    Updated authors and fixed tools/generate_authors.sh

commit a0942f41898bf1a52f397ee1e671a0d4cf88c454
Author: Christopher MacGown <ignoti+github@gmail.com>
Date:   Mon Aug 8 13:41:29 2011 -0700

    Fixes copyright notice and adds script to gen AUTHORS

commit d25c627adda61737ccac408a981fa126455e7e96
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Sat Aug 6 13:08:53 2011 -0700

    keypair api

commit 811ba10e51ae4903c0e5fa46e1a697eaf137f5a5
Merge: 2072f88 6d1361c
Author: Josh Kearney <josh@jk0.org>
Date:   Mon Aug 8 13:34:19 2011 -0700

    Merge pull request #61 from bcwaldon/boot_output
    
    nova boot output cleanup

commit 2072f88dcd09e86d06d0cae8a267541767ad453c
Merge: 7e5a474 536be15
Author: Josh Kearney <josh@jk0.org>
Date:   Mon Aug 8 13:33:38 2011 -0700

    Merge pull request #63 from cloudbuilders/whitespace_cleanups
    
    Whitespace cleanups

commit e52d095a46f4d486db6bb58717b09d5fc3642797
Author: Nokolay Sokolov <chemikadze@gmail.com>
Date:   Tue Aug 9 00:28:46 2011 +0400

    pep8

commit b3af99fa15629ec20d84eedd931ec5d3d0c43034
Author: Nokolay Sokolov <chemikadze@gmail.com>
Date:   Tue Aug 9 00:26:41 2011 +0400

    Status code 305 fix, ClientExceptions if we can not handle response

commit 536be15a8777963d9151f36bfdecc85b39b9656b
Author: termie <github@anarkystic.com>
Date:   Mon Aug 8 13:20:44 2011 -0700

    whitespace cleanups

commit 2d785404eda907ea39fe6928491d87bff49bcd94
Author: Christopher MacGown <ignoti+github@gmail.com>
Date:   Sun Aug 7 10:59:11 2011 -0700

    pep8 cleanups after the rebase

commit 39291fe0e86a6e8546df8f16640afd5e3ff174ab
Author: Christopher MacGown <ignoti+github@gmail.com>
Date:   Sun Aug 7 10:45:36 2011 -0700

    Adds run_tests.sh and virtualenv support.
    
    Basically make it so that a starting dev can run the tests without a
    priori knowledge about what the tests require. Unless run_tests.sh is
    run with the -N flag it will create a virtualenv .novaclient-venv,
    install the dependencies into it, and then run the tests with the
    venv sourced. Also includes the -p|--pep8 flag from nova's
    run_tests.sh interface to easily run pep8 against both novaclient and
    the tests directory.
    
    Fix the pep8 violation in tests/v1_1/test_shell.py

commit 0efc51ec9d9bbbec9d17bf8c27f11c2c505c83de
Author: Christopher MacGown <ignoti+github@gmail.com>
Date:   Sat Aug 6 18:15:35 2011 -0700

    pep8 in tests

commit f54367490d5796fb1827158c031dff1ec9ecf09a
Author: Christopher MacGown <ignoti+github@gmail.com>
Date:   Sat Aug 6 00:41:48 2011 -0700

    pep8 in novaclient

commit 8f19567ecd037b77ab366c0bfd4f01bbcf70b971
Author: Christopher MacGown <ignoti+github@gmail.com>
Date:   Fri Aug 5 23:37:37 2011 -0700

    Add Hacking and Authors to bring this into accordance with OpenStack coding standards

commit a8dc5e46d00c282d35d683e77e1341774159dede
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Aug 8 13:23:07 2011 -0700

    redirect

commit 5853354a7bdbe56053bd286873a0d2305c7c858b
Author: Nokolay Sokolov <chemikadze@gmail.com>
Date:   Tue Aug 9 00:06:55 2011 +0400

    Redirection handling.

commit 6d1361c9f41b20b3b95223d76fc4bfd8d6df7782
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Mon Aug 8 11:44:41 2011 -0400

    cleaning up boot output; upping version

commit 7e5a474d0d42ce88977d418016398c04ee393c72
Merge: db32374 b1b2dee
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Aug 8 06:47:42 2011 -0700

    Merge pull request #57 from piston/make_keystone_auth_work
    
    Make it possible to authenticate against keystone

commit db32374ee46e2e6e9d94553ff9de1629de04d056
Merge: f5a078c cc9d68c
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Aug 8 06:43:02 2011 -0700

    Merge pull request #60 from amesserl/nova_version_docs
    
    Added documentation for NOVA_VERSION

commit cc9d68cf09944e4eb7d3a541fc41854bf252f07e
Author: Antony Messerli <amesserl@rackspace.com>
Date:   Sun Aug 7 14:00:23 2011 -0500

    Added documentation for NOVA_VERSION

commit b1b2dee9bdaf31622400eb04e7ec62da6c6a9138
Author: Christopher MacGown <ignoti+github@gmail.com>
Date:   Fri Aug 5 23:17:35 2011 -0700

    Make it possible to authenticate against keystone

commit f5a078c7eb7f3ae49a8bed9f88d47e52cab7c561
Merge: ae1b052 4a4e9a6
Author: Josh Kearney <josh@jk0.org>
Date:   Fri Aug 5 11:26:27 2011 -0700

    Merge pull request #52 from Cerberus98/dead_bodies_redux
    
    Removed the bodies again

commit 4a4e9a60e81702041dcc225325dea0c9cba7487a
Author: Matt Dietz <matt.dietz@rackspace.com>
Date:   Fri Aug 5 13:23:34 2011 -0500

    Removed the bodies again

commit ae1b0521f04998725ebcad71b92e4085bf11ff8b
Author: Josh Kearney <josh@jk0.org>
Date:   Fri Aug 5 10:38:29 2011 -0500

    Corrected docs.

commit a03a654031e5973085c3f12007517cd6c991743c
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Aug 5 06:52:28 2011 -0700

    off by one

commit 1bb422b3a3fee0d2b98b6d3fae933cf36a29e91d
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Aug 5 06:48:23 2011 -0700

    Missed a conflict

commit d81b0d84c1aef8955c45a5117239baba1058dc85
Merge: 4b8879a 6fa86a2
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Aug 5 06:40:34 2011 -0700

    manual merge

commit 6fa86a22409ab73911168b2a0aa70f9adb583abf
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Thu Aug 4 17:52:12 2011 -0400

    Accidently had a reference to ipgroup still.

commit cc7156933fa90d98cd18c6e2f928571ae3a32cd3
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Thu Aug 4 17:07:22 2011 -0400

    Merged v1.0 functionality into v1.1 so we don't lose any features by...upgrading?

commit 46a2d5a3d905df8c9a5597ea59d748faaf247001
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Thu Aug 4 15:53:30 2011 -0400

    Fix for failing tests because boot response now requests additional information.

commit b2f339be5481f9325a7b27406ab5c04d52624f3a
Merge: 008b43f be3a11d
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Thu Aug 4 12:29:02 2011 -0700

    Merge pull request #1 from bcwaldon/v1.1-formatting
    
    V1.1 formatting fixes

commit be3a11d27e4753240417859191bf49452df37a22
Merge: 6b4e9c5 008b43f
Author: root <root@debian.ohthree.com>
Date:   Thu Aug 4 18:40:54 2011 +0000

    Merge branch 'v1.1-split-and-support' of http://github.com/blamarvt/python-novaclient into v1.1-formatting

commit 6b4e9c5c8b79671d6bdf633d22a61eda0638f01f
Author: root <root@debian.ohthree.com>
Date:   Thu Aug 4 18:39:21 2011 +0000

    formatting updates

commit 008b43facc98f77a193927270902f15848234dc4
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Thu Aug 4 12:40:25 2011 -0400

    novaclient -> nova in some documentation as per feedback

commit e1f374c65cbb3ec7c78e3d22ade84fefb496f3b2
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Thu Aug 4 12:37:01 2011 -0400

    Removed unneeded print.

commit 5b6b34e0c5b715ed068d8d50a04e69c49617d039
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Thu Aug 4 12:35:41 2011 -0400

    Change create-image back to image-create, and increased version to 2.6.0

commit 32fd202ab0df89ef881c33c4fa93e5ea2cfdfa9b
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Thu Aug 4 10:55:08 2011 -0400

    Updated --version to default to NOVA_VERSION, quick fix.

commit ea4b625e7bbf8a2c5581a0879ffe9e7bf7ddb80b
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Thu Aug 4 10:52:53 2011 -0400

    Updated --version to default to NOVA_VERSION

commit c0c5f6925e2e119612cb516d3c0e8460c343f2bd
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Thu Aug 4 10:24:36 2011 -0400

    osc -> novaclient

commit 6c73d4c3b69b0b44299384b05907c086e7e996b4
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Thu Aug 4 09:13:46 2011 -0400

    Cleaned up v1.0 and v1.1 test setup to remove globals and encapsulate custom asserts. Still duplicate code, but closer to being able to remove. Now tests set up OpenStackClient much closer to how users will do it, minus the stubbing of the client.

commit fc8253f2ca4a9fb22af2ea0c966d5bf122339f49
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Wed Aug 3 18:38:29 2011 -0400

    Wrong client was getting loaded.

commit c9422d5e3b92ff3713dad9911ab5520b1547e15c
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Wed Aug 3 18:18:51 2011 -0400

    Grrrr, bad import.

commit 57ebb51e2149896984a019a8ae42cd5e87041479
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Wed Aug 3 18:14:47 2011 -0400

    Tests now run correctly for v1.1 and v1.0

commit 9080e80832bb782fd85ae5c4b3b7a0a745379af6
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Wed Aug 3 17:58:39 2011 -0400

    Updated the default version back to 1.0, as there are some quirks with 1.1

commit 454daa2cba9058d0e744b398ce6af0135b5b27b7
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Wed Aug 3 17:41:33 2011 -0400

    Tests working again...merged in some work we did earlier.

commit f8496672cc61ffba052a8c9626e24fde18519010
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Wed Aug 3 16:36:03 2011 -0400

    Split everything down the middle into v1_0 and v1_1, including tests.

commit 4b8879a8eb3fb80494ff16d4b96490fec9aa2161
Merge: 20251cc 40a2bf9
Author: Josh Kearney <josh@jk0.org>
Date:   Fri Jul 29 12:44:50 2011 -0700

    Merge pull request #39 from bcwaldon/master
    
    Server Backup Update

commit 40a2bf9fa8f904957adb546c8f150a4f30ea431b
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Fri Jul 29 11:29:53 2011 -0400

    bumping version and updating README

commit ca8aa158fc0d1ab9f653f79f4bb5169a7884b0b6
Author: Brian Waldon <brian.waldon@rackspace.com>
Date:   Fri Jul 29 10:06:05 2011 -0400

    updating server backup action; pep8 fixes

commit 20251ccc2ff7a8d030647c92c9a5a288ed5c1229
Merge: 25596fe d72ea5d
Author: Josh Kearney <josh@jk0.org>
Date:   Wed Jul 13 11:03:56 2011 -0700

    Merge pull request #32 from SandyWalsh/master
    
    Removed incorrect server dump at the end of add/remove-fixed-ip()

commit d72ea5df95a2c3952339241c7e6bd7d4a8956d92
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Jul 13 10:31:58 2011 -0700

    removed server dump after add/remove fixed-ip

commit 25596fef72b3b32a37bae2d2e4c9188953d834b5
Merge: 5560117 1920e32
Author: comstud <cbehrens+github@codestud.com>
Date:   Tue Jul 12 15:11:08 2011 -0700

    Merge pull request #31 from SandyWalsh/master
    
    2.5.8 and all public/private ips shown

commit 1920e32b1f18113cf0bb746f80e88dab3fb434c2
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Jul 12 14:54:20 2011 -0700

    version bump

commit be03eb5fa42490d794e9e5572a0a80ac01dd9175
Merge: d76d6c9 5560117
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Jul 12 14:50:31 2011 -0700

    Merge branch 'master' of github.com:rackspace/python-novaclient

commit d76d6c9f1f2e83da86c15e11c3609476a7e0cf1f
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Jul 12 14:41:56 2011 -0700

    fixed public private ip list

commit 5560117e77da5ff3481e4710c40ef6bae3341e47
Merge: ecc2ede 5e987ff
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Jul 12 10:13:29 2011 -0700

    Merge pull request #30 from comstud/servers-search
    
    added various search options to list command

commit 5e987ffc30ed9460c1bf13bdbca13df1f1ea45a0
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Tue Jul 12 02:12:03 2011 -0700

    added various search options to list command.  will need a version bump as i changed the 'list' api that nova uses.  after version bump, my search nova branch will need pip-requires updated to match

commit ecc2ede1b1e1a75b4d78c985d147f40814511ece
Merge: f1a8117 5f08840
Author: Josh Kearney <josh@jk0.org>
Date:   Fri Jul 8 12:15:58 2011 -0700

    Merge pull request #28 from jerdfelt/master
    
    Clarify usage for zone-delete

commit f1a81175ec997b6fb0eb990c7ed8a9ce6672635b
Merge: 0118cb3 2bba8e2
Author: Josh Kearney <josh@jk0.org>
Date:   Fri Jul 8 12:14:26 2011 -0700

    Merge pull request #29 from SandyWalsh/2bba8e2e2b08a53d7dea828047406074826d7622
    
    Adds add_fixed_ip and remove_fixed_ip to servers action.

commit 6efed32d28bb8ae90260b95d70828e3142bfe331
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Jul 8 10:57:27 2011 -0700

    docs

commit 2bba8e2e2b08a53d7dea828047406074826d7622
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Jul 8 10:54:43 2011 -0700

    added add/remove fixed_ip actions to servers

commit 5f08840b559dc508062d1675ffa389e86c019da8
Author: Johannes Erdfelt <johannes.erdfelt@rackspace.com>
Date:   Thu Jul 7 22:51:27 2011 +0000

    Clarify description so usage doesn't imply name is the only valid value

commit 0118cb316158c8f11b635bfb08dcaee43b4e6218
Merge: f81fc89 eb0d5c7
Author: comstud <cbehrens+github@codestud.com>
Date:   Thu Jul 7 15:15:23 2011 -0700

    Merge pull request #27 from EdLeafe/master
    
    Added support for request timeouts.

commit eb0d5c75b7be1a78803a7f938ee0e1ac70556dea
Author: Ed Leafe <ed@leafe.com>
Date:   Thu Jul 7 21:07:49 2011 +0000

    Added support for request timeouts.

commit f81fc89cc8aa5bd2cce7fccd0d469af6325512b0
Merge: ede425d 9b31d54
Author: jerdfelt <johannes@erdfelt.com>
Date:   Thu Jul 7 11:39:35 2011 -0700

    Merge pull request #26 from jk0/master
    
    Migrations!

commit 9b31d54aa2b08a59c7e7f67ba78a0e8e0ae3e88e
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Jul 7 13:33:17 2011 -0500

    Added migration functionality.

commit ede425d3abfd62412d4d449006936350994d4a67
Merge: c1b1420 cee51f8
Author: Josh Kearney <josh@jk0.org>
Date:   Tue Jun 28 12:54:50 2011 -0700

    Merge pull request #25 from jk0/master
    
    Refactored backup rotation code.

commit cee51f8aff494c1e7dd266e2a24c9dc9bb7b18f8
Author: Josh Kearney <josh@jk0.org>
Date:   Fri Jun 24 14:48:14 2011 -0500

    Refactored backup rotation.

commit c1b1420b68ba50ed3f0dc66cb071e36d278d2a36
Merge: 68b115d 8a52343
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Jun 24 12:08:07 2011 -0700

    Merge pull request #23 from jk0/master
    
    Implement backup with rotation.

commit 8a523431e3db9a1390933036532dc9f2ffacf17f
Author: Josh Kearney <josh@jk0.org>
Date:   Fri Jun 24 13:27:02 2011 -0500

    Review feedback.

commit 518ca43ef758c08b29d87ac238483d29ce3fc6ea
Author: Josh Kearney <josh@jk0.org>
Date:   Fri Jun 24 13:22:20 2011 -0500

    Fixed unit tests.

commit 68b115d77033e4bc93497aa20eca486148d65020
Merge: ef72c18 0f0ea33
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Jun 24 10:55:35 2011 -0700

    Merge pull request #24 from comstud/num-instances-fixes
    
    'x' instances fixes.

commit ef72c18f5e4967ba50048e4eea11d3202ae1d920
Merge: 787b369 6b25dd6
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Jun 24 10:54:07 2011 -0700

    Merge pull request #22 from comstud/master
    
    Makes novaclient try to use UUID on subsequent calls instead of ID (the integer ID)

commit ff87b8c449cd5eee042d91c5dc4ad4f98bc184cb
Merge: 787b369 04ef226
Author: Josh Kearney <josh@jk0.org>
Date:   Fri Jun 24 12:25:45 2011 -0500

    Merge branch 'backups'

commit 04ef22667633672d0f14eec49fe6ac3ef26200c6
Author: Josh Kearney <jkearney@nova.(none)>
Date:   Fri Jun 24 12:24:26 2011 -0500

    Implemented backup with rotation.

commit 0f0ea3305a87dc8d74e5e5d7f7328849608f7fe4
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Thu Jun 23 22:39:10 2011 -0700

    for creating 'x' instances, min_count > max_count check was reversed
    make max/min_instances a little more sane by making them 'int' types
    fix issue where only specifying --min_instances didn't work

commit 6b25dd66dfeae29bb8fdf253833d47f252c9bb71
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Thu Jun 23 21:49:10 2011 -0700

    Due to how novaclient works, it tends to do a 'get' first on whatever ID
    you pass on command line.  Then it does the real command, re-using the
    ID found in the 'get' call, instead of the initial ID that you specified
    (which may have been a UUID).
    
    This makes it use the UUID from the initial 'get' call if it finds it,
    so that commands work across zones.  'nova delete UUID', for instance,
    wouldn't recurse zones as novaclient was doing a delete on the integer
    ID, even though you specified a UUID.
    
    This change has a side effect of trying to find 'uuid' in Image and
    Flavors as well, but it'll fall back to using the integer ID.

commit 787b369e6c9cfd402f37ffe81bb54b18a8b55fdb
Merge: a5ef8fc 9e86dd0
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Jun 23 16:10:53 2011 -0700

    Merge pull request #21 from comstud/master
    
    various zones changes/fixes.

commit a5ef8fc5bc6e9c1a170d5fe617f09e4b6ae59258
Merge: 459e51b 5b566a0
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Jun 23 16:10:06 2011 -0700

    Merge pull request #21 from comstud/master
    
    various zones changes/fixes.

commit 9e86dd0634db384bc495fcc323fd6db97e890a62
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Thu Jun 23 15:07:05 2011 -0700

    Cleaned up the query_string generation for 'nova list'
    Made --recurse_zones not need an '=argument'.

commit 5b566a0f5c46e012549041336e37d56674e8b252
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Thu Jun 23 09:50:20 2011 -0700

    Added --recurse_zones option to 'list'
    Added --fixed_ip option to 'list' to find a particular instance by IP
    Fixed issue with 'show' when --recurse_zones=1 and specifying UUID
    
    Squashed commit of the following:
    
    commit 34e86d8209012817f6534bff31551edd32ec1fc1
    Author: Chris Behrens <cbehrens@codestud.com>
    Date:   Thu Jun 23 09:35:09 2011 -0700
    
        only lookup the server details once for the show command
    
    commit 3e3438cf903fc46fcf280c728b119f0214545251
    Author: Chris Behrens <cbehrens@codestud.com>
    Date:   Thu Jun 23 07:39:18 2011 -0700
    
        if recursing zones, display UUID instead of Id
    
    commit a42c63ad7af1bdb8604890d8c7302e730360e3e3
    Author: Chris Behrens <cbehrens@codestud.com>
    Date:   Thu Jun 23 07:20:25 2011 -0700
    
        recurse zones fixes
    
    commit 1fe63dcf98ec8e37307dcce0b63895ce88f31ce2
    Author: Chris Behrens <cbehrens@codestud.com>
    Date:   Thu Jun 23 04:46:27 2011 -0700
    
        Add --fixed_ip and --recurse_zones options to shell 'list' command
        servers.list takes fixed_ip, project_id, and recurse_zones options now

commit 459e51b14edf7f04d88569991a0c3945a735c948
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Jun 21 12:11:49 2011 -0700

    fixup

commit 9ab5f6611c62446089753df6aa4524738acc18d1
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Jun 21 04:57:48 2011 -0700

    release note update

commit 2069b17f8b6627a19e90a9b872eb1a5b5f573c6c
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Jun 21 04:54:01 2011 -0700

    tests working again for weight_scale/weight_offset

commit 46855896a890d268c77d79bb5c9ae27ed219e655
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Jun 20 19:16:15 2011 -0700

    fixed up tests after trunk merge and bumped version

commit 3e9a5489496f956fbc72810e198d3c053416e227
Merge: a6360be 15cfb4c
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Jun 20 18:43:44 2011 -0700

    Merge pull request #20 from comstud/master
    
    adds --min_instances and --max_instances to zone-boot

commit a6360bea5201df707d3bf765f541970288997ae9
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Jun 20 18:40:57 2011 -0700

    version bump

commit 961d757e702d0dc401913987eb95e0660593eafd
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Jun 20 18:09:52 2011 -0700

    fixed project_id tests

commit 15cfb4cd35fd1cf0c4cab8e6ef234f51a365ec27
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Mon Jun 20 16:26:57 2011 +0000

    Merged my 'create-num-instances' branch which adds support for --min_instances and --max_instances to zone-boot
    
    Squashed commit of the following:
    
    commit f8a9d157c1b6989ca61430b2829c69bafead9731
    Author: Chris Behrens <cbehrens@codestud.com>
    Date:   Mon Jun 20 16:24:26 2011 +0000
    
        updated tests for min_count/max_count
    
    commit e093e9e883159d42a67ba8799f46fa0cdf333077
    Author: Chris Behrens <cbehrens@codestud.com>
    Date:   Mon Jun 20 16:13:16 2011 +0000
    
        adds --min_instances and --max_instances options to nova zone-boot

commit 4417c96e1e973a91c95de260228b243720fbb9f6
Merge: 7edce02 6aa43b1
Author: Josh Kearney <josh@jk0.org>
Date:   Fri Jun 17 08:46:46 2011 -0700

    Merge pull request #19 from Cerberus98/instance_for_accounts
    
    Instance for accounts

commit 7edce02045c23b02bd3f2db94dcd74db8a9a2f90
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Jun 15 09:50:16 2011 -0700

    version bumped

commit c794bdfafe8d29b1dd9b9ea038bac9ab4e266ef3
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Jun 15 09:48:24 2011 -0700

    trunk merge

commit dbef80d2fbaef0134d4b700fafa134c9cba202d4
Merge: 7a9e006 ff7e725
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Jun 15 09:47:50 2011 -0700

    Merge pull request #14 from usrleon/master
    
    Updated README.rst and shell.rst about PROJECT_ID option

commit 6aa43b168854ff421245edba8de11998c89b14fa
Author: Matt Dietz <matt.dietz@rackspace.com>
Date:   Mon Jun 13 15:18:11 2011 -0500

    Typo fix

commit 6c907a7cbbfc2a5e810b6ac48f17c40af9fb9ddb
Author: Matt Dietz <matt.dietz@rackspace.com>
Date:   Mon Jun 13 15:14:02 2011 -0500

    Added the missing files

commit 129d56611c35366b34328cdb7fab41a672a9db5e
Author: Matt Dietz <matt.dietz@rackspace.com>
Date:   Mon Jun 13 15:13:33 2011 -0500

    Added a method to create instances on behalf of an account via the admin API methods for openstack

commit ff7e725f9201db22ecb890c997c396960d083d0b
Author: Lvov Maxim <mlvov@mirantis.com>
Date:   Mon Jun 13 16:16:58 2011 +0400

    changed docs about using project id

commit 7a9e006a2f8e6128102c34de0f79ad148018d917
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Jun 10 07:25:13 2011 -0700

    bumped version # after project_id update

commit cbca828f7c64e88f4bb7fa0b3eb9e6ffc5090a02
Merge: 3c10087 882a266
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Jun 10 07:23:10 2011 -0700

    Merge pull request #13 from usrleon/master
    
    support for X-Auth-Project-Id api header

commit 3c10087824c7c04c47de92fa4fbb075afefce80f
Merge: d778d42 c100f21
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Jun 9 12:59:05 2011 -0500

    Merge branch 'master' of github.com:rackspace/python-novaclient

commit c100f21d3d01e661e92a7961a7963604d097be83
Merge: 117e455 182b3a7
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Jun 9 10:11:09 2011 -0700

    Merge pull request #12 from klmitch/master
    
    Add add_fixed_ip() and remove_fixed_ip() on servers

commit d778d4278e952b33cd0bd4fcc08a3e589fdbb223
Author: Josh Kearney <jkearney@nova.(none)>
Date:   Thu Jun 9 10:38:01 2011 -0500

    Don't restrict ids to int.

commit 882a266387dfdd630f45fa5b86adb83a3df843d3
Author: Lvov Maxim <mlvov@mirantis.com>
Date:   Thu Jun 9 11:57:46 2011 +0400

    fix errors

commit 0853ebebedd8663c6348ae59e22a37745a2bd8fb
Author: Lvov Maxim <mlvov@mirantis.com>
Date:   Thu Jun 9 10:39:13 2011 +0400

    support for project id header

commit 182b3a71963b93f8485a356ced01c0e62646bf2d
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Wed Jun 8 11:18:43 2011 -0500

    Now that I understand how to build extensions, I understand how this
    extension will be built, and can fully implement add_fixed_ip() and
    remove_fixed_ip()

commit 0b43ddbc936122ba155c07490daeffb2d0fdeba7
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Tue Jun 7 17:56:33 2011 -0500

    Add the basic calls for add_fixed_ip/remove_fixed_ip.
    
    Implementation depends on extensions to the OpenStack API

commit 117e455bb668791678f5c0bc7a08195fe2bfa527
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Jun 3 06:57:33 2011 -0700

    defaults back to no detail

commit ddf8ef6d2c6a2bdb17eb7c391278e76d786a3eb9
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Jun 3 06:30:24 2011 -0700

    tweaks

commit d96f3c54621eef0b3a007124b8af32f4a9aebe71
Merge: e4d7575 512c88c
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Jun 3 06:16:54 2011 -0700

    griddynamics better logging

commit e4d75757c68ffcb7fcc1de5e85739baf910a340a
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Jun 1 11:50:32 2011 -0700

    reservation_id optional parameter added to GET /servers (aka 'list')

commit 7090a6c8e0394acea445b0215b98d7102cf3700d
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon May 30 18:04:13 2011 -0700

    works properly with zone-boot

commit 512c88cce801f3e550f3874c47f1dd86c6b875d5
Merge: 2a9e0b4 868d57a
Author: Ilya Alekseyev <ilyaalekseyev@acm.org>
Date:   Mon May 30 10:57:47 2011 -0700

    Merge pull request #4 from Reldan/master
    
    Improving tests for undetailed images

commit 868d57a9a04bb96b51a80ce276eac45c37e3af4b
Author: Eldar Nugaev <eldr@ya.ru>
Date:   Mon May 30 21:42:46 2011 +0400

    Improving tests

commit 2a9e0b485c4bb243b3049b4d6802252f6948963f
Merge: 6b94a87 6a3a139
Author: Andrey Brindeyev <abrindeyev@griddynamics.com>
Date:   Mon May 30 03:35:07 2011 -0700

    Merge pull request #3 from Reldan/master
    
    Added parameter detailed to list

commit 6a3a139846fd2c05b2ac910f2c658e3713bc82c2
Author: Eldar Nugaev <eldr@ya.ru>
Date:   Mon May 30 14:31:56 2011 +0400

    Added parameter detailed to list

commit 6cb04897af98e9bc2b2f5cc7b119737f5548fe9b
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri May 27 07:39:22 2011 -0700

    zone select support and version bump to 2.4.3

commit 6b94a876c00d71928d08db10e67e1da0bacdc4c4
Merge: 0a3f94a 76a631d
Author: Andrey Brindeyev <abrindeyev@griddynamics.com>
Date:   Wed May 25 07:02:17 2011 -0700

    Merge pull request #2 from kshileev/master
    
    logging for HTTP req-resp

commit 76a631d2f7c349446c6d8612b293834702306a4f
Author: Kirill Shileev <kshileev@griddynamics.com>
Date:   Wed May 25 17:10:53 2011 +0400

    fix to reviewer comment: add check if logging disabled

commit ad292c029abbe1f950b55af472830926dfd525f8
Author: Kirill Shileev <kshileev@griddynamics.com>
Date:   Wed May 25 16:48:40 2011 +0400

    improve perfomance on string concat in logging

commit be1d6d7a3bd42bd5d506dce5d76e24692ac2af44
Author: Kirill Shileev <kshileev@griddynamics.com>
Date:   Wed May 25 14:10:20 2011 +0400

    add logging for http request-response

commit 2ec3c3febd4e3f8c369c40f72f4ab7b0e74227e2
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon May 23 12:08:42 2011 -0700

    zone select

commit 0a3f94adbc7b5793a9e458256b03c94bbe8cb6c6
Merge: f862a6f 1114249
Author: Andrey Brindeyev <abrindeyev@griddynamics.com>
Date:   Fri May 20 10:52:33 2011 -0700

    Merge pull request #1 from kshileev/master
    
    add list_flavor with GET /flavors without detail

commit 1114249c18c4ac2650515e24b389579c3eabc01d
Author: Kirill Shileev <kshileev@griddynamics.com>
Date:   Fri May 20 21:41:56 2011 +0400

    add undetailed flavor list

commit f216dbd2e4cf7b4b7ea22b732fbf6f004bc45fb7
Merge: 30e7951 f862a6f
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu May 19 06:58:48 2011 -0700

    Merge branch 'master' of github.com:rackspace/python-novaclient

commit 30e7951a7a6022920b2c0cb8ee17fb5559b13823
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu May 19 06:58:41 2011 -0700

    zone_blob support added to server.create

commit f862a6f61810784886f71f2fbf997db6696cd892
Author: Sandy Walsh <sandy.walsh@rackspace.com>
Date:   Fri Apr 8 15:36:39 2011 -0300

    fixed flavor-list columns

commit dc4626fb44f398274dd69cbd0685c58c98ed8cf3
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Mar 16 05:43:50 2011 -0700

    added support for missing flavors/images

commit c4119ddc22c84f5df191f2edb680e34236e65029
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Mar 10 10:40:42 2011 -0800

    up'ed version to suit pypi distribution update

commit d33a7c461f1344aef9dd420aaa717f4b2c628009
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Feb 25 02:18:55 2011 -0800

    fixed software license

commit bcf65fe16e19d6e90b4597537ad13fd05af65be7
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Feb 25 02:11:32 2011 -0800

    version 2.4

commit 8e615f4446816b69ffde7bff6ba99c85d34d1e2f
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Fri Feb 25 02:00:13 2011 -0800

    Added Jacob Kaplan-Moss copyright notices on older/untouched files.

commit bd18c7e429248e13ce726231a4b0362ff8d82b0d
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Sat Feb 26 05:04:40 2011 -0400

    renamed to novaclient and fixed flavor tests

commit 8611fc25985eea24411de55bb99f84f936f1118d
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Feb 24 17:59:42 2011 -0400

    missing docstring quote

commit edff3ce1f466496e3e02215726c580eb7e818d49
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Feb 24 17:58:25 2011 -0400

    tweaked release notes

commit 9db6490f44c715b7f86d4a9d053a7f738e9389c4
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Feb 24 17:52:49 2011 -0400

    removed copyright/license notices from files not significantly changed.

commit cc27b6d4591806da1da2ef54201ed5389e65617e
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Feb 24 13:54:10 2011 -0400

    renamed cmdline tool from novatools to nova. Changed version to 2.1. Changed license to Apache. Added copyright notices. Cleaner exception reporting in non-debug scnario.

commit 27709a3e245826b75c1397ef643c9b98f59b3a7c
Merge: 560c314 c65a0a1
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Feb 17 16:12:16 2011 -0600

    Merge remote branch 'SandyWalsh/master'

commit c65a0a186771a0d8248f0213e77cc77025fbbaeb
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Feb 17 17:56:16 2011 -0400

    fixed setup

commit db357e580de1afcdaa0321d64e2bb5f0d68e06d9
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Thu Feb 17 12:09:24 2011 -0800

    longer zone list

commit 560c314666d644975e531b40fe4d37a213583ea9
Author: Josh Kearney <josh@jk0.org>
Date:   Wed Feb 16 11:10:13 2011 -0600

    Added full flavor detail support

commit 82227aa77f25a0dc629da7435603116378fe7a6a
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Feb 15 11:16:30 2011 -0800

    zone info works

commit 6ad9c5365cb690832f75d455b6c1eb6f54029917
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Feb 15 11:34:06 2011 -0400

    get this zone status

commit b97c9760ad4ba75393fd5f1866a88d181c701b42
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Feb 14 14:35:37 2011 -0800

    removed Username from zone info

commit 88a57e2a4af0d7d0dac0c066d6bfdaa97ce51988
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Mon Feb 14 14:27:21 2011 -0800

    NOVA_TOOLS_* -> NOVA_*, --debug

commit 9034c4618a03c869adb7104303377b2cfd9f8316
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Feb 9 18:31:22 2011 -0400

    removed zone name, renamed auth_url to api_url, added username/password

commit 637ddefbbed90799cb6e48359c415058eaa0f032
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Wed Feb 9 11:16:51 2011 -0400

    zone shell cmds & tests added

commit 315b20b9c1e924b8d362721a3068e4c4f40cc6d0
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Feb 8 17:41:28 2011 -0400

    zone tests pass

commit 7dddd46f0113d62b55792c72860a455b63a0eb58
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Feb 8 17:40:58 2011 -0400

    zone tests pass

commit f0c713658fb41ed4349b489b16b0602934712ba9
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Feb 8 14:45:21 2011 -0400

    tests pass again

commit ef93d6ffdf0ae392997bdb97365574809ab3d10f
Author: Sandy Walsh <sandy.walsh@rackspace.com>
Date:   Tue Feb 8 10:43:31 2011 -0400

    zones

commit 4e2f2e21d358131e2884c71ce2f013a4ac720b59
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Feb 8 09:27:22 2011 -0400

    Renamed all CloudServers to OpenStack and python-cloudservers to python-novatools

commit 7e2c002b2a1fcd507ffe8d98c08478ee6c2e7600
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Feb 8 08:58:26 2011 -0400

    installer fixup

commit f900d999a53883291e0fb6fd08cbcd32633eb36d
Author: Sandy Walsh <sandy@sandywalsh.com>
Date:   Tue Feb 8 08:54:34 2011 -0400

    README update and rename cloudservers to novatools

commit e77baddbabc57570fa45e183c604750ab4ae3a2c
Author: Sandy Walsh <sandy.walsh@rackspace.com>
Date:   Thu Jan 27 23:51:35 2011 -0600

    Starting on child zone support

commit 7304ed80df265b3b11a0018a826ce2e38c052572
Author: Josh Kearney <josh@jk0.org>
Date:   Tue Jan 25 14:01:22 2011 -0600

    Initial commit from fork
